/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.watermeter.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.watermeter.entity.Bwsbzjdatail;
import com.tofly.watermeter.service.BwsbzjdatailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * 周检计划管理
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/bwsbzjdatail")
@Api(tags="周检计划管理接口")
public class BwsbzjdatailController {

    private final  BwsbzjdatailService bwsbzjdatailService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param bwsbzjdatail 周检计划管理
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getBwsbzjdatailPage(Page page, @ModelAttribute Bwsbzjdatail bwsbzjdatail) {
      return ResultRespone.success(bwsbzjdatailService.page(page, Wrappers.query(bwsbzjdatail)));
    }


    /**
     * 通过id查询周检计划管理
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(bwsbzjdatailService.getById(id));
    }

    /**
     * 新增周检计划管理
     * @param bwsbzjdatail 周检计划管理
     * @return ResultRespone
     */
    //="新增周检计划管理" )
    @ApiOperation(value = "新增周检计划管理")
    @PostMapping
    public ResultRespone save(@RequestBody Bwsbzjdatail bwsbzjdatail) {
      return ResultRespone.success(bwsbzjdatailService.save(bwsbzjdatail));
    }

    /**
     * 修改周检计划管理
     * @param bwsbzjdatail 周检计划管理
     * @return ResultRespone
     */
    //="修改周检计划管理" )
    @ApiOperation(value = "修改周检计划管理")
    @PutMapping
    public ResultRespone updateById(@RequestBody Bwsbzjdatail bwsbzjdatail) {
      return ResultRespone.success(bwsbzjdatailService.updateById(bwsbzjdatail));
    }

    /**
     * 通过id删除周检计划管理
     * @param id id
     * @return ResultRespone
     */
    //="通过id删除周检计划管理" )
    @ApiOperation(value = "通过ID删除周检计划管理")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(bwsbzjdatailService.removeById(id));
    }

    /**
     * 通过id批量删除周检计划管理
     * @param ids id
     * @return ResultRespone
     */
    //="通过id批量删除周检计划管理" )
    @ApiOperation(value = "通过ID批量删除周检计划管理")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(bwsbzjdatailService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
