/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.watermeter.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.watermeter.entity.Monthwateryield;
import com.tofly.watermeter.service.MonthwateryieldService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
/**
 * 指标流量月记录表
 *
 * @author admin
 * @date Wed Jun 08 00:00:00 CST 2022
 */
@RestController
@AllArgsConstructor
@RequestMapping("/monthwateryield")
@Api(tags="指标流量月记录表接口")
public class MonthwateryieldController {

    private final  MonthwateryieldService monthwateryieldService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param monthwateryield 指标流量月记录表
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getMonthwateryieldPage(Page page, @ModelAttribute Monthwateryield monthwateryield) {
      return ResultRespone.success(monthwateryieldService.page(page, Wrappers.query(monthwateryield)));
    }


    /**
     * 通过id查询指标流量月记录表
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(monthwateryieldService.getById(id));
    }

    /**
     * 新增指标流量月记录表
     * @param monthwateryield 指标流量月记录表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增指标流量月记录表" )
    @ApiOperation(value = "新增指标流量月记录表")
    @PostMapping
    public ResultRespone save(@RequestBody Monthwateryield monthwateryield) {
      return ResultRespone.success(monthwateryieldService.save(monthwateryield));
    }

    /**
     * 修改指标流量月记录表
     * @param monthwateryield 指标流量月记录表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改指标流量月记录表" )
    @ApiOperation(value = "修改指标流量月记录表")
    @PutMapping
    public ResultRespone updateById(@RequestBody Monthwateryield monthwateryield) {
      return ResultRespone.success(monthwateryieldService.updateById(monthwateryield));
    }

    /**
     * 通过id删除指标流量月记录表
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除指标流量月记录表" )
    @ApiOperation(value = "通过ID删除指标流量月记录表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(monthwateryieldService.removeById(id));
    }

    /**
     * 通过id批量删除指标流量月记录表
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除指标流量月记录表" )
    @ApiOperation(value = "通过ID批量删除指标流量月记录表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(monthwateryieldService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
