/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.watermeter.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.watermeter.entity.QfmidcbfsE;
import com.tofly.watermeter.service.QfmidcbfsEService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * TF_YWPN_QFMIDCBFS_E ；抄表方式
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/qfmidcbfse")
@Api(tags="TF_YWPN_QFMIDCBFS_E ；抄表方式接口")
public class QfmidcbfsEController {

    private final  QfmidcbfsEService qfmidcbfsEService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param qfmidcbfsE TF_YWPN_QFMIDCBFS_E ；抄表方式
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getQfmidcbfsEPage(Page page, @ModelAttribute QfmidcbfsE qfmidcbfsE) {
      return ResultRespone.success(qfmidcbfsEService.page(page, Wrappers.query(qfmidcbfsE)));
    }


    /**
     * 通过id查询TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(qfmidcbfsEService.getById(id));
    }

    /**
     * 新增TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @param qfmidcbfsE TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @return ResultRespone
     */
    //="新增TF_YWPN_QFMIDCBFS_E ；抄表方式" )
    @ApiOperation(value = "新增TF_YWPN_QFMIDCBFS_E ；抄表方式")
    @PostMapping
    public ResultRespone save(@RequestBody QfmidcbfsE qfmidcbfsE) {
      return ResultRespone.success(qfmidcbfsEService.save(qfmidcbfsE));
    }

    /**
     * 修改TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @param qfmidcbfsE TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @return ResultRespone
     */
    //="修改TF_YWPN_QFMIDCBFS_E ；抄表方式" )
    @ApiOperation(value = "修改TF_YWPN_QFMIDCBFS_E ；抄表方式")
    @PutMapping
    public ResultRespone updateById(@RequestBody QfmidcbfsE qfmidcbfsE) {
      return ResultRespone.success(qfmidcbfsEService.updateById(qfmidcbfsE));
    }

    /**
     * 通过id删除TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @param id id
     * @return ResultRespone
     */
    //="通过id删除TF_YWPN_QFMIDCBFS_E ；抄表方式" )
    @ApiOperation(value = "通过ID删除TF_YWPN_QFMIDCBFS_E ；抄表方式")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(qfmidcbfsEService.removeById(id));
    }

    /**
     * 通过id批量删除TF_YWPN_QFMIDCBFS_E ；抄表方式
     * @param ids id
     * @return ResultRespone
     */
    //="通过id批量删除TF_YWPN_QFMIDCBFS_E ；抄表方式" )
    @ApiOperation(value = "通过ID批量删除TF_YWPN_QFMIDCBFS_E ；抄表方式")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(qfmidcbfsEService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
