/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.custom.dto;

import lombok.Data;

import java.util.Date;

/**
 * 异常处理信息表：TF_YWPN_DMAWARNHANDLE_W
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
public class DmawarnhandleDto {

    /**
     * 主键GUID值
     */

    private String id;
    /**
     * 分区ID或表ID
     */
    private Long warnId;
    /**
     * 异常值（单位：当WARN_TYPE='1'时为m3/h；当WARN_TYPE='2'时为%）
     */
    private String warnValue;
    /**
     * 工单编号（当ISHAND='2'时，回写TF_YWPN_GDGLINFO_W.ID）
     */
    private Long orderId;
    /**
     * 完工时间
     */
    private Date handTime;
    /**
     * 维修后最小夜间流量（单位：m3/h，处理后30天内最小夜间流量平均值）
     */
    private Double minFlowAfter;
    /**
     * 效果评价（m3/月）=前后最小流量变化平均值差*24小时*30天
     */
    private Double evaluate;
    /**
     * 评价时间
     */
    private Date evaTime;
}
