package com.tofly.watermeter.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 报装提交类
 *
 * @author Bubble
 */
@Data
public class InstallationDto {

  @ApiModelProperty(value = "行政区划代码")
  private String adAreaCode;

  @ApiModelProperty(value = "营业区域")
  private String areaCode;

  @ApiModelProperty(value = "楼栋id")
  private String buildingId;

  @ApiModelProperty(value = "业务类别，默认1")
  private String businessCode;

  @ApiModelProperty(value = "报装编号")
  private String code;

  @ApiModelProperty(value = "用水地址")
  private String communityCode;

  @ApiModelProperty(value = "建筑面积")
  private String constructionArea;

  @ApiModelProperty(value = "联系电话")
  private String contactPhone;

  @ApiModelProperty(value = "联系人")
  private String contact;

  @ApiModelProperty(value = "创建人")
  private String creatorId;

  @ApiModelProperty(value = "客户类型 1 个人 2 单位")
  private Integer customerCategory;

  @ApiModelProperty(value = "日用水量")
  private String dailyUsage;

  @ApiModelProperty(value = "电子邮箱")
  private String email;
  /** 层 */
  @ApiModelProperty(value = "层")
  private String layerNum;

  @ApiModelProperty(value = "工程名称")
  private String projectName;

  @ApiModelProperty(value = "工程类型")
  private String projectTypeCode;
  /** 房号 */
  @ApiModelProperty(value = "房号")
  private String roomNo;

  @ApiModelProperty(value = "备注")
  private String remark;

  @ApiModelProperty(value = "申报渠道")
  private String sourceCode;

  @ApiModelProperty(value = "供水片区")
  private String zoneCode;

  /** 客户姓名 */
  @ApiModelProperty(value = "客户姓名/单位名")
  private String customerName;

  /** 身份证号 */
  @ApiModelProperty(value = "身份证号/社会信用代码")
  private String certificateNo;

  @ApiModelProperty(value = "地址")
  private String address;

  @ApiModelProperty(value = "操作人")
  private String operatorId;

  @ApiModelProperty(value = "操作时间")
  private Long operatorTime;

  @ApiModelProperty(value = "紧急状态 0 否 1 是")
  private Integer urgentStatus;

  @ApiModelProperty(value = "是否必须审核 0 否 1 是")
  private Integer mustAudit;

  @ApiModelProperty(value = "报装需求")
  private List<RequirementRequest> requirementRequestList;

  @ApiModelProperty(value = "报装文件 文件类型：101 用水申请书 102 身份证正反面 103 产权证 104 营业执照 105 建筑工程规划许可证 106 底层平面图 107 所在地地图 108 建筑给排图 109 管网规划图")
  private List<FileRequest> fileRequestList;

}
