package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class ChangeTableDto {

    @JSONField(name = "YHBH")
    private String yhbh;
    /**
     * 申请人
     */
    @JSONField(name = "SQR")
    private String sqr;
    /**
     * 旧表起度
     */
    @JSONField(name = "JBQD")
    private String jbqd;
    /**
     * 旧表止度
     */
    @JSONField(name = "JBZD")
    private String jbzd;
    /**
     * 换表水量
     */
    @JSONField(name = "HBSL")
    private String hbsl;
    /**
     * 换表原因(1:表坏2:改口径3:虚拟换表4:增容5:周检轮换)
     */
    @JSONField(name = "HBYY")
    private String hbyy;
    /**
     * 备注
     */
    @JSONField(name = "BZ")
    private String bz;
    /**
     * 换表人
     */
    @JSONField(name = "HBR")
    private String hbr;
    /**
     * 换表日期
     */
    @JSONField(name = "HBRQ")
    private String hbrq;
    /**
     * 操作员
     */
    @JSONField(name = "CZY")
    private String czy;
    /**
     * 换表水量计算方式（1:立即2:下次3:不计算）
     */
    @JSONField(name = "HBSLJSFS")
    private String hbsljsfs;
    @JSONField(name = "XBQD")
    private String xbqd;
    /**
     * 水表识别码
     */
    @JSONField(name = "SBSBM")
    private String sbsbm;
    /**
     * 水表表号
     */
    @JSONField(name = "SBBH")
    private String sbbh;
    /**
     * 水表铅封号
     */
    @JSONField(name = "SBQFH")
    private String sbqfh;
    /**
     * 水表铭牌(3:机械表6:汇景水表8:智慧水务7:爱克能1:新天2:华旭4:竞达5:山科)
     */
    @JSONField(name = "SBMP")
    private String sbmp;
    /**
     * 水表类型（1:普通表2:网络表3:卡表4:远传表）
     */
    @JSONField(name = "SBLX")
    private String sblx;
    /**
     * 水表型号（1:未知）
     */
    @JSONField(name = "SBXH")
    private String sbxh;
    /**
     * 新表底度
     */
    @JSONField(name = "XBDD")
    private String xbdd;
    /**
     * 水表口径（15 20 25 40 80 100 200 150 50）
     */
    @JSONField(name = "SBKJ")
    private String sbkj;
    /**
     * 水表安装方式（1:立式 2:卧式）
     */
    @JSONField(name = "SBAZFS")
    private String sbazfs;
    @JSONField(name = "SING")
    private String sing;
    @JSONField(name = "ACTION")
    private String action;

    private String remark;

    @ApiModelProperty(value = "水表型号code")
    private String modelCode;
    @ApiModelProperty(value = "型号名字")
    private String modelName;

    @ApiModelProperty(value = "水表位置")
    private String location;

    @ApiModelProperty(value = "表箱")
    private String meterBox;
}
