package com.tofly.watermeter.custom.entity.meterRead;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/7/15 9:22
 */
@Data
public class ReadStatisticsDetail {
    @ApiModelProperty(value = "抄表状态")
    private String cbStatus;
    @ApiModelProperty(value = "抄表人员（这里字段写错了）")
    private String cbqyName;
    /**
     * 抄表日期
     */
    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;
    private String cbrqStr;
    /**
     * 抄表日期
     */
    @ApiModelProperty(value = "计划日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jhrq;
    private String jhrqStr;
    @ApiModelProperty(value = "区域段名称")
    String qydmc;
    @ApiModelProperty(value = "区域名称")
    String qymc;
    /**
     * 水表口径(存编码)
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String yhdz;

    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    @ApiModelProperty(value = "用水性质名称")
    private String ysxzMc;
    @ApiModelProperty(value = "区域段编码")
    private Long qydbm;
    @ApiModelProperty(value = "应抄表数")
    private Integer allRead;
    @ApiModelProperty(value = "实抄数")
    private Integer read;
    @ApiModelProperty(value = "未抄表数")
    private Integer noRead;
    @ApiModelProperty(value = "抄表率")
    private String readPercent;
    @ApiModelProperty(value = "")
    private Integer readNum;
    @ApiModelProperty(value = "首次抄表时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstCb;
    private String firstCbStr;
    @ApiModelProperty(value = "最后一次抄表时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastCb;
    private String lastCbStr;
    @ApiModelProperty(value = "抄表用时")
    private String diffCbStr;
    @ApiModelProperty(value = "上次读数")
    private Float scds;
    @ApiModelProperty(value = "抄表水量")
    private Integer cbsl;
    @ApiModelProperty(value = "本次读数")
    private Float bcds;
    @ApiModelProperty(value = "是否同步")
    private String isSyn;
    @ApiModelProperty(value = "抄表标志")
    private String cbbz;
    @ApiModelProperty(value = "审核标志")
    private String shbz;
    @ApiModelProperty(value = "抄表方式")
    private String cbfsName;
    @ApiModelProperty(value = "同步消息")
    private String sxjmessage;


}
