package com.tofly.watermeter.custom.entity.statisticanalysis;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class WaterQuantityInfo {

    /**
     * ID主键
     */
    private Long id;

    /**
     * 用户编码
     */
    @JSONField(name = "YHBH")
    private String yhbh;
    /**
     * 财务月份
     */
    @JSONField(name = "CWYF")
    private String cwrq;
    /**
     * 客户水量
     */
    @JSONField(name = "YSL")
    private int cbsl;

    @JSONField(name = "CBRQ")
    @DateTimeFormat(pattern="yyyyMMdd")
    private Date cbrq;

    @JSONField(name = "SBLX")
    private String khlb;

    /**
     * 创建时间
     */
    private Date createTime = new Date();

    /**
     * 上个月财务时间
     */
    private String scwrq;
    /**
     * 月
     */
    private List<String> months;

    /**
     * 年
     */
    private List<String> years;

    private Integer yearMonth;

}
