/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 水表抽检比例配置表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWCJBL_W", resultMap = "bwcjblMap")
@KeySequence("TF_YWPN_BWCJBL_W")
@ApiModel
public class Bwcjbl extends Model<Bwcjbl> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    /**
     * 抽检比例
     */
    @ApiModelProperty(value = "抽检比例")
    private Integer bwHgsl;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;

    @ApiModelProperty(hidden = true,value = "水表口径名称")
    @TableField(exist = false)
    private String sbkjName;

    @ApiModelProperty(value = "0 周检比例  1 故障抽检比例")
    private Long belong;

}
