/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水表出库批次记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWCKDATAIL_W", resultMap = "bwckdatailMap")
@KeySequence("TF_YWPN_BWCKDATAIL_W")
@ApiModel
public class Bwckdatail extends Model<Bwckdatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbcjName;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sblxName;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;
    /**
     * 水表起号
     */
    @ApiModelProperty(value = "水表起号")
    private Long bwSbqh;
    /**
     * 水表止号
     */
    @ApiModelProperty(value = "水表止号")
    private Long bwSbzh;
    /**
     * 表号前缀（以字母）
     */
    @ApiModelProperty(value = "表号前缀（以字母）")
    private String bwBhqz;
    /**
     * 出库领取数量
     */
    @ApiModelProperty(value = "出库领取数量")
    private Long bwSl;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private Long lqSl;
    /**
     * 领取部门
     */
    @ApiModelProperty(value = "领取部门")
    private Long bwLqbm;
    /**
     * 领取人员
     */
    @ApiModelProperty(value = "领取人员")
    private Long bwLqry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String lqryName;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;
    /**
     * 入库记录明细表主键ID
     * 入库记录明细表主键ID绑定，不是流水编号，方便查询
     */
    @ApiModelProperty(value = "这里需要前端输入与入库记录明细表主键ID")
    private String bwRkid;
    /**
     * 工单ID
     */
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private Long gdId;

    /**
     * 合同名称
     */
    @ApiModelProperty("合同名称")
    private String contract;
    /**
     * 合同编号
     */
    @ApiModelProperty("合同编号")
    private String contractCode;

    @ApiModelProperty("水表用途")
    private Long meterUse;
    @TableField(exist = false)
    private String meterUseName;

    /**
     * 是否部分出库 0不是，1是
     */
    private String isPart;

}
