/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 口径周检年限、月份配置表
 *
 * @author wangjieliu
 * @date Wed Mar 24 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWKJZJPZ_D", resultMap = "bwkjzjpzMap")
@KeySequence("TF_YWPN_BWKJZJPZ_D")
@ApiModel
public class Bwkjzjpz extends Model<Bwkjzjpz> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年限
     */
    @ApiModelProperty(value = "年限")
    private Integer year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private Integer month;

    @ApiModelProperty(value = "水表周检参数条件；包括口径、类型;如：DN15、DN20、卡表、远传表")
    private String sbzjCs;

    @ApiModelProperty(value = "对应周检参数code；由编码获得")
    private String csCode;

    @ApiModelProperty(value = "参数标识；0：水表口径；1：水表类型（电子表）")
    private String csFlag;

    @ApiModelProperty(value = "普通表code；只有根据口径配置时必须要普通表code；用于代码中的查询判断")
    private String isCommon;
}
