/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 新表移交（新表退库，可单表，同时满足连号水表退库）
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWXBYJDATAIL_W", resultMap = "bwxbyjdatailMap")
@KeySequence("TF_YWPN_BWXBYJDATAIL_W")
@ApiModel
public class Bwxbyjdatail extends Model<Bwxbyjdatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 移交原因
     */
    @ApiModelProperty(value = "移交原因")
    private String bwYjyy;
    /**
     * 接收部门
     */
    @ApiModelProperty(value = "接收部门")
    private String bwJsbm;
    /**
     * 接收人员
     */
    @ApiModelProperty(value = "接收人员")
    private String bwJsry;
    /**
     * 移交日期
     */
    @ApiModelProperty(value = "移交日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwYjrq;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String bwSbkj;
    /**
     * 移交数量
     */
    @ApiModelProperty(value = "移交数量")
    private Long bwYjsl;
    /**
     * 表号前缀
     */
    @ApiModelProperty(value = "表号前缀")
    private String bwBhqz;
    /**
     * 水表起号
     */
    @ApiModelProperty(value = "水表起号")
    private Long bwSbqh;
    /**
     * 水表止号
     */
    @ApiModelProperty(value = "水表止号")
    private Long bwSbzh;
    /**
     * 水表止度
     */
    @ApiModelProperty(value = "	水表止度")
    private String bwSbzd;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    private String createUser;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 是否更新入库（标识）
     */
    @ApiModelProperty(value = "是否更新入库（标识）")
    private String bwSfrk;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;

}
