/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 水表周检轮换表（抽检）记录
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWZJBCJDATAIL_W", resultMap = "bwzjbcjdatailMap")
@KeySequence("TF_YWPN_BWZJBCJDATAIL_W")
@ApiModel
public class Bwzjbcjdatail extends Model<Bwzjbcjdatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String bwSbbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String bwSbkj;
    /**
     * 最小流量
     */
    @ApiModelProperty(value = "最小流量")
    private String bwQ1;
    /**
     * 分界流量
     */
    @ApiModelProperty(value = "分界流量")
    private String bwQ2;
    /**
     * 常用流量
     */
    @ApiModelProperty(value = "常用流量")
    private String bwQ3;
    /**
     * 检验结果(合格/不合格)
     */
    @ApiModelProperty(value = "检验结果1：合格；2：不合格")
    private String bwJyjg;
    /**
     * 平均值（Q1,Q2,Q3的平均值）
     */
    @ApiModelProperty(value = "平均值（Q1,Q2,Q3的平均值）")
    private String bwPjz;
    /**
     * 检验日期
     */
    @ApiModelProperty(value = "检验日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwJyrq;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;
    @ApiModelProperty(value = "水表ID")
    private Long sbid;

}
