/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水表争议记录表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWZYSBJDDATAIL_W", resultMap = "bwzysbjddatailMap")
@KeySequence("TF_YWPN_BWZYSBJDDATAIL_W")
@ApiModel
public class Bwzysbjddatail extends Model<Bwzysbjddatail> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 数据来源
     */
    @ApiModelProperty(value = "数据来源")
    private String bwSjly;
    /**
     * 检验结果（合格/不合格）
     */
    @ApiModelProperty(value = "检验结果1：合格；2：不合格 3 无需检定")
    private String bwJyjg;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String jyjgName;
    /**
     * 检验日期
     */
    @ApiModelProperty(value = "检验日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwJyrq;
    /**
     * 检验照片
     */
    @ApiModelProperty(value = "检验照片")
    private String bwPhoto;
    /**
     * 检验人
     */
    @ApiModelProperty(value = "检验人员")
    private String bwJyry;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String bwJyryName;


    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String bwFileid;
    /**
     * 操作人员
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 操作时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_Date", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 水表ID
     */
    @ApiModelProperty(value = "水表ID")
    private Long sbid;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String bwGdbh;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String bwYhbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String bwYhxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String bwYhdz;
    /**
     * 客户电话
     */
    @ApiModelProperty(value = "客户电话")
    private String bwLxdh;

    /**
     * 退表水量
     */
    @ApiModelProperty(value = "退表水量")
    private String bwTbsl;
    /**
     * 补水量
     */
    @ApiModelProperty(value = "补水量")
    private String bwBsl;

    @ApiModelProperty(value = "无需检定原因")
    private String wxjdyy;



    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbcjName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sblxName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;

}
