/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表区域段编码
 *
 * @author wangjieliu
 * @date Sat May 29 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CBQYDBM_W", resultMap = "cbqydbmMap")
@KeySequence("TF_YWPN_CBQYDBM_W")
@ApiModel
public class Cbqydbm extends Model<Cbqydbm> {
    private static final long serialVersionUID = 1L;

    /**
     * 区域段编码
     */
    @ApiModelProperty(value = "区域段编码")
    private String qydbm;


    @ApiModelProperty(value = "区域段名称")
    private String qydmc;

    /**
     * 所属区域编码
     */
    @ApiModelProperty(value = "所属区域编码")
    private String qybm;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String qymc;

    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;

    /**
     * 有效标志 0 启用，1禁用
     */
    @ApiModelProperty(value = "有效标志 0 启用，1禁用")
    private String yxbz;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String yxbzName;
//    /**
//     * 抄表周期   如;每月3号抄表
//     */
//    @ApiModelProperty(value = "抄表周期   如;每月3号抄表")
//    private Long cbzq;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "用户号前段")
    private String yhdqh;

    @ApiModelProperty(value = "1：创建时、修改时")
    private String updateFlag;

//    @ApiModelProperty(value = "是否已下载区域段里的计划；0：未下载；1：已下载")
//    private String isDown;

//    @ApiModelProperty(value = "完成日期")
//    private Long wcrq;

    /**
     * 只用于第一次区域段创建时，为了避免刚创建的区域段，还没有制定计划，APP就点击下载按钮，导致被修改为已下载状态
     */
//    @ApiModelProperty(value = "是否生成计划；0：未生成；1：已生成(只用于第一次创建区域段时，避免还没有制定计划就开始下载)")
//    private String isPlanflag;

}
