package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author Bubble
 */
@Data
@TableName(value = "TF_YWPN_INSTALLATION_W", resultMap = "installationMap")
@KeySequence("TF_YWPN_INSTALLATION_W")
@ApiModel
public class Installation extends Model<Installation> {

    @ApiModelProperty(value = "报装编号")
    private String installationCode;

    @ApiModelProperty(value = "更新标识 0 未同步 1 同步成功 2 报装流程未完成")
    private String uploadFlag;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createDate;

}
