/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 算法配置表
 *
 * @author wangjieliu
 * @date Thu Oct 21 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBARITHMETIC_W", resultMap = "qfcbarithmeticMap")
@KeySequence("TF_YWPN_QFCBARITHMETIC_W")
@ApiModel
public class Qfcbarithmetic extends Model<Qfcbarithmetic> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 算法类型名称
     */
    @ApiModelProperty(value = "算法类型名称")
    private String arithType;
    /**
     * 存放起始口径code；20、50等格式
     */
    @ApiModelProperty(value = "存放起始口径code；20、50等格式")
    private Integer startKjcode;
    /**
     * 存放结束口径code；20、50等格式
     */
    @ApiModelProperty(value = "存放结束口径code；20、50等格式")
    private Integer endKjcode;
    /**
     * 降幅比例值如：30代表30%；或者次数：10、30
     * 0水量模型和非正常查抄次数最小为 1
     */
    @ApiModelProperty(value = "降幅比例值如：30代表30%；或者次数：10、30")
    private Integer arithCount;
    /**
     * 0：禁用；1：启用
     */
    @ApiModelProperty(value = "0：禁用；1：启用")
    private String isForbidden;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isForbiddenName;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String iscomment;

}
