/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表计划表（年计划）
 *
 * @author wangjieliu
 * @date Fri Nov 05 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBPLAN_W", resultMap = "qfcbplanMap")
@KeySequence("TF_YWPN_QFCBPLAN_W")
@ApiModel
public class Qfcbplan extends Model<Qfcbplan> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    @TableField(exist = false)
    @ApiModelProperty(value = "开始年")
    private String startYear;
    /**
     * 是否启用；0：禁用；1：启用；默认启用
     */
    @ApiModelProperty(value = "是否启用；0：禁用；1：启用；默认启用")
    private String isState;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String isStateName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 是否卡表；0：机械表；1：卡表；默认人工抄表
     */
    @ApiModelProperty(value = "是否卡表；0：机械表；1：卡表")
    private String isGeneral;

    @ApiModelProperty(value = "计划复制备注")
    private String copyDescript;
    @ApiModelProperty(value = "是否复制的计划；1：是")
    private String isCopy;
}
