/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抄表业务抄表实收明细表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBSSMX_W", resultMap = "qfcbssmxMap")
@KeySequence("TF_YWPN_QFCBSSMX_W")
@ApiModel
public class Qfcbssmx extends Model<Qfcbssmx> {
    private static final long serialVersionUID = 1L;

    /**
     * 流水编号
     */
    @TableId(value = "LSBH", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号")
    private String lsbh;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String khbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String khxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String khdz;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    /**
     * 性质细分
     */
    @ApiModelProperty(value = "性质细分")
    private String xzxf;
    /**
     * 抄表月份
     */
    @ApiModelProperty(value = "抄表月份")
    private String cbyf;
    /**
     * 上次读数
     */
    @ApiModelProperty(value = "上次读数")
    private Long scds;
    /**
     * 本次读数
     */
    @ApiModelProperty(value = "本次读数")
    private Long bcds;
    /**
     * 抄表水量
     */
    @ApiModelProperty(value = "抄表水量")
    private Long cbsl;
    /**
     * 应收金额
     */
    @ApiModelProperty(value = "应收金额")
    private Double ysje;
    /**
     * 抄表片区
     */
    @ApiModelProperty(value = "抄表片区")
    private String cbpq;
    /**
     * 抄表本
     */
    @ApiModelProperty(value = "抄表本")
    private String cbb;
    /**
     * 抄表员
     */
    @ApiModelProperty(value = "抄表员")
    private String cbry;
    /**
     * 抄表日期
     */
    @ApiModelProperty(value = "抄表日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;
    /**
     * 收费标志  1已收费，0未收费
     */
    @ApiModelProperty(value = "收费标志  1已收费，0未收费")
    private String sfbz;
    /**
     * 收费人员
     */
    @ApiModelProperty(value = "收费人员")
    private String sfry;
    /**
     * 收费日期
     */
    @ApiModelProperty(value = "收费日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sfrq;
    /**
     * 票据状态  1正常，1作废
     */
    @ApiModelProperty(value = "票据状态  1正常，1作废")
    private String pjzt;
    /**
     * 增值税金额
     */
    @ApiModelProperty(value = "增值税金额")
    private Double zzsje;
    /**
     * 基本水费
     */
    @ApiModelProperty(value = "基本水费")
    private Double jbsf;
    /**
     * 违约金额
     */
    @ApiModelProperty(value = "违约金额")
    private Double wyje;
    /**
     * 消防准备金额
     */
    @ApiModelProperty(value = "消防准备金额")
    private Double xfzbje;
    /**
     * 污水费金额
     */
    @ApiModelProperty(value = "污水费金额")
    private Double wsfje;
    /**
     * 垃圾费金额
     */
    @ApiModelProperty(value = "垃圾费金额")
    private Double ljfje;

}
