/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 普表与远传表水量信息表
 *
 * @author wangjieliu
 * @date Mon Aug 09 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBYWLS_W", resultMap = "qfcbywlsMap")
@KeySequence("TF_YWPN_QFCBYWLS_W")
@ApiModel
public class Qfcbywls extends Model<Qfcbywls> {
    private static final long serialVersionUID = 1L;

    /**
     * 流水编号，唯一值
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号，唯一值")
    private Long id;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String yhbh;
    /**
     * 财务月份如：（202105）
     */
    @ApiModelProperty(value = "财务月份如：（202105）")
    private String cwrq;
    /**
     * 上次读数
     */
    @ApiModelProperty(value = "上次读数")
    private Long scds;
    /**
     * 本次读数
     */
    @ApiModelProperty(value = "本次读数")
    private Long bcds;
    /**
     * 上传日期
     */
    @ApiModelProperty(value = "上传日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cbrq;
    /**
     * 远传或普表
     */
    @ApiModelProperty(value = "远传或普表")
    private String khlb;
    /**
     * 客户水量
     */
    @ApiModelProperty(value = "客户水量")
    private Long cbsl;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 1:前5个月连续为零;0否
     */
    @ApiModelProperty(value = "1:前5个月连续为零;0否")
    private String frontZero;
    /**
     * 1:连续前11个月升,2:降；0否
     */
    @ApiModelProperty(value = "1:连续前11个月升,2:降；0否")
    private String frontLift;
    /**
     * 1:首次抄表；0否
     */
    @ApiModelProperty(value = "1:首次抄表；0否")
    private String firstCb;
    /**
     * 1:前两月水量相同；0否
     */
    @ApiModelProperty(value = "1:前两月水量相同；0否")
    private String frontEqual;
    /**
     * 前月水量
     */
    @ApiModelProperty(value = "前月水量")
    private Long qysl;
    /**
     * 升降水量
     */
    @ApiModelProperty(value = "升降水量")
    private Long sjsl;
    /**
     * 同比（%）
     */
    @ApiModelProperty(value = "同比（%）")
    private String sjtb;
    /**
     * 环比（%）
     */
    @ApiModelProperty(value = "环比（%）")
    private String sjhb;

}
