/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 沱源_收费记录表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_QFMIDSFJL_E",resultMap = "qfmidsfjlEMap")
@KeySequence("TF_YWPN_QFMIDSFJL_E")
@ApiModel
public class QfmidsfjlE extends Model<QfmidsfjlE> {
    private static final long serialVersionUID = 1L;

        /**
     * 流水编号
     */
        @TableId(value = "LSBH",type= IdType.INPUT)
            @ApiModelProperty(value = "流水编号")
                private String lsbh;
                /**
     * 客户编号
     */
            @ApiModelProperty(value = "客户编号")
                private String yhbh;
                /**
     * 客户地址
     */
            @ApiModelProperty(value = "客户地址")
                private String yhdz;
                /**
     * 抄表月份
     */
            @ApiModelProperty(value = "抄表月份")
                private String cbyf;
                /**
     * 上次读数
     */
            @ApiModelProperty(value = "上次读数")
                private Double scds;
                /**
     * 本次读数
     */
            @ApiModelProperty(value = "本次读数")
                private Double bcds;
                /**
     * 水量
     */
            @ApiModelProperty(value = "水量")
                private Double sl;
                /**
     * 费用金额
     */
            @ApiModelProperty(value = "费用金额")
                private Double fyje;
                /**
     * 实收金额
     */
            @ApiModelProperty(value = "实收金额")
                private Double ssje;
                /**
     * 扣费金额
     */
            @ApiModelProperty(value = "扣费金额")
                private Double kfje;
                /**
     * 抄表人员
     */
            @ApiModelProperty(value = "抄表人员")
                private String cbry;
                /**
     * 票据状态 （正常、冲红、被冲红）
     */
            @ApiModelProperty(value = "票据状态 （正常、冲红、被冲红）")
                private String pjzt;
                /**
     * 收费日期
     */
            @ApiModelProperty(value = "收费日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date sfrq;
                /**
     * 收费月份
     */
            @ApiModelProperty(value = "收费月份")
                private String sfyf;
                /**
     * 收费人员
     */
            @ApiModelProperty(value = "收费人员")
                private String sfry;
                /**
     * 操作日期
     */
            @ApiModelProperty(value = "操作日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date czrq;
                /**
     * 基本水费
     */
            @ApiModelProperty(value = "基本水费")
                private Double jbsf;
                /**
     * 违约金
     */
            @ApiModelProperty(value = "违约金")
                private Double wyj;
                /**
     * 消防准备费
     */
            @ApiModelProperty(value = "消防准备费")
                private Double xfzbf;
                /**
     * 垃圾费
     */
            @ApiModelProperty(value = "垃圾费")
                private Double ljf;
                /**
     * 污水费
     */
            @ApiModelProperty(value = "污水费")
                private Double wsf;
            
}
