/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 用水性质编码与用水性质大类绑定表
 *
 * @author wangjieliu
 * @date Mon Jan 10 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_READBINGYSXZ_W", resultMap = "readbingysxzMap")
@KeySequence("TF_YWPN_READBINGYSXZ_W")
@ApiModel
public class Readbingysxz extends Model<Readbingysxz> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 用水性质编码
     */
    @ApiModelProperty(value = "用水性质编码")
    private String ysxzBm;

    @ApiModelProperty(value = "用水性质名称",hidden = true)
    @TableField(exist = false)
    private String ysxzMc;
    /**
     * 分类--大类用水性质ID，关联表TF_YWPN_READBIGYSXZ_W的ID
     */
    @ApiModelProperty(value = "分类--大类用水性质ID，关联表TF_YWPN_READBIGYSXZ_W的ID")
    private Long bigYsxzid;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
