/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 表务首检比例管理
 *
 * @author wangjieliu
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWSJBLGL_W", resultMap = "tfYwpnBwsjblglMap")
@KeySequence("TF_YWPN_BWSJBLGL_W")
@ApiModel
public class TfYwpnBwsjblgl extends Model<TfYwpnBwsjblgl> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 口径编码
     */
    @ApiModelProperty(value = "口径编码")
    private String kjbm;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private Long sbkj;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;
    /**
     * 首检比例
     */
    @ApiModelProperty(value = "首检比例")
    private Integer sjbl;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;

}
