package com.tofly.watermeter.util.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.util.List;
import java.util.Map;

public interface CallAPIService {

    /**
     * 获取授权信息
     * @return string
     */
    String getAuthorization();

    /**
     * 获取接口返回结果
     * @param body 条件查询
     * @param url url
     * @return map
     */
    Map getApiResult(Object body, String url);

    /**
     * 文件上传
     * @param formData  filePath
     * @param url url
     * @return map
     */
    Map<String,Object> uploadFile(Map<String, Object> formData, MultipartFile file, String url);

}
