package com.tofly.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/9/23 10:09
 */
@Data
public class GdglinfoExtendDto extends Gdglinfo {


    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 工单来源，字典编码表，0计划、1自建、2热线
     */
    @ApiModelProperty(value = "工单来源，字典编码表，0计划、1自建、2热线")
    private String orderSource;

    /**
     * 维修类型,关联表TF_YWPN_REPAIRTYPE_D的关键值
     */
    @ApiModelProperty(value = "维修类型,关联表TF_YWPN_REPAIRTYPE_D的关键值")
    private Long typeId;
    @ApiModelProperty(value = "维修人ID,主要负责人")
    private Long respUser;

    @ApiModelProperty(value = "抢维修地址")
    private String address;

    @ApiModelProperty(value = "经度")
    private Double lgtd;

    @ApiModelProperty(value = "维度")
    private Double lttd;


    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "结果处置多人员选择")
    private List<Resultdisp> resultdispList;

    @ApiModelProperty("审批人信息")
    private Audit audit;

    @ApiModelProperty("文件id")
    private String fileIds;

}
