package com.tofly.xrtymis.custom.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class GdglinfoTjDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 统计类型,0：工单完成情况；1：工单中的异常情况;2热线工单统计
     */
    @ApiModelProperty(value = "统计类型,0：工单完成情况；1：工单中的异常情况;2热线工单统计")
    @NotNull
    private Integer type;

    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;
    @ApiModelProperty(value = "工单类型,多个以,分隔")
    private String gdlxList;

    @ApiModelProperty(value = "工单细分1,多个以,分隔")
    private String gdxf1List;

    @ApiModelProperty(value = "工单细分2,多个以,分隔")
    private String gdxf2List;

    @ApiModelProperty(value = "登记部门id查询,多个以 ,分隔")
    private String deptIdList;

    @ApiModelProperty(value = "工单是否是热线类型 1是；0不是；默认0")
    private String isRxlx;

    @ApiModelProperty(value = "是否按照部门统计 1是 0不是 ")
    private String isDept;
}
