package com.tofly.xrtymis.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 审核对象前端返回对象
 * @author BZ-DJJ
 */
@Data
public class CheckhistoryInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "类型，0年度巡检计划审核、1月度巡检计划审核、2隐患审核、3消除隐患审核、4工地监护审核、5工地监护取消审核、6巡检任务暂停审核、7巡检任务废除审核 11工单审核")
    private String type;

    @ApiModelProperty(value = "审核记录ID，关联各审核表记录id")
    private Long checkId;

    @ApiModelProperty(value = "审核意见，1未审核、2同意、0不同意")
    private String auditResult;

    @ApiModelProperty(value = "审核意见，1未审核、2同意、0不同意")
    private String auditResultName;

    @ApiModelProperty(value = "审核说明")
    private String auditNotes;

    @ApiModelProperty(value = "审核人")
    private Long auditUser;

    @ApiModelProperty(value = "审核人名称")
    private String auditUserName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
}
