package com.tofly.xrtymis.custom.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtymis.entity.TfYwpnWaterRep;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 未审核记录vo
 */
@Data
public class GatherRecordVO {

    /**
     * 记录id
     */
    @ApiModelProperty(value = "记录id")
    private Long id;
    /**
     * 采集类型；字典中读取；609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点
     */
    @ApiModelProperty(value = "字典中读取；609：管线；610：水表；611：监测设备；612：控制阀门；613：非控制阀门；614：消防栓；615：检查井；629：管线点")
    private String gatherType;
    /**
     * 采集数据ID
     */
    @ApiModelProperty(value = "采集数据ID")
    private Long gatherId;
    /**
     * 采集数据sid
     */
    @ApiModelProperty(value = "采集数据sid")
    private String sid;
    /**
     * 采集时间
     */
    @ApiModelProperty(value = "采集时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date gatherTime;
    /**
     * 采集人
     */
    @ApiModelProperty(value = "采集人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 起点点号
     */
    @ApiModelProperty(value = "起点点号")
    private GatherRecordVO startNode;
    /**
     * 终点点号
     */
    @ApiModelProperty(value = "终点点号")
    private GatherRecordVO endNode;
    /**
     * 水表代表点数据
     */
    @ApiModelProperty(value = "水表代表点")
    private TfYwpnWaterRep waterRep;
//    /**
//     * 管点起点
//     */
//    @ApiModelProperty(value = "管点起点")
//    private PipeNodeVO startNode;
//    /**
//     * 管点终点
//     */
//    @ApiModelProperty(value = "管点终点")
//    private PipeNodeVO endNode;

}
