/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * ${comments}
 *
 * @author fcl
 * @date Mon May 31 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDYWCONFIG_W", resultMap = "gdflowconfigMap")
@KeySequence("TF_YWPN_GDYWCONFIG_W")
@ApiModel
public class Gdflowconfig extends Model<Gdflowconfig> {
    private static final long serialVersionUID = 1L;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;



    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;

    @ApiModelProperty(value = "工单类型")
    private String gdlxName;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private Long ssbm;

    @ApiModelProperty(value = "所属部门",hidden = true)
    private String ssbmName;
    /**
     * 工单总时限   5个工作日内完
     */
    @ApiModelProperty(value = "工单总时限   5个工作日内完")
    private Long gdzsx;
    /**
     * 工单登记节点  0 未启用，1启用
     */
    @ApiModelProperty(value = "工单登记节点  0 未启用，1启用")
    private String gddjSfqy;

    @ApiModelProperty(value = "工单登记节点  0 未启用，1启用",hidden = true)
    private String gddjSfqyName;
    /**
     * 工单登记接单时限   1个工作日内完成
     */
    @ApiModelProperty(value = "工单登记接单时限   1个工作日内完成")
    private Long gddjJdsx;
    /**
     * 是否有驳回流程（0，没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）")
    private String gddjSfbh;

    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）",hidden = true)
    private String gddjSfbhName;
    /**
     * 认证处置节点  0 未启用，1启用
     */
    @ApiModelProperty(value = "认证处置节点  0 未启用，1启用")
    private String rzczSfqy;

    @ApiModelProperty(value = "认证处置节点  0 未启用，1启用",hidden = true)
    private String rzczSfqyName;
    /**
     * 认证处置时限     1个工作日内完
     */
    @ApiModelProperty(value = "认证处置时限     1个工作日内完")
    private Long rzczCzsx;
    /**
     * 是否有驳回流程（0，没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）")
    private String rzczSfbh;

    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）",hidden = true)
    private String rzczSfbhName;

    /**
     * 认证审核节点  0 未启用，1启用
     */
    @ApiModelProperty(value = "认证审核节点  0 未启用，1启用")
    private String rzshSfqy;

    @ApiModelProperty(value = "认证审核节点  0 未启用，1启用")
    private String rzshSfqyName;

    /**
     * 认证审核时限    1个工作日内完成
     */
    @ApiModelProperty(value = "认证审核时限    1个工作日内完成")
    private Long rzshShsx;

    /**
     * 是否有驳回流程（0，没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）")
    private String rzshSfbh;

    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）",hidden = true)
    private String rzshSfbhName;
    /**
     * 认证质检节点 0 未启用，1启用
     */
    @ApiModelProperty(value = "认证质检节点 0 未启用，1启用")
    private String rzzjSfqy;

    @ApiModelProperty(value = "认证质检节点 0 未启用，1启用",hidden = true)
    private String rzzjSfqyName;

    /**
     * 认证质检时限   1个工作日内完成
     */
    @ApiModelProperty(value = "认证质检时限   1个工作日内完成")
    private Long rzzjZjsx;

    /**
     * 是否有驳回流程（0，没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）")
    private String rzzjSfbh;

    @ApiModelProperty(value = "是否有驳回流程（0，没有驳回；1有驳回）",hidden = true)
    private String rzzjSfbhName;

    /**
     * 结果处置节点 0 未启用，1启用
     */
    @ApiModelProperty(value = "结果处置节点 0 未启用，1启用")
    private String jgczSfqy;

    @ApiModelProperty(value = "结果处置节点 0 未启用，1启用",hidden = true)
    private String jgczSfqyName;

    /**
     * 结果处置时限  1个工作日内完成
     */
    @ApiModelProperty(value = "结果处置时限  1个工作日内完成")
    private Long jgczCzsx;

    /**
     * 结果处置是否有驳回流程（0，没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "结果处置是否有驳回流程（0，没有驳回；1有驳回）")
    private String jgczSfbh;

    @ApiModelProperty(value = "结果处置是否有驳回流程（0，没有驳回；1有驳回）",hidden = true)
    private String jgczSfbhName;

    /**
     * 结果审核 节点0 未启用，1启用
     */
    @ApiModelProperty(value = "结果审核 节点0 未启用，1启用")
    private String jgshSfqy;

    @ApiModelProperty(value = "结果审核 节点0 未启用，1启用")
    private String jgshSfqyName;

    /**
     * 结果审核   1个工作日内完成
     */
    @ApiModelProperty(value = "结果审核   1个工作日内完成")
    private Long jgshShsx;

    /**
     * 是否有驳回流程（0,没有驳回；1有驳回）
     */
    @ApiModelProperty(value = "是否有驳回流程（0,没有驳回；1有驳回）")
    private String jgshSfbh;

    @ApiModelProperty(value = "是否有驳回流程（0,没有驳回；1有驳回）")
    private String jgshSfbhName;

    /**
     * 结果审核等级（1，一级；2，二级；3，三级；4，四级）
     */
    @ApiModelProperty(value = "结果审核等级（1，一级；2，二级；3，三级；4，四级）")
    private String jgshCcjb;

    @ApiModelProperty(value = "结果审核等级（1，一级；2，二级；3，三级；4，四级）")
    private String jgshCcjbName;

    /**
     * 工单细分1
     */
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;

    @ApiModelProperty(value = "工单细分1名称",hidden = true)
    private String gdxf1Name;

    /**
     * 工单细分2
     */
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;

    @ApiModelProperty(value = "工单细分2名称",hidden = true)
    private String gdxf2Name;
    /**
     * 是否删除 0 删除,1保留
     */
    @ApiModelProperty(value = "是否删除 0 删除,1保留")
    private String sfDelete;

    /**
     * 所有的流程接单;用,分割如:1,2,3;1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档
     */
    @ApiModelProperty(value = "所有的流程接单;用,分割如:1,2,3;1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档")
    private String allLcjd;

    /**
     * 转出类型 1、抢维修
     */
    @ApiModelProperty(value = "转出类型 1、抢维修")
    private Long transferOutType;

    /**
     * 转出类型名称
     */
    @TableField(exist = false)
    private String transferOutTypeName;


    /**
     * 标记类型 1、水表出库；争议检定
     */
    @ApiModelProperty(value = "标记类型 1、水表出库；争议检定")
    private Long tabType;
    @ApiModelProperty(value = "允许查看类型，格式逗号隔开；989：网厅；990：抄表异常（app）；991：抄表故障")
    private String viewType;

    /**
     * 标记类型 名称
     */

    @TableField(exist = false)
    private String tabTypeName;



}
