/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 业务工单驳回记录表
 *
 * @author fu
 * @date Fri Mar 19 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDGLFLOW_W", resultMap = "gdglflowMap")
@KeySequence("TF_YWPN_GDGLFLOW_W")
@ApiModel
public class Gdglflow extends Model<Gdglflow> {
    private static final long serialVersionUID = 1L;

    /**
     * 流水编号
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号")
    private Long id;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    /**
     * 处理部门
     */
    @ApiModelProperty(value = "处理部门")
    private String clbm;
    /**
     * 处理人员
     */
    @ApiModelProperty(value = "处理人员")
    private String clry;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date clsj;
    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String clyj;
    /**
     * 流程节点
     */
    @ApiModelProperty(value = "流程节点")
    private String lcjd;
    /**
     * 流程状态
     */
    @ApiModelProperty(value = "流程状态")
    private String lcds;

    /**
     * 被驳回流程节点
     */
    @ApiModelProperty(value = "被驳回流程节点")
    private String bbhLcjd;

    //TODO 添加  '被驳回的处理意见'
    /**
     * 被驳回的处理意见
     */
    @ApiModelProperty(value = "被驳回的处理意见")
    private String bbhYj;
    
    //TODO 添加 		   '被驳回的处理时间'
    /**
     * 被驳回的处理时间
     */
    @ApiModelProperty(value = "被驳回的处理时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date bbhClsj;

    //TODO 添加 		   '被驳回的文件id'
    /**
     * 被驳回的文件id
     */
    @ApiModelProperty(value = "被驳回的文件id")
    private String bbhFileid;

    /**
     * 驳回文件
     */
    @ApiModelProperty(value = "files",hidden = true)
    List<File> files;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    /**
     * 删除状态
     */
    @ApiModelProperty(value = "删除状态")
    private String statusFlag;
}
