/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * ${comments}
 *
 * @author fcl
 * @date Wed May 12 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDHFTJ_W", resultMap = "gdhftjMap")
@KeySequence("TF_YWPN_GDHFTJ_W")
@ApiModel
public class Gdhftj extends Model<Gdhftj> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 统计时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "统计时间")
    private Date dateTime;
    /**
     * 回访总数
     */
    @ApiModelProperty(value = "回访总数")
    private Long sum;
    /**
     * 比例
     */
    @ApiModelProperty(value = "比例")
    private Long proportion;
    /**
     * 应回访数
     */
    @ApiModelProperty(value = "应回访数")
    private Long shouldReturn;
    /**
     * 未回访数
     */
    @ApiModelProperty(value = "未回访数")
    private Long noReturn;
    /**
     * 是否完成（0，未完成；1，完成）
     */
    @ApiModelProperty(value = "是否完成（0，未完成；1，完成）")
    private String isOver;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 是否启用禁用 1启用，0禁用
     */
    @ApiModelProperty(value = "是否启用禁用 1启用，0禁用")
    private String statusFlag;

}
