/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程配置多选部门、人员配置关联表
 *
 * @author wangjieliu
 * @date Tue Nov 23 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDPERSON_W", resultMap = "gdpersonMap")
@KeySequence("TF_YWPN_GDPERSON_W")
@ApiModel
public class Gdperson extends Model<Gdperson> {
    private static final long serialVersionUID = 1L;


    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 流程配置的ID；表：TF_YWPN_GDYWCONFIG_W
     */
    @ApiModelProperty(value = "流程配置的ID；表：TF_YWPN_GDYWCONFIG_W")
    private Long configId;
    /**
     * 对应流程节点的部门ID
     */
    @ApiModelProperty(value = "对应流程节点的部门ID")
    private Long departId;
    /**
     * 对应流程节点的部门名称
     */
    @ApiModelProperty(value = "对应流程节点的部门名称")
    private String departName;
    /**
     * 对应流程节点的人员ID
     */
    @ApiModelProperty(value = "对应流程节点的人员ID")
    private Long personId;
    /**
     * 对应流程节点的人员名称
     */
    @ApiModelProperty(value = "对应流程节点的人员名称")
    private String personName;

    @ApiModelProperty(value = "受理人员电话号码",hidden = true)
    @TableField(exist = false)
    private String phone;
    /**
     * 流程节点，1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档
     */
    @ApiModelProperty(value = "流程节点，1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档")
    private String node;
    /**
     * 审核等级；结果审核存在多级审核情况；1、2、3级
     */
    @ApiModelProperty(value = "审核等级；结果审核存在多级审核情况；1、2、3级审核人")
    private Integer childNode;
}
