/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 管线信息采集数据表：TF_YWPN _PIPE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_PIPE_W",resultMap = "tfYwpnPipeMap")
@KeySequence("TF_YWPN_PIPE_W")
@ApiModel
public class TfYwpnPipe extends Model<TfYwpnPipe> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 管线编号
     */
    @ApiModelProperty(value = "管线编号")
    private String sid;
    /**
     * 起点点号
     */
    @ApiModelProperty(value = "起点点号")
    private String startsid;
    /**
     * 起点埋深（m）
     */
    @ApiModelProperty(value = "起点埋深（m）")
    private Double startdepth;
    /**
     * 起点管顶高程
     */
    @ApiModelProperty(value = "起点管顶高程")
    private Double startz;
    /**
     * 起点连接方式
     */
    @ApiModelProperty(value = "起点连接方式")
    private String startctype;
    /**
     * 终点点号
     */
    @ApiModelProperty(value = "终点点号")
    private String endsid;
    /**
     * 终点埋深（m）
     */
    @ApiModelProperty(value = "终点埋深（m）")
    private Double enddepth;
    /**
     * 终点管顶高程
     */
    @ApiModelProperty(value = "终点管顶高程")
    private Double endz;
    /**
     * 终点连接方式
     */
    @ApiModelProperty(value = "终点连接方式")
    private String endctype;
    /**
     * 管线材质
     */
    @ApiModelProperty(value = "管线材质")
    private String material;
    /**
     * 敷设方式
     */
    @ApiModelProperty(value = "敷设方式")
    private String burytype;
    /**
     * 管径（mm)
     */
    @ApiModelProperty(value = "管径（mm)")
    private Integer diameter;
    /**
     * 壁厚（mm)
     */
    @ApiModelProperty(value = "壁厚（mm)")
    private Double thickness;
    /**
     * 使用情况
     */
    @ApiModelProperty(value = "使用情况")
    private String usestatus;
    /**
     * 线标准代码
     */
    @ApiModelProperty(value = "线标准代码")
    private String linecode;
    /**
     * 流向
     */
    @ApiModelProperty(value = "流向")
    private String direction;
    /**
     * 防腐措施
     */
    @ApiModelProperty(value = "防腐措施")
    private String isantirot;
    /**
     * 防腐情况
     */
    @ApiModelProperty(value = "防腐情况")
    private String antirotnote;
    /**
     * 安全提示
     */
    @ApiModelProperty(value = "安全提示")
    private String issecure;
    /**
     * 定期检测
     */
    @ApiModelProperty(value = "定期检测")
    private String ischeck;
    /**
     * 套管材质
     */
    @ApiModelProperty(value = "套管材质")
    private String drivematerial;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 埋设年代
     */
    @ApiModelProperty(value = "埋设年代")
    private String buryyear;
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date indate;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date installdate;
    /**
     * 路面情况
     */
    @ApiModelProperty(value = "路面情况")
    private String occupysurface;
    /**
     * 腐蚀状况
     */
    @ApiModelProperty(value = "腐蚀状况")
    private String cauterystate;
    /**
     * 所在道路
     */
    @ApiModelProperty(value = "所在道路")
    private String laneway;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private String areano;
    /**
     * 行政区
     */
    @ApiModelProperty(value = "行政区")
    private String district;
    /**
     * 管线生产厂家
     */
    @ApiModelProperty(value = "管线生产厂家")
    private String manufacturer;
    /**
     * 回填物类型
     */
    @ApiModelProperty(value = "回填物类型")
    private String backfilltype;
    /**
     * 通水日期
     */
    @ApiModelProperty(value = "通水日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date supplygasdate;
    /**
     * 粗糙度
     */
    @ApiModelProperty(value = "粗糙度")
    private Double roughness;
    /**
     * 埋深位置
     */
    @ApiModelProperty(value = "埋深位置")
    private String depthlocation;
    /**
     * 管线长度
     */
    @ApiModelProperty(value = "管线长度")
    private Double pipelength;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;
    @ApiModelProperty(hidden = true)
    private List<String> filePath;

}
