/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 控制阀信息采集数据表：TF_YWPN_VALVE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_VALVE_W",resultMap = "tfYwpnValveMap")
@KeySequence("TF_YWPN_VALVE_W")
@ApiModel
public class TfYwpnValve extends Model<TfYwpnValve> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 阀门编号
     */
    @ApiModelProperty(value = "阀门编号")
    private String sid;
    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String facilityid;
    /**
     * 阀门类型
     */
    @ApiModelProperty(value = "阀门类型")
    private String valvetype;
    /**
     * 阀门级别
     */
    @ApiModelProperty(value = "阀门级别")
    private String valveclass;
    /**
     * 防腐级别
     */
    @ApiModelProperty(value = "防腐级别")
    private String antirotgrade;
    /**
     * X坐标
     */
    @ApiModelProperty(value = "X坐标")
    private Double x;
    /**
     * Y坐标
     */
    @ApiModelProperty(value = "Y坐标")
    private Double y;
    /**
     * 地面高程
     */
    @ApiModelProperty(value = "地面高程")
    private Double groundz;
    /**
     * 管径（mm）
     */
    @ApiModelProperty(value = "管径（mm）")
    private Long diameter;
    /**
     * 管线材质
     */
    @ApiModelProperty(value = "管线材质")
    private String material;
    /**
     * 埋深（m）
     */
    @ApiModelProperty(value = "埋深（m）")
    private Float depth;
    /**
     * 管顶高程
     */
    @ApiModelProperty(value = "管顶高程")
    private Double topz;
    /**
     * 扣数
     */
    @ApiModelProperty(value = "扣数")
    private Long screwno;
    /**
     * 开旋转方向
     */
    @ApiModelProperty(value = "开旋转方向")
    private String direction;
    /**
     * 开闭状态
     */
    @ApiModelProperty(value = "开闭状态")
    private String openclose;
    /**
     * 生产厂家
     */
    @ApiModelProperty(value = "生产厂家")
    private String manufacturer;
    /**
     * 螺孔心径
     */
    @ApiModelProperty(value = "螺孔心径")
    private Float filaturediameter;
    /**
     * 阀门厚度
     */
    @ApiModelProperty(value = "阀门厚度")
    private Float valvedeep;
    /**
     * 密封材料
     */
    @ApiModelProperty(value = "密封材料")
    private String proofmaterial;
    /**
     * 上斜法兰尺寸
     */
    @ApiModelProperty(value = "上斜法兰尺寸")
    private String sizeeh;
    /**
     * 下斜法兰尺寸
     */
    @ApiModelProperty(value = "下斜法兰尺寸")
    private String sizeeb;
    /**
     * 直法兰尺寸
     */
    @ApiModelProperty(value = "直法兰尺寸")
    private String zsize;
    /**
     * 螺栓规格
     */
    @ApiModelProperty(value = "螺栓规格")
    private String bolttype;
    /**
     * 法兰圆周尺寸
     */
    @ApiModelProperty(value = "法兰圆周尺寸")
    private String circlesize;
    /**
     * 管左侧距离
     */
    @ApiModelProperty(value = "管左侧距离")
    private Float northwest;
    /**
     * 管右侧距离
     */
    @ApiModelProperty(value = "管右侧距离")
    private Float southeast;
    /**
     * 接口连接方式
     */
    @ApiModelProperty(value = "接口连接方式")
    private String connecttype;
    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modal;
    /**
     * 电动阀
     */
    @ApiModelProperty(value = "电动阀")
    private String motorized;
    /**
     * 开启度（%）
     */
    @ApiModelProperty(value = "开启度（%）")
    private Long percentopen;
    /**
     * 井盖带锁
     */
    @ApiModelProperty(value = "井盖带锁")
    private String islock;
    /**
     * 井盖形状
     */
    @ApiModelProperty(value = "井盖形状")
    private String manholetype;
    /**
     * 井盖材质
     */
    @ApiModelProperty(value = "井盖材质")
    private String manholematerial;
    /**
     * 井盖直径（m）
     */
    @ApiModelProperty(value = "井盖直径（m）")
    private Float manholemiameter;
    /**
     * 井盖长（m）
     */
    @ApiModelProperty(value = "井盖长（m）")
    private Float manholelen;
    /**
     * 井盖宽（m）
     */
    @ApiModelProperty(value = "井盖宽（m）")
    private Float manholewidth;
    /**
     * 井室类型
     */
    @ApiModelProperty(value = "井室类型")
    private String welltype;
    /**
     * 井室材质
     */
    @ApiModelProperty(value = "井室材质")
    private String wellmateial;
    /**
     * 井脖深（m）
     */
    @ApiModelProperty(value = "井脖深（m）")
    private Float wellneckdepth;
    /**
     * 井室直径（m）
     */
    @ApiModelProperty(value = "井室直径（m）")
    private Float wellmiameter;
    /**
     * 井室长（m）
     */
    @ApiModelProperty(value = "井室长（m）")
    private Float welllen;
    /**
     * 井室宽（m）
     */
    @ApiModelProperty(value = "井室宽（m）")
    private Float wellwidth;
    /**
     * 井室高（m）
     */
    @ApiModelProperty(value = "井室高（m）")
    private Float wellheight;
    /**
     * 特殊井室码
     */
    @ApiModelProperty(value = "特殊井室码")
    private String wellcode;
    /**
     * 图幅号
     */
    @ApiModelProperty(value = "图幅号")
    private String distno;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private String areano;
    /**
     * 行政区
     */
    @ApiModelProperty(value = "行政区")
    private String district;
    /**
     * 所在道路
     */
    @ApiModelProperty(value = "所在道路")
    private String laneway;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 勘测单位
     */
    @ApiModelProperty(value = "勘测单位")
    private String surveyunit;
    /**
     * 权属单位
     */
    @ApiModelProperty(value = "权属单位")
    private String ownerunit;
    /**
     * 管辖单位
     */
    @ApiModelProperty(value = "管辖单位")
    private String maintainedunit;
    /**
     * 勘测日期
     */
    @ApiModelProperty(value = "勘测日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date surveydate;
    /**
     * 入库日期
     */
    @ApiModelProperty(value = "入库日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date indate;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date installdate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件图片
     */
    @ApiModelProperty(value = "附件图片")
    private String fileIds;
    @ApiModelProperty(hidden = true)
    private List<String> filePath;

}
