/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 质检工单关联客户信息
 *
 * @author admin
 * @date Mon Nov 15 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode
public class ZlrzClientDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 认证工单主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "认证工单主键ID")
    private BigDecimal id;
    /**
     * 工单ID
     */
    @ApiModelProperty(value = "工单ID")
    private Long certificationOrderId;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String clientNumber;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String clientName;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String clientAddress;
    /**
     * 水表型号（DN15、20、25、40、50、80、100、150、200等)
     */
    @ApiModelProperty(value = "水表型号（DN15、20、25、40、50、80、100、150、200等)")
    private String meterType;
    /**
     * 用水类别（生活、非居、工业等）
     */
    @ApiModelProperty(value = "用水类别（生活、非居、工业等）")
    private String waterCategory;
    /**
     * 前月水量
     */
    @ApiModelProperty(value = "前月水量")
    private BigDecimal lastMonthVolume;
    /**
     * 本月水量
     */
    @ApiModelProperty(value = "本月水量")
    private BigDecimal thisMonthVolume;
    /**
     * 升降水量
     */
    @ApiModelProperty(value = "升降水量")
    private String diffVolume;
    /**
     * 水量同比
     */
    @ApiModelProperty(value = "水量同比")
    private String monthOnMonthRatio;
    /**
     * 水量环比
     */
    @ApiModelProperty(value = "水量环比")
    private String yearOnYearRatio;
    /**
     * 客户电话
     */
    @ApiModelProperty(value = "客户电话")
    private String clientPhone;
    /**
     * 实际电话
     */
    @ApiModelProperty(value = "实际电话")
    private String actualPhone;
    /**
     * 表号
     */
    @ApiModelProperty(value = "表号")
    private String tableNo;
    /**
     * 是否删除0否，1是
     */
    @ApiModelProperty(value = "是否删除0否，1是")
    private String del;

}
