package com.tofly.qualitycontrol.common;

/**
 * 质量管理常量
 *
 * @author B
 */
public interface QualityControlConstant {

	String SUCCESS = "成功";
	String FAILED = "失败";
	String POINT = ".";
	String KB = "kb";
	String CSV = ",";
	String FLAG = "0";
	String CERTIFICATION_ORDER_TABLE_NAME = "TF_YWPN_ZLRZ_W";
	String RECTIFY_ORDER_TABLE_NAME = "TF_YWPN_ZLZG_W";
	String PLAN_TABLE_NAME = "TF_YWPN_ZJJH_W";
	Integer FEIGN_MESSAGE_CLIENT_ERROR_CODE = 70001;
	String FEIGN_MESSAGE_CLIENT_ERROR = "消息推送数据服务,远程调用异常";
	String CERTIFICATION_ORDER_MESSAGE = "新的工单上报信息待处理";
	String INSPECTION_ORDER_MESSAGE = "新的检验记录信息待处理";
	String RECTIFY_RELEASE_MESSAGE = "新的审核下达信息待处理";
	String RECTIFY_ISSUED_AUDIT_MESSAGE = "新的审核信息待处理";
	String RECTIFY_RESULT_MESSAGE = "新的整改处置信息待处理";
	String RECTIFY_AUDIT_MESSAGE = "新的整改审核信息待处理";
	String RECTIFY_VERIFY_MESSAGE = "新的整改验证信息待处理";
	String VERIFICATION_EXAMINE_MESSAGE = "新的整改验证信息待处理";
	String ISSUE_REJECTED_MESSAGE = "整改下达信息经审核被驳回";
	String RECTIFY_REJECTED_MESSAGE = "整改处置信息经审核被驳回";
	String AUDIT_REJECTED_MESSAGE = "整改审核信息经审核被驳回";
	String VERIFY_REJECTED_MESSAGE = "整改验证信息经验证被驳回";
	String VALIDATE_REJECTED_MESSAGE = "验证审核信息经验证被驳回";
	String VALIDATE_MESSAGE = "新的验证审核信息待处理";
	String PROCESS_FINISHED_MESSAGE = "整改流程已完成";
	String INSPECTION_OVERDUE_MESSAGE = "检验记录超时提醒";
	String ISSUE_OVERDUE_MESSAGE = "整改下达超时提醒";
	String AUDIT_OVERDUE_MESSAGE = "整改审核超时提醒";
	String VERIFY_OVERDUE_MESSAGE = "整改验证超时提醒";
	String PLAN_REJECTED_MESSAGE = "质检计划被驳回";
	String PLAN_TO_AUDIT_MESSAGE = "质检计划待审核";
	String PLAN_FINISHED_MESSAGE = "质检计划已完成";
	String FILE_NAME_NOT_EXSIT = "上传文件未找到：";
	String DATA_LIST_NULL = "检查记录集合为空";
	String CERTIFICATION_EXCEPTION_STATUS = "certificationExceptionStatus";
	String ISSUE_EXCEPTION_STATUS = "issueExceptionStatus";
	String RECTIFY_EXCEPTION_STATUS = "rectifyExceptionStatus";
	String AUDIT_EXCEPTION_STATUS = "auditExceptionStatus";
	String VERIFY_EXCEPTION_STATUS = "verifyExceptionStatus";
	String VALIDATE_EXCEPTION_STATUS = "validateExceptionStatus";
	String ORDER_EXCEPTION_STATUS = "orderExceptionStatus";
	String ORDER_SAVE_ERR = "CertificationOrder save error";
	String RECTIFYORDER_SAVE_ERR = "RectifyOrder save error";
	String RECTIFYORDER_UPDATE_ERR = "RectifyOrder update error";
	String ORDER_UPDATEBYID_ERROR = "CertificationOrder updateById error";
	/** 不用整改 */
	String NOT_TO_RECTIFY = "1";
	/** 需要整改 */
	String TO_RECTIFY = "0";
	/** 检验记录环节 */
	String INSPECTION_PROCESS = "0";
	/** 整改下达环节 */
	String ISSUE_PROCESS = "1";
	/** 整改处置环节 */
	String DEAL_PROCESS = "2";
	/** 整改审核环节 */
	String AUDIT_PROCESS = "3";
	/** 整改验证环节 */
	String VERIFY_PROCESS = "4";
	/** 验证审核环节 */
	String VALIDATE_PROCESS = "5";
	/** 本环节状态 */
	String FLOW_CURRENT_PROCESS = "0";
	/** 转部门状态 */
	String FLOW_TRANSFER = "1";
	/** 流程驳回状态 */
	String FLOW_REJECTED = "2";
	/** 流程终止状态 */
	String FLOW_FINISHED = "3";
	/** 进入下一个流程 */
	String FLOW_NEXT = "4";
	/** 进入审核流程 */
	String FLOW_AUDIT = "5";
	/**
	 * 流程状态 ：未审核
	 */
	Long FLOW_AUDIT_DEFAULT = 0L;
	/**
	 * 流程状态 ：驳回
	 */
	Long FLOW_AUDIT_REJECT = 1L;
	/**
	 * 流程状态 ：通过
	 */
	Long FLOW_AUDIT_THROUGH= 2L;
	/**
	 * 流程：整改下达
	 */
	Long FLOW_PROCESS_ONE = 0L;
	/**
	 * 流程：整改审核
	 */
	Long FLOW_PROCESS_TWO = 1L;
	/** 计划类型:月计划 */
	String PLAN_TYPE_MONTH = "1";
	/** 计划类型:年计划 */
	String PLAN_TYPE_YEAR = "2";
	/** 未上报 */
	String PLAN_NOT_REPORTED = "0";
	/** 审核中 */
	String PLAN_AUDITING = "1";
	/** 审核完成 */
	String PLAN_AUDIT_FINISHED = "2";
	/** 审核驳回 */
	String PLAN_REJECTED = "3";
	/** 审核结论默认 */
	String PLAN_PROCESS_DEFAULT = "0";
	/** 审核结论通过 */
	String PLAN_PROCESS_PASSED = "1";
	/** 审核结论驳回 */
	String PLAN_PROCESS_REJECTED = "2";
	/** 归集类型 用户 */
	String COLLECTION_TYPE_USER = "1";
	/** 归集类型 管理 */
	String COLLECTION_TYPE_MANAGE = "2";
	/** 归集状态 启用 */
	String COLLECTION_STATUS_ON = "1";
	/** 归集状态 禁用 */
	String COLLECTION_STATUS_OFF = "2";
	/** 逻辑删除标识 默认 */
	String COLLECTION_NOT_DELETED = "1";
	/** 逻辑删除标识 删除 */
	String COLLECTION_IS_DELETED = "0";
	/** 超时 key */
	String OVERDUE = "overdue";
	/** 超时 value */
	String IS_OVERDUE = "1";
	/** 未超时 value */
	String NOT_OVERDUE = "0";
	/** 驳回 key */
	String REJECTED = "rejected";
	/** 驳回 value */
	String IS_REJECTED = "b";
	/** 未驳回 value */
	String NOT_REJECTED = "a";
	/** 质检计划 默认状态 */
	String PLAN_STATUS_DEFAULT = "0";
	/** 质检计划 待审核状态 */
	String PLAN_STATUS_TO_AUDIT = "1";

	/** 质检计划 默认状态 */
	String COLLECTION_TYPE_REDIS_KEY_USER = "user_";
	/** 质检计划 待审核状态 */
	String COLLECTION_TYPE_REDIS_KEY_ADMIN = "admin_";

	String METER_SUFFIX = "DN";

	String ZLRZ_TABLE_NAME = "TF_YWPN_ZLRZ_W";

	Short SYNERGIST_JC=1;

	/*超时*/
	Integer FLOW_OVERTIME_STATUS = 1;
	/*驳回*/
	Integer FLOW_REJECTED_STATUS = 2;
	/*超时+驳回*/
	Integer FLOW_OVERTIME_REJECTED_STATUS = 3;


	String TIME_FORMAT = "yyyy-MM";

	String IS_CB = "1";


}
