package com.tofly.qualitycontrol.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode
public class CertifyOrderDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 认证工单主键ID */
    @NotNull
    @ApiModelProperty(value = "认证工单主键ID",required = true)
    private Long id;



    /** 检验记录时间 */
    @ApiModelProperty("检验记录时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date certificationTime;


    /** 检查记录问题列表 */
    @ApiModelProperty("检查记录问题列表")
    private List<CertifyOrderInfoDto> infoDtos;

}
