package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author B
 */
@Data
@ApiModel("归集号详情实体包装类")
public class CollectionNumberDetailDTO {

	/** 客户编号列表 */
	@ApiModelProperty("客户编号列表")
	private List<String> clientNumberList;
	/** 认证编号 */
	@ApiModelProperty("归集编号")
	@NotNull(message = "归集编号不能为空")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	@NotNull(message = "归集名称不能为空")
	private String collectionName;

    @ApiModelProperty("是否全部分配；1：是；全部分配则不用传递客户编号列表了")
	private String isAll;

    @ApiModelProperty(value = "所属片区，多个逗号隔开")
    private String cbpq;

    @ApiModelProperty(value = "所属抄表本，多个逗号隔开")
    private String cbb;

    @ApiModelProperty(value = "抄表区域，多个逗号隔开")
    private String qybm;

    @ApiModelProperty(value = "抄表区域段，多个逗号隔开")
    private String qydbm;

    @ApiModelProperty(value = "输入框内容")
    private String inputcontent;

    @ApiModelProperty(value = "水表口径code，多个逗号隔开")
    private String sbkj;

    @ApiModelProperty(value = "用水性质，多个逗号隔开")
    private String ysxz;
    @ApiModelProperty(value = "是否农村用水")
    private String sfncys;

    @ApiModelProperty(value = "加压站")
    private String jyz;


}
