package com.tofly.qualitycontrol.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
@ApiModel("第三方接口数据传输类")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CollectionNumberSummaryAPIBean {

	/** 操作类型(QUERY) */
	@ApiModelProperty("操作类型(QUERY)")
	@JSONField(name = "ACTION")
	private String ACTION;
	/** 签名 */
	@ApiModelProperty("签名")
	@JSONField(name = "SING")
	private String SING;
	/** 片区（编码） */
	@ApiModelProperty("片区（编码）")
	@JSONField(name = "CBPQ")
	private String CBPQ;
	/** 抄表本（编码） */
	@ApiModelProperty("抄表本（编码）")
	@JSONField(name = "CBB")
	private String CBB;
	/** 客户编号（可多个传入） */
	@ApiModelProperty("客户编号（可多个传入）")
	@JSONField(name = "YHBH")
	private String YHBH;
	/** 客户姓名） */
	@ApiModelProperty("客户姓名")
	@JSONField(name = "YHXM")
	private String YHXM;
	/** 水表编号（可多个传入） */
	@ApiModelProperty("水表编号（可多个传入）")
	@JSONField(name = "SBBH")
	private String SBBH;
	/** 抄表开始月份(yyyyMM—202101) */
	@ApiModelProperty("抄表开始月份(yyyyMM—202101)")
	@JSONField(name = "CBYF_START")
	private String CBYF_START;
	/** 抄表结束月份(yyyyMM—202104) */
	@ApiModelProperty("抄表结束月份(yyyyMM—202104)")
	@JSONField(name = "CBYF_END")
	private String CBYF_END;

}
