package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
public class CollectionNumberSummaryBean {

	/** 流水编号 */
	@ApiModelProperty("流水编号")
	private String LSBH;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String YHBH;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String YHXM;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String YHDZ;
	/** 联系电话 */
	@ApiModelProperty("联系电话")
	private String LXDH;
	/** 水表编号 */
	@ApiModelProperty("水表编号")
	private String SBBH;
	/** 水表厂家（编码） */
	@ApiModelProperty("水表厂家（编码）")
	private String SBCJ;
	/** 水表类型（编码） */
	@ApiModelProperty("水表类型（编码）")
	private String SBLX;
	/** 水表口径 */
	@ApiModelProperty("水表口径")
	private Integer SBKJ;
	/** 抄表片区（编码） */
	@ApiModelProperty("抄表片区（编码）")
	private String CBPQ;
	/** 抄表本（编码） */
	@ApiModelProperty("抄表本（编码）")
	private String CBB;
	/** 用水性质（编码） */
	@ApiModelProperty("用水性质（编码）")
	private String YSXZ;
	/** 性质细分（编码） */
	@ApiModelProperty("性质细分（编码）")
	private String XZXF;
	/** 抄表月份(yyyyMM—202104) */
	@ApiModelProperty("抄表月份(yyyyMM—202104)")
	private String CBYF;
	/** 上次读数（起度） */
	@ApiModelProperty("上次读数（起度）")
	private Double SCDS;
	/** 本次读数（止度） */
	@ApiModelProperty("本次读数（止度）")
	private Double BCDS;
	/** 抄表水量 */
	@ApiModelProperty("抄表水量")
	private Double CBSL;
	/** 应收金额 */
	@ApiModelProperty("应收金额")
	private BigDecimal YSJE;
	/** 抄表员 */
	@ApiModelProperty("抄表员")
	private String CBRY;
	/** 抄表日期(yyyy-MM-dd HH:mm:ss) */
	@ApiModelProperty("抄表日期(yyyy-MM-dd HH:mm:ss)")
	private String CBRQ;
	/** 收费标志  1已收费，0未收费 */
	@ApiModelProperty("收费标志  1已收费，0未收费")
	private Integer SFBZ;
	/** 收费人员 */
	@ApiModelProperty("收费人员")
	private String SFRY;
	/** 收费日期(yyyy-MM-dd HH:mm:ss) */
	@ApiModelProperty("收费日期(yyyy-MM-dd HH:mm:ss)")
	private String SFRQ;
	/** 票据状态  1正常，2作废 */
	@ApiModelProperty("票据状态  1正常，2作废")
	private String PJZT;
	/** 增值税金额 */
	@ApiModelProperty("增值税金额")
	private BigDecimal ZZSJE;
	/** 基本水费 */
	@ApiModelProperty("基本水费")
	private BigDecimal JBSF;
	/** 违约金额 */
	@ApiModelProperty("违约金额")
	private BigDecimal WYJE;
	/** 消防准备金额 */
	@ApiModelProperty("消防准备金额")
	private BigDecimal XFZBJE;
	/** 污水费金额 */
	@ApiModelProperty("污水费金额")
	private BigDecimal WSFJE;
	/** 垃圾费金额 */
	@ApiModelProperty("垃圾费金额")
	private BigDecimal LJFJE;

}
