package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


@Data
@EqualsAndHashCode
public class OrderListDto extends DateDto {
    private static final long serialVersionUID = 1L;

    /**
     * 认证项目(抄表数据/其它数据等)
     */
    @ApiModelProperty("认证项目 id")
    private List<String> certificationProject;

    /**
     * 质量缺陷id
     */
    @ApiModelProperty("质量缺陷id")
    private List<String> exceptionCause;

    /**
     * 业务监控环节
     */
    @ApiModelProperty("业务监控环节 (0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核）")
    private List<String> currentProcess;

    /**
     * 水表型号（DN15、20、25、40、50、80、100、150、200等)
     */
    @ApiModelProperty(value = "水表型号（DN15、20、25、40、50、80、100、150、200等)")
    private List<String> meterType;

    /**
     * 整改成效类别
     */
    @ApiModelProperty(value = "整改成效类别 id")
    private List<String> rectifyType;

    /**
     * 上报部门
     */
    @ApiModelProperty("上报部门")
    private List<String> dispatchDept;

    /**
     * 整改处置部门
     */
    @ApiModelProperty("整改处置部门")
    private List<String> rectifyDept;

    /**
     * 当前处理部门
     */
    @ApiModelProperty("当前处理部门")
    private List<String> nextDept;

    /**
     * 工单编号、工单内容
     */
    @ApiModelProperty(value = "工单编号、工单内容 等模糊查询")
    private String content;

    /**
     * 报表类型：1、工单完成率；2、质量缺陷统计；3、质量缺陷趋势；4、部门工单整改率；5、认证频次；6、经济效益；7、管理效益
     */
    @ApiModelProperty(value = "报表类型：1、工单完成率；2、质量缺陷统计；3、质量缺陷趋势；4、部门工单整改率；5、认证频次；6、经济效益；7、管理效益")
    private Integer reportType;

    /**
     * 工单完成率 业务环节
     */
    @ApiModelProperty(value = " 工单完成率 业务环节： 0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核 ")
    private Integer link;


    /**
     * 是否完成 0未完成、待办；1完成 ;2超时
     */
    @ApiModelProperty(value = "是否完成 0未完成、待办；1完成 ;2超时;3超时完成;4超时未完成 ")
    private Integer finish;
    /**
     * 客户编号
     */
    @ApiModelProperty("客户编号")
    private String clientNumber;

    /**
     * 整改验证是否合格0不合格，1合格
     */
    @ApiModelProperty("整改验证是否合格0不合格，1合格")
    private String rectifyVerifyOk;

    /**
     * 是否导出 true 导出
     */
    @ApiModelProperty("是否导出")
    private Boolean export;

    /**
     * 年月
     */
    @ApiModelProperty("年月")
    private String yearMonth;


}
