package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * TF_YWPN_GJGL_W 归集号实体类
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GJGL_W", resultMap = "collectionNumberMap")
@ApiModel("归集号实体类")
@KeySequence("TF_YWPN_GJGL_W")
public class CollectionNumber extends Model<CollectionNumber> {

	private static final long serialVersionUID = 1L;
	/** 归集管理表主键id */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty(value = "归集管理表主键id")
	private Long id;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	@NotNull(groups = ValidateGroup.class, message = "归集名称不能为空")
	private String collectionName;
	/** 归集数量 */
	@ApiModelProperty("归集数量")
	private Integer collectionCount;
	/** 归集类型 */
	@ApiModelProperty("归集类型 字典")
	private String collectionType;
	/** 归集状态 */
	@ApiModelProperty("归集状态 字典")
	private String collectionStatus;
	/** 逻辑删除标识 */
	@ApiModelProperty("逻辑删除标识")
	@TableLogic
	private String isDeleted;

	public interface ValidateGroup {

	}

}
