package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * TF_YWPN_GJGLXQ_W 归集号详情实体类
 *
 * @author B
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GJGLXQ_W", resultMap = "collectionNumberDetailMap")
@ApiModel("归集号详情实体类")
@KeySequence("TF_YWPN_GJGLXQ_W")
public class CollectionNumberDetail extends Model<CollectionNumberDetail> {

	private static final long serialVersionUID = 1L;
	/** 归集详情管理表主键id */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty(value = "归集详情管理表主键id")
	private Long id;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	private String collectionName;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;

}
