package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 质检计划审核人员表 TF_YWPN_ZJJHGC_W
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ZJJHRY_W", resultMap = "planAuditorMap")
@ApiModel("质检计划审核人员表")
@KeySequence("TF_YWPN_ZJJHRY_W")
public class PlanAuditor extends Model<PlanAuditor> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty("质检计划流程信息表主键id")
	private Long id;
	/** 质检计划工单id */
	@ApiModelProperty("质检计划工单id")
	private Long planId;
	/** 审核等级(1,2,3,4...) */
	@ApiModelProperty("审核等级(1,2,3,4...)")
	private Integer auditLevel;
	/** 审核人id */
	@ApiModelProperty("审核人id")
	private Long auditorId;
	/** 审核人姓名 */
	@ApiModelProperty("审核人姓名")
	private String auditorName;
	/** 审核人部门id */
	@ApiModelProperty("审核人部门id")
	private Long auditorDeptId;
	/** 审核人部门名称 */
	@ApiModelProperty("审核人部门名称")
	private String auditorDeptName;
	/** 选中状态 */
	@ApiModelProperty("选中状态")
	private String status;

}
