package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;

/**
 * 驳回次数配置实体类 TF_YWPN_BHPZ_W
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BHPZ_W", resultMap = "rejectedCountConfigMap")
@ApiModel("驳回次数配置实体类")
@KeySequence("TF_YWPN_BHPZ_W")
public class RejectedCountConfig extends Model<RejectedCountConfig> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty("驳回次数配置主键id")
	private Long id;
	/** 驳回次数 */
	@ApiModelProperty("驳回次数")
	@Min(value = 0, message = "不能为负数")
	private Integer rejectedCount;
	/** 备注 */
	@ApiModelProperty("备注")
	private String memo;

}
