package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 驳回记录表 TF_YWPN_ZJGLFLOW_W
 *
 * @author B
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ZJGLFLOW_W", resultMap = "rejectedRecordMap")
@ApiModel("驳回记录实体类")
@KeySequence("TF_YWPN_ZJGLFLOW_W")
public class RejectedRecord extends Model<RejectedRecord> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty("驳回记录主键ID")
	private Long id;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 处理部门 */
	@ApiModelProperty("处理部门")
	private String executeDept;
	/** 处理人员 */
	@ApiModelProperty("处理人员")
	private String executePerson;
	/** 处理人员id */
	@ApiModelProperty("处理人员id")
	private Long executePersonId;
	/** 处理时间 */
	@ApiModelProperty("处理时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date executeTime;
	/** 处理意见 */
	@ApiModelProperty("处理意见")
	private String executeAdvice;
	/** 流程节点 */
	@ApiModelProperty("流程节点")
	private String currentProcess;
	/** 创建时间 */
	@ApiModelProperty("创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 是否启用禁用 1启用 0禁用 */
	@ApiModelProperty(" 1启用 0禁用,默认1")
	private String statusFlag;
	/** 创建人员id */
	@ApiModelProperty("创建人员id")
	private Long createUserId;
	/** 创建人员 */
	@ApiModelProperty("创建人员")
	private String createUser;

}
