package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 扫描频率配置实体类 TF_YWPN_SMPZ_W
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SMPZ_W", resultMap = "scanFrequencyConfigMap")
@ApiModel("扫描频率配置实体类")
@KeySequence("TF_YWPN_SMPZ_W")
public class ScanFrequencyConfig extends Model<ScanFrequencyConfig> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty("扫描频率配置主键id")
	private Long id;
	/** 频率 */
	@ApiModelProperty("频率")
	private String frequency;
	/** 表达式 */
	@ApiModelProperty("表达式")
	@NotBlank(message = "表达式不能为空")
	private String expression;
	/** 备注 */
	@ApiModelProperty("备注")
	private String memo;
	/** 选中状态 未选中:0,选中:1 */
	@ApiModelProperty("选中状态 未选中:0,选中:1 ")
	private String status;

}
