package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;

/**
 * 时限配置实体类 TF_YWPN_SXPZ_W
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SXPZ_W", resultMap = "timeConfigMap")
@ApiModel("时限配置实体类")
@KeySequence("TF_YWPN_SXPZ_W")
public class TimeConfig extends Model<TimeConfig> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@TableId(value = "ID", type = IdType.INPUT)
	@ApiModelProperty("时限配置主键id")
	private Long id;
	/** 认证编号 */
	@ApiModelProperty("编号")
	private String code;
	/** 处理部门 */
	@ApiModelProperty("环节名称")
	private String processName;
	/** 处理人员 */
	@ApiModelProperty("时限")
	@Min(value = 0, message = "不能为负数")
	private Integer timeLimit;

}
