package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ZLTRANSFER_W", resultMap = "zlTransferMap")
@ApiModel("质量工单转派实体类")
@KeySequence("TF_YWPN_ZLTRANSFER_W")
public class ZlTransfer extends Model<ZlTransfer> {

    private static final long serialVersionUID = 1L;
    /** ID */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty("主键id")
    private Long id;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String gdbh;
    /**
     * 处理部门
     */
    @ApiModelProperty("处理部门")
    private String clbm;
    /**
     * 转派人员
     */
    @ApiModelProperty("转派人员")
    private String zpry;
    /**
     * 转派人员ID
     */
    @ApiModelProperty("转派人员ID")
    private Long zpryid;
    /**
     * 转派时间
     */
    @ApiModelProperty("转派时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zpsj;
    /**
     * 转派意见
     */
    @ApiModelProperty("转派意见")
    private String zpyj;
    /**
     * 流程节点
     */
    @ApiModelProperty("流程节点")
    private String lcjd;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人员
     */
    @ApiModelProperty("创建人员")
    private Long createUser;
    /**
     * 接收人员
     */
    @ApiModelProperty("接收人员")
    private String jsry;

    /**
     * 接收人员ID
     */
    @ApiModelProperty("接收人员ID")
    private Long jsryid;

    /**
     * 接收人员
     */
    @ApiModelProperty("接收状态")
    private String jszt;

    /**
     * 流程节点
     */
    @TableField(exist = false)
    @ApiModelProperty("流程节点")
    private String lcjdName;

}
