/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 认证工单协同人
 *
 * @author xqf
 * @date Tue Oct 19 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_ZLRZ_SYNERGIST_W", resultMap = "zlrzSynergistMap")
@KeySequence("TF_YWPN_ZLRZ_SYNERGIST_W")
@ApiModel
public class ZlrzSynergist extends Model<ZlrzSynergist> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 协同人名称
     */
    @ApiModelProperty(value = "协同人名称")
    private String synergistName;
    /**
     * 协同人ID
     */
    @ApiModelProperty(value = "协同人ID")
    private Long synergistId;
    /**
     * 协调部门ID
     */
    @ApiModelProperty(value = "协调部门ID")
    private Long synergistDeptId;
    /**
     * 协调部门名称
     */
    @ApiModelProperty(value = "协调部门名称")
    private String synergistDeptName;
    /**
     * 工单ID
     */
    @ApiModelProperty(value = "工单ID")
    private Long gdId;
    /**
     * 协同人员类型 1、检验协同人员
     */
    @ApiModelProperty(value = "协同人员类型 1、检验协同人员")
    private Short synergistType;
    /**
     * 关联表名称
     */
    @ApiModelProperty(value = "关联表名称")
    private String tableName;
    /**
     * 删除状态 0未删除,1删除 默认0
     */
    @ApiModelProperty(value = "删除状态 0未删除,1删除 默认0")
    private Short delStatus;
    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
