package com.tofly.qualitycontrol.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author B
 */
@Data
@ColumnWidth(45)
@HeadRowHeight(35)
@ContentRowHeight(20)
public class CollectionNumberSummaryClientExcel implements Serializable {

	private static final long serialVersionUID = 1L;
	@ColumnWidth(15)
	/** 客户编号 */
	@ExcelProperty("客户编号")
	private String clientNumber;
	@ColumnWidth(15)
	/** 客户姓名 */
	@ExcelProperty("客户姓名")
	private String clientName;
	@ColumnWidth(15)
	/** 客户地址 */
	@ExcelProperty("客户地址")
	private String clientAddress;
	@ColumnWidth(15)
	/** 客户电话 */
	@ExcelProperty("客户电话")
	private String clientPhone;
	@ColumnWidth(15)
	/** 合计水量 */
	@ExcelProperty("合计水量")
	private Double waterVolumeSum;
	@ColumnWidth(15)
	/** 合计水费 */
	@ExcelProperty("合计水费")
	private BigDecimal waterFeeSum;
	@ColumnWidth(15)
	/** 合计污水费 */
	@ExcelProperty("合计污水费")
	private BigDecimal sewageFeeSum;
	@ColumnWidth(15)
	/** 合计垃圾费 */
	@ExcelProperty("合计垃圾费")
	private BigDecimal garbageFeeSum;

}
