package com.tofly.qualitycontrol.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author B
 */
@Data
@ColumnWidth(45)
@HeadRowHeight(35)
@ContentRowHeight(20)
public class CollectionNumberSummaryExcel implements Serializable {

	private static final long serialVersionUID = 1L;
	@ColumnWidth(15)
	/** 归集编号 */
	@ExcelProperty("归集编号")
	private String collectionNumber;
	@ColumnWidth(15)
	/** 归集名称 */
	@ExcelProperty("归集名称")
	private String collectionName;
	@ColumnWidth(15)
	/** 合计水量 */
	@ExcelProperty("合计水量")
	private Double waterVolumeSum;
	@ColumnWidth(15)
	/** 合计水费 */
	@ExcelProperty("合计水费")
	private BigDecimal waterFeeSum;
	@ColumnWidth(15)
	/** 合计污水费 */
	@ExcelProperty("合计污水费")
	private BigDecimal sewageFeeSum;
	@ColumnWidth(15)
	/** 合计垃圾费 */
	@ExcelProperty("合计垃圾费")
	private BigDecimal garbageFeeSum;

}
