package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.dto.CollectionNumberDetailDTO;
import com.tofly.qualitycontrol.entity.CollectionNumberDetail;
import com.tofly.qualitycontrol.vo.CollectionNumberDetailVO;

import java.util.List;

/**
 * 归集管理详情
 *
 * @author B
 */
public interface ICollectionNumberDetailService extends IService<CollectionNumberDetail> {

	/**
	 * 批量添加信息到归集号
	 *
	 * @param collectionNumberDetailDTO
	 * @return java.lang.Boolean
	 **/
	Boolean addToCollectionNumberByBatch(CollectionNumberDetailDTO collectionNumberDetailDTO);

	/**
	 * 信息接口中的分页查询
	 *
	 * @param collectionNumber
	 * @param clientNumber
	 * @param page
	 * @return com.baomidou.mybatisplus.core.metadata.IPage<com.tofly.qualitycontrol.vo.CollectionNumberDetailVO>
	 **/
	IPage<CollectionNumberDetailVO> getList(String collectionNumber,String clientNumber,Page<CollectionNumberDetail> page);

	/**
	 * 批量删除某个归集号中的客户信息
	 *
	 * @param ids
	 * @return java.lang.Boolean
	 **/
	Boolean deleteCollectionNumberDetailByBatch(List<String> ids);

    boolean deleteCollectionNumber(String yhbhs, String collectionNumber, String isAll);
}
