package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.entity.CollectionNumber;
import com.tofly.qualitycontrol.vo.CollectionNumberVO;

import java.util.List;

/**
 * 归集管理
 *
 * @author B
 */
public interface ICollectionNumberService extends IService<CollectionNumber> {

	/**
	 * 添加归集
	 *
	 * @param collectionNumber
	 * @return java.lang.Boolean
	 **/
	Boolean saveCollectionNumber(CollectionNumber collectionNumber);

	/**
	 * 修改归集
	 *
	 * @param collectionNumber
	 * @return java.lang.Boolean
	 **/
	Boolean updateCollectionNumber(CollectionNumber collectionNumber);

	/**
	 * 删除归集
	 *
	 * @param ids
	 * @return java.lang.Boolean
	 **/
	Boolean deleteCollectionNumber(List<String> ids);

	/**
	 * 归集管理分页,查询
	 *
	 *
	 * @param collectionType
	 * @param input
	 * @param collectionStatus
	 * @param page
	 * @return com.baomidou.mybatisplus.core.metadata.IPage<com.tofly.qualitycontrol.vo.CollectionNumberVO>
	 **/
	IPage<CollectionNumberVO> getList(String collectionType,String input,String collectionStatus,Page<CollectionNumber> page);

}
