package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.entity.QualityControlFile;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 文件信息处理
 */
public interface IQualityControlFileService extends IService<QualityControlFile> {

    /**
     * 上传文件,并获取文件id,以 , 隔开
     *
     * @param fileList
     * @param filePathBean
     * @param tableName
     * @return
     */
    StringBuilder saveFileList(List<MultipartFile> fileList,String filePathBean,String tableName);

    /**
     * 根据文件id列表删除远程文件略表
     *
     * @param fileIdList
     * @return
     */
    Boolean removeFileList(List<Long> fileIdList);

    /**
     * 根据文件id列表获取文件路径列表
     *
     * @param fileIdList
     * @return
     */
    List<Map<String,String>> getFileInfo(List<Long> fileIdList);

    /**
     * 上传文件,并获取文件id, 返回Map 文件名，id
     * @param fileList 文件集合
     * @param filePathBean 文件路径
     * @param tableName 表名称
     * @return
     */
    Map<String, Long> saveFileMap(List<MultipartFile> fileList,String filePathBean,String tableName);
}
