package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.entity.RejectedRecord;
import com.tofly.qualitycontrol.vo.RejectedRecordVO;

import java.util.List;

/**
 * 驳回记录
 *
 * @author B
 */
public interface IRejectedRecordService extends IService<RejectedRecord> {

	/**
	 * 指定认证工单的驳回记录
	 *
	 * @param certificationNumber
	 * @param page
	 * @return com.baomidou.mybatisplus.core.metadata.IPage<com.tofly.qualitycontrol.vo.RejectedRecordVO>
	 **/
	IPage<RejectedRecordVO> getList(String certificationNumber,Page<RejectedRecord> page);

	List<RejectedRecordVO> getList(String certificationNumber);

	String getProcessName(String currentProcess);

}
