package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 业务监控VO
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("业务监控VO-list")
public class BusinessMonitorVO_L extends Model<BusinessMonitorVO_L> {

	private static final long serialVersionUID = 1L;
	/** 认证工单主键ID */
	@ApiModelProperty(value = "认证工单主键ID")
	private Long id;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 水表型号（DN15、20、25、40、50、80、100、150、200等）。 */
	@ApiModelProperty("水表型号（DN15、20、25、40、50、80、100、150、200等）。")
	private String meterType;
	/** 用水类别（生活、非居、工业等） */
	@ApiModelProperty("用水类别（生活、非居、工业等）")
	private String waterCategory;
	/** 认证项目(抄表数据/其它数据等) */
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProject;
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProjectName;
	/** 业务监控环节 */
	@ApiModelProperty("业务监控环节 (0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核）")
	private String currentProcess;
	/** 业务监控环节 */
	@ApiModelProperty("业务监控环节 (0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核）")
	private String currentProcessName;
	/** 工单总异常状态（取值 0 1 2 3） */
	@ApiModelProperty("工单总异常状态（取值 0 1 2 3）")
	private Integer orderExceptionStatus;

	/** 认证内容、检查内容 */
	@ApiModelProperty("认证内容、检查内容")
	private String certificationResult;

	/** 上报时间 */
	@ApiModelProperty("上报时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date dispatchTime;
	/** 上报部门 */
	@ApiModelProperty("上报部门")
	private String dispatchDept;

	private String dispatchDeptName;
	/** 上报人员 */
	@ApiModelProperty("上报人员")
	private String dispatchPerson;
	/** 上报人员id */
	@ApiModelProperty("上报人员id")
	private Long dispatchPersonId;

	/** 整改处置部门 */
	@ApiModelProperty("整改处置部门")
	private String rectifyDept;

	private String rectifyDeptName;

	/** 整改处置人员 */
	@ApiModelProperty("整改处置人员")
	private String rectifyPerson;
	/** 整改处置人员id */
	@ApiModelProperty("整改处置人员id")
	private Long rectifyPersonId;

	/** 检验记录状态（流程控制：0本环节/1转部门整改/3流程终止） */
	@ApiModelProperty("检验记录状态（流程控制：0 本环节/1 转部门整改/3 流程终止）")
	private String certificationStatus;

	/** 是否超时 */
	@ApiModelProperty("是否超时")
	private Integer isCs;
	/** 是否驳回 */
	@ApiModelProperty("是否驳回")
	private Integer isBh;


	/** 检验记录人id */
	@ApiModelProperty("检验记录人id")
	private Long certificationPersonId;
	/** 检验记录人 */
	@ApiModelProperty("检验记录人")
	private String certificationPerson;
	/** 检验记录人部门 */
	@ApiModelProperty("检验记录人部门")
	private String certificationDept;

	/** 检验记录人部门 */
	@ApiModelProperty("检验记录人部门")
	private String certificationDeptName;

}
