package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 认证工单VO
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("认证工单VO-list")
public class CertificationOrderVO_L extends Model<CertificationOrderVO_L> {

	private static final long serialVersionUID = 1L;
	/** 认证工单主键ID */
	@ApiModelProperty(value = "认证工单主键ID")
	private Long id;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 水表型号（DN15、20、25、40、50、80、100、150、200等）。 */
	@ApiModelProperty("水表型号（DN15、20、25、40、50、80、100、150、200等）。")
	private String meterType;
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProject;
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProjectName;
	/** 用水类别（生活、非居、工业等） */
	@ApiModelProperty("用水类别（生活、非居、工业等）")
	private String waterCategory;
	/** 检验记录状态（流程控制：0本环节/1转部门整改/3流程终止） */
	@ApiModelProperty("检验记录状态（流程控制：0 本环节/1 转部门整改/3 流程终止）")
	private String certificationStatus;

}
