package com.tofly.qualitycontrol.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
@Data
@ColumnWidth(15)
@EqualsAndHashCode
public class ClientAttestationVo implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 客户编号
     */
    @ExcelProperty("客户编号")
    @ApiModelProperty(value = "客户编号")
    private String clientNumber;
    /**
     * 客户姓名
     */
    @ExcelProperty("客户姓名")
    @ApiModelProperty(value = "客户姓名")
    private String clientName;

    /**
     * 客户地址
     */
    @ExcelProperty("客户地址")
    @ApiModelProperty(value = "客户地址")
    private String clientAddress;

    /**
     * 用水类别（生活、非居、工业等）
     */
    @ExcelProperty("用水性质")
    @ApiModelProperty(value = "用水类别（生活、非居、工业等）")
    private String waterCategory;

    /**
     * 客户电话
     */
    @ExcelProperty("客户电话")
    @ApiModelProperty(value = "客户电话")
    private String clientPhone;

    /**
     * 水表型号（DN15、20、25、40、50、80、100、150、200等)
     */
    @ExcelProperty("水表口径")
    @ApiModelProperty(value = "水表型号（DN15、20、25、40、50、80、100、150、200等)")
    private String meterType;
    /**
     * 区域名称
     */
    @ExcelProperty("区域名称")
    @ApiModelProperty(value = "区域名称")
    private String qymc;

    /**
     * 区域段名称
     */
    @ExcelProperty("区域段名称")
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;

    /** 上报工单数、工单总数 、检验总数*/
    @ExcelProperty("认证次数")
    @ApiModelProperty("上报工单数、工单总数、检验总数")
    private Long dispatchSize;
    /** 工单完成数 */
    @ExcelProperty("完成次数")
    @ApiModelProperty("工单完成数")
    private Long wc;
    /** 工单未完成数 */
    @ExcelProperty("待完成次数")
    @ApiModelProperty("工单未完成数")
    private Long nwc;
    /** 工单完成率 */
    @ExcelProperty("完成率%")
    @ApiModelProperty("工单完成率 ")
    private Double wcl;


}
