package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 归集汇总分析客户VO
 *
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("归集汇总分析客户VO")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CollectionNumberClientVO extends Model<CollectionNumberClientVO> {

	private static final long serialVersionUID = 1L;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 合计水量 */
	@ApiModelProperty("合计水量")
	private Double waterVolumeSum;
	/** 合计水费 */
	@ApiModelProperty("合计水费")
	private BigDecimal waterFeeSum;
	/** 合计污水费 */
	@ApiModelProperty("合计污水费")
	private BigDecimal sewageFeeSum;
	/** 合计垃圾费 */
	@ApiModelProperty("合计垃圾费")
	private BigDecimal garbageFeeSum;

}
