package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 归集管理详情VO
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("归集管理详情VO")
@Accessors(chain = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CollectionNumberDetailVO extends Model<CollectionNumberDetailVO> {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "归集详情管理表主键id")
	private Long id;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	private String collectionName;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 用水性质（生活、非居、工业等） */
	@ApiModelProperty("用水性质（生活、非居、工业等）")
	private String waterCategory;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 水表编号 */
	@ApiModelProperty("水表编号")
	private String meterNumber;
	/** 水表类型 */
	@ApiModelProperty("水表类型")
	private String meterType;
	/** 水表口径 */
	@ApiModelProperty("水表口径")
	private String meterCaliber;

}
