package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * TF_YWPN_GJGL_W 归集汇总分析VO
 *
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("归集汇总分析VO")
public class CollectionNumberSummaryVO extends Model<CollectionNumberSummaryVO> {

	private static final long serialVersionUID = 1L;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	private String collectionName;
	/** 合计水量 */
	@ApiModelProperty("合计水量")
	private Double waterVolumeSum;
	/** 合计水费 */
	@ApiModelProperty("合计水费")
	private BigDecimal waterFeeSum;
	/** 合计污水费 */
	@ApiModelProperty("合计污水费")
	private BigDecimal sewageFeeSum;
	/** 合计垃圾费 */
	@ApiModelProperty("合计垃圾费")
	private BigDecimal garbageFeeSum;

}
