package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("计划审核VO")
public class PlanAuditDetailVO extends Model<PlanAuditDetailVO> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("质检计划主键id")
	private Long id;
	/** 上报人部门id */
	@ApiModelProperty("上报人部门id")
	private Long reporterDeptId;
	/** 上报人部门名称 */
	@ApiModelProperty("上报人部门名称")
	private String reporterDeptName;
	/** 计划类型 */
	@ApiModelProperty("计划类型(字典)")
	private String planType;
	/** 计划时间 */
	@ApiModelProperty("计划时间")
	private String planTime;
	/**
	 * 上传附件id，关联表TF_YWPN_FILE_W关键值，多个文件以英文逗号分割
	 */
	@ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
	private String fileIds;
	/** 计划说明 */
	@ApiModelProperty("计划说明")
	private String planDesc;
	/** 上报时间 */
	@ApiModelProperty("上报时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date reportTime;
	/** 计划状态 */
	@ApiModelProperty("计划状态,字典值")
	private String planStatus;

}
