package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("审核历史VO")
public class PlanAuditHistoryVO extends Model<PlanAuditHistoryVO> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("质检计划流程主键id")
	private Long id;
	/** 审核等级(1,2,3,4...) */
	@ApiModelProperty("审核等级(1,2,3,4...)")
	private Integer auditLevel;
	/** 审核人id */
	@ApiModelProperty("审核人id")
	private Long auditorId;
	/** 审核人姓名 */
	@ApiModelProperty("审核人姓名")
	private String auditorName;
	/** 审核人部门id */
	@ApiModelProperty("审核人部门id")
	private Long auditorDeptId;
	/** 审核人部门名称 */
	@ApiModelProperty("审核人部门名称")
	private String auditorDeptName;
	/** 审核结论(字典) */
	@ApiModelProperty("审核结论(字典 通过:1,驳回:2)")
	private String auditResult;
	/** 审核说明 */
	@ApiModelProperty("审核说明")
	private String auditDesc;
	/** 审核时间 */
	@ApiModelProperty("审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date auditTime;

}
