package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("计划管理VO")
public class PlanManageVO extends Model<PlanManageVO> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("质检计划主键id")
	private Long id;
    @ApiModelProperty("计划类型(字典)")
    private String planType;
	/** 计划时间 */
	@ApiModelProperty("计划时间")
	private String planTime;
	/** 上报时间 */
	@ApiModelProperty("上报时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date reportTime;
	/** 计划状态 */
	@ApiModelProperty("计划状态,字典值")
	private String planStatus;
	/**
	 * 上传附件id，关联表TF_YWPN_FILE_W关键值，多个文件以英文逗号分割
	 */
	@ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
	private String fileIds;
	/** 文件信息 */
	@ApiModelProperty(value = "文件信息")
	private List<Map<String,String>> fileInfo;
	/** 计划说明 */
	@ApiModelProperty("计划说明")
	private String planDesc;

	/** 上报时间 */
	@ApiModelProperty("计划上报时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date planReportTime;

}
