package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 整改审核
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("整改审核VO-Detail")
public class RectifyAuditOrderVO_D extends Model<RectifyAuditOrderVO_D> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 审核部门 */
	@ApiModelProperty("审核部门")
	private String auditDept;
	/** 审核人员 */
	@ApiModelProperty("审核人员")
	private String auditPerson;
	/** 审核人员id */
	@ApiModelProperty("审核人员id")
	private Long auditPersonId;
	/** 审核时间 */
	@ApiModelProperty("审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date auditTime;
	/** 整改处置+整改审核时限 */
	@ApiModelProperty("整改处置+整改审核时限")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date resultTimeLimit;
	/** 审核状态(0本环节/1通过/2驳回) */
	@ApiModelProperty("审核状态(0本环节/1通过/2驳回)")
	private String auditStatus;
	/** 整改审核描述 */
	@ApiModelProperty("整改审核描述")
	private String rectifyAuditDesc;
	/** 整改审核环节异常状态（取值 0 1 2 3） */
	@ApiModelProperty("整改审核环节异常状态（取值 0 1 2 3）")
	private Integer auditExceptionStatus;

	/** 验证人员 */
	@ApiModelProperty("验证人员")
	private String verifyPerson;
	/** 验证人员id */
	@ApiModelProperty("验证人员id")
	private Long verifyPersonId;

}
