package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 整改验证
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("整改下达VO-Detail")
public class RectifyIssueOrderVO_D extends Model<RectifyIssueOrderVO_D> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 整改下达时间 */
	@ApiModelProperty("整改下达时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date issueTime;
	/** 整改下达时限 */
	@ApiModelProperty("整改下达时限")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date issueTimeLimit;
	/** 整改下达部门 */
	@ApiModelProperty("整改下达部门")
	private String issueDept;
	/** 整改下达人员 */
	@ApiModelProperty("整改下达人员")
	private String issuePerson;
	/** 整改下达人员id */
	@ApiModelProperty("整改下达人员id")
	private Long issuePersonId;
	/** 整改下达状态 */
	@ApiModelProperty("整改下达状态（0本环节/2驳回/4进入下一环节")
	private String issueStatus;
	/**
	 * 上传附件id，关联表TF_YWPN_FILE_W关键值，多个文件以英文逗号分割
	 */
	@ApiModelProperty(value = "整改下达环节文件id,上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
	private String issueFileIds;
	/** 整改下达描述 */
	@ApiModelProperty("整改下达描述")
	private String rectifyIssueDesc;
	/** 整改下达环节异常状态（取值 0 1 2 3） */
	@ApiModelProperty("整改下达环节异常状态（取值 0 1 2 3）")
	private Integer issueExceptionStatus;

	/** 整改处置人员 */
	@ApiModelProperty("整改处置人员")
	private String rectifyPerson;
	/** 整改处置人员id */
	@ApiModelProperty("整改处置人员id")
	private Long rectifyPersonId;
}
