package com.tofly.qualitycontrol.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 整改验证
 *
 * @author B
 */
@Data
@ApiModel("整改下达VO-list")
public class RectifyOrderListVo implements Serializable {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 上报工单的id */
	@ApiModelProperty("上报工单的id")
	private Long certificationOrderId;
	/** 整改编号 */
	@ApiModelProperty("整改编号")
	private String rectifyNumber;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 水表型号（DN15、20、25、40、50、80、100、150、200等）。 */
	@ApiModelProperty("水表型号（DN15、20、25、40、50、80、100、150、200等）。")
	private String meterType;
	/** 用水类别（生活、非居、工业等） */
	@ApiModelProperty("用水类别（生活、非居、工业等）")
	private String waterCategory;
	/** 整改下达状态 */
	@ApiModelProperty("整改下达状态（0本环节/2驳回/4进入下一环节")
	private String issueStatus;

	/** 认证项目(抄表数据/其它数据等) */
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProject;
	@ApiModelProperty("认证项目(抄表数据/其它数据等 字典)")
	private String certificationProjectName;


	/** 认证内容、检查内容 */
	@ApiModelProperty("认证内容、检查内容")
	private String certificationResult;

	/** 检验记录人部门 */
	@ApiModelProperty("检验记录人部门")
	private String certificationDept;
	/** 检验记录人部门 */
	@ApiModelProperty("检验记录人部门")
	private String certificationDeptName;
	/** 检验记录人 */
	@ApiModelProperty("检验记录人")
	private String certificationPerson;
	/** 检验记录人id */
	@ApiModelProperty("检验记录人id")
	private Long certificationPersonId;

	/** 检验记录时间 */
	@ApiModelProperty("检验记录时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date certificationTime;

	/** 整改处置部门 */
	@ApiModelProperty("整改处置部门")
	private String rectifyDept;
	/** 整改处置部门 */
	@ApiModelProperty("整改处置部门")
	private String rectifyDeptName;
	/** 整改处置人员 */
	@ApiModelProperty("整改处置人员")
	private String rectifyPerson;
	/** 整改处置人员id */
	@ApiModelProperty("整改处置人员id")
	private Long rectifyPersonId;

	@ApiModelProperty("当前审核人id")
	private Long auditId;
	@ApiModelProperty("当前审核等级")
	private Long auditLevel;

	/** 整改处置时间 */
	@ApiModelProperty("整改处置时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rectifyTime;

	/** 审核部门 */
	@ApiModelProperty("审核部门")
	private String auditDept;
	/** 审核部门 */
	@ApiModelProperty("审核部门")
	private String auditDeptName;
	/** 审核人员 */
	@ApiModelProperty("审核人员")
	private String auditPerson;
	/** 审核人员id */
	@ApiModelProperty("审核人员id")
	private Long auditPersonId;


	/** 审核时间 */
	@ApiModelProperty("审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date auditTime;


	/** 验证部门 */
	@ApiModelProperty("验证部门")
	private String verifyDept;
	/** 验证部门 */
	@ApiModelProperty("验证部门")
	private String verifyDeptName;
	/** 验证人员 */
	@ApiModelProperty("验证人员")
	private String verifyPerson;
	/** 验证人员id */
	@ApiModelProperty("验证人员id")
	private Long verifyPersonId;

	/** 验证时间 */
	@ApiModelProperty("验证时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date verifyTime;

	/** 整改下达部门 */
	@ApiModelProperty("整改下达部门")
	private String issueDept;
	/** 整改下达部门 */
	@ApiModelProperty("整改下达部门")
	private String issueDeptName;
	/** 整改下达人员 */
	@ApiModelProperty("整改下达人员")
	private String issuePerson;
	/** 整改下达人员id */
	@ApiModelProperty("整改下达人员id")
	private Long issuePersonId;

	/** 整改下达时间 */
	@ApiModelProperty("整改下达时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date issueTime;

	/** 验证审核部门 */
	@ApiModelProperty("验证审核部门")
	private String validateDept;
	/** 验证审核部门 */
	@ApiModelProperty("验证审核部门")
	private String validateDeptName;
	/** 验证审核人员 */
	@ApiModelProperty("验证审核人员")
	private String validatePerson;
	/** 验证审核人员id */
	@ApiModelProperty("验证审核人员id")
	private Long validatePersonId;

	/** "验证审核时间 */
	@ApiModelProperty("验证审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date validateTime;


	/** 工单上报时间 */
	@ApiModelProperty("工单上报时间")
	private Date dispatchTime;
	/** 是否超时 */
	@ApiModelProperty("是否超时")
	private Integer isCs;
	/** 是否转派 */
	@ApiModelProperty("是否转派")
	private Integer isZp;
	/** 是否驳回 */
	@ApiModelProperty("是否驳回")
	private Integer isBh;

	/** 节点处理状态 */
	@ApiModelProperty("节点处理状态")
	private String status;

	/** 整改处置状态（0本环节/1转部门） */
	@ApiModelProperty("整改处置状态（0本环节/1转部门/4进入下一环节")
	private String rectifyStatus;
	/** 审核状态(0本环节/1通过/2驳回) */
	@ApiModelProperty("整改审核状态(0本环节/1转部门/2驳回/4进入下一环节)")
	private String auditStatus;
	/** 验证状态(0本环节/2驳回/4进入下一环节) */
	@ApiModelProperty("整改验证状态(0本环节/2驳回/4进入下一环节)")
	private String verifyStatus;
	/** 验证审核状态(0本环节/2驳回/3终止) */
	@ApiModelProperty("验证审核状态(0本环节/2驳回/3终止)")
	private String validateStatus;

	/** 业务监控环节 */
	@ApiModelProperty("业务监控环节 (0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核）")
	private String currentProcess;
	/** 业务监控环节 */
	@ApiModelProperty("业务监控环节 (0 检验记录/1 整改下达/2 整改处置/3 整改审核/4 整改验证/5 验证审核）")
	private String currentProcessName;

}
