package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 整改处置
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("整改处置VO-Detail")
public class RectifyResultOrderVO_D extends Model<RectifyResultOrderVO_D> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 整改处置部门 */
	@ApiModelProperty("整改处置部门")
	private String rectifyDept;
	/** 整改处置人员 */
	@ApiModelProperty("整改处置人员")
	private String rectifyPerson;
	/** 整改处置人员id */
	@ApiModelProperty("整改处置人员id")
	private Long rectifyPersonId;
	/** 审核人员 */
	@ApiModelProperty("审核人员")
	private String auditPerson;
	/** 审核人员id */
	@ApiModelProperty("审核人员id")
	private Long auditPersonId;
	/** 整改处置时限 */
	@ApiModelProperty("整改处置时限")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date resultTimeLimit;
	/** 整改建议说明 */
	@ApiModelProperty("整改建议说明")
	private String rectifyDesc;
	/** 整改时间 */
	@ApiModelProperty("整改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date rectifyTime;
	/**
	 * 上传附件id，关联表TF_YWPN_FILE_W关键值，多个文件以英文逗号分割
	 */
	@ApiModelProperty(value = "整改处置环节文件id,上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
	private String rectifyFileIds;
	/** 整改处置状态（0本环节/1转部门） */
	@ApiModelProperty("整改处置状态（0本环节/1转部门）")
	private String rectifyStatus;
	/** 整改处置描述 */
	@ApiModelProperty("整改处置描述")
	private String rectifyResultDesc;
	/** 整改处置环节异常状态（取值 0 1 2 3） */
	@ApiModelProperty("整改处置环节异常状态（取值 0 1 2 3）")
	private Integer rectifyExceptionStatus;

}
