package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 验证审核
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("验证审核VO-Detail")
public class RectifyValidateOrderVO_D extends Model<RectifyValidateOrderVO_D> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 验证审核部门 */
	@ApiModelProperty("验证审核部门")
	private String validateDept;
	/** 验证审核人员 */
	@ApiModelProperty("验证审核人员")
	private String validatePerson;
	/** 验证审核人员id */
	@ApiModelProperty("验证审核人员id")
	private Long validatePersonId;
	/** 验证审核时间 */
	@ApiModelProperty("验证审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date validateTime;
	/** 验证审核状态(0本环节/2驳回/3终止) */
	@ApiModelProperty("验证审核状态(0本环节/2驳回/3终止)")
	private String validateStatus;
	/** 验证审核描述 */
	@ApiModelProperty("验证审核描述")
	private String rectifyValidateDesc;
	/** 验证审核环节异常状态（取值 0 1 2 3） */
	@ApiModelProperty("验证审核环节异常状态（取值 0 1 2 3）")
	private Integer validateExceptionStatus;

}
