package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 整改验证
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("整改验证VO-Detail")
public class RectifyVerifyOrderVO_D extends Model<RectifyVerifyOrderVO_D> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 验证人员 */
	@ApiModelProperty("验证人员")
	private String verifyPerson;
	/** 验证人员id */
	@ApiModelProperty("验证人员id")
	private Long verifyPersonId;
	/** 验证部门 */
	@ApiModelProperty("验证部门")
	private String verifyDept;
	/** 验证时间 */
	@ApiModelProperty("验证时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date verifyTime;
	/** 整改验证时限 */
	@ApiModelProperty("整改验证时限")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date verifyTimeLimit;
	/** 整改验证描述 */
	@ApiModelProperty("整改验证描述")
	private String rectifyVerifyDesc;
	/** 验证状态(0本环节/2驳回/3终止) */
	@ApiModelProperty("验证状态(0本环节/2驳回/3终止)")
	private String verifyStatus;
	/** 整改成效类别（水价纠正、水量纠正、违章纠正、服务纠正、表务信息纠正，其它） */
	@ApiModelProperty("整改成效类别（水价纠正、水量纠正、违章纠正、服务纠正、表务信息纠正，其它）")
	private String rectifyType;
	/** 增加水量（立方米） */
	@ApiModelProperty("增加水量（立方米）")
	private Long increaseVolume;
	/** 增加经济效益（元） */
	@ApiModelProperty("增加经济效益（元）")
	private BigDecimal increaseProfit;
	/** 整改验证环节异常状态（取值 0 1 2 3） */
	@ApiModelProperty("整改验证环节异常状态（取值 0 1 2 3）")
	private Integer verifyExceptionStatus;

	/** 验证审核人员 */
	@ApiModelProperty("验证审核人员")
	private String validatePerson;
	/** 验证审核人员id */
	@ApiModelProperty("验证审核人员id")
	private Long validatePersonId;

	/** 整改验证是否合格  RECTIFY_VERIFY_OK*/
	@ApiModelProperty("整改验证是否合格0不合格，1合格")
	private String rectifyVerifyOk;

}
