package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 驳回记录表 TF_YWPN_ZJGLFLOW_W
 *
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("驳回记录VO")
public class RejectedRecordVO extends Model<RejectedRecordVO> {

	private static final long serialVersionUID = 1L;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 处理部门 */
	@ApiModelProperty("处理部门")
	private String executeDept;
	/** 处理部门 */
	@ApiModelProperty("处理部门")
	private String executeDeptName;
	/** 处理人员 */
	@ApiModelProperty("处理人员")
	private String executePerson;
	/** 处理人员id */
	@ApiModelProperty("处理人员id")
	private Long executePersonId;
	/** 处理时间 */
	@ApiModelProperty("处理时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date executeTime;
	/** 处理意见 */
	@ApiModelProperty("处理意见")
	private String executeAdvice;
	/** 流程节点 */
	@ApiModelProperty("流程节点")
	private String currentProcess;
	/** 流程节点 */
	@ApiModelProperty("流程节点")
	private String currentProcessName;
	/** 创建时间 */
	@ApiModelProperty("创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 创建人员 */
	@ApiModelProperty("创建人员")
	private String createUser;
	/** 创建人员id */
	@ApiModelProperty("创建人员id")
	private Long createUserId;

}
