package com.tofly.api;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.pojo.message.Usertask;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 代办事项服务
 */
@FeignClient(name = "tofly-base",contextId="UserTaskClient")
public interface UserTaskClient {
    /**
     * 存入待办事项信息
     * @param usertask
     * @return
     */
    @PostMapping("/usertask/save")
    ResultRespone<Boolean>  save(@RequestBody Usertask usertask);

    /**
     * 修改代办事项信息
     * @param usertask
     * @return
     */
    @PutMapping("/usertask/updata")
    ResultRespone<Boolean> updateById(@RequestBody Usertask usertask);


    /**
     * 根据传入对象查询待办事项信息
     * @param usertask
     * @return
     */
    @PostMapping("/usertask/getUserTaskInfo")
    ResultRespone<List<Usertask>> getUserTaskInfo(@RequestBody Usertask usertask);
}
