package com.tofly.api.message;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * 消息状态
 */
@FeignClient(name = "tofly-base",contextId="MessageStateClient")
public interface MessageStateClient {
    /**
     * 根据消息id获取消息对象阅读对象
     * @param id
     * @return
     */
    @GetMapping("/messagerecipient/{id}")
    ResultRespone<Messagerecipient> getById(@PathVariable(value = "id") Long id);

    /**
     * 新增消息接受对象信息
     * @param messagerecipient
     * @return
     */
    @PostMapping("/messagerecipient/save")
    ResultRespone<Boolean> save(@RequestBody Messagerecipient messagerecipient);
}
