/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.base.anno.DisplayText;
import com.tofly.base.converter.UserRealNameConverter;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 附件信息表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_ANNEX")
@KeySequence("TF_SMPN_ANNEX")
@ApiModel
public class Annex extends Model<Annex> {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String title;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 填报人
     */
    @ApiModelProperty(value = "填报人")
    @DisplayText(converter = UserRealNameConverter.class)
    private Long reportUser;
    /**
     * 填报时间
     */
    @ApiModelProperty(value = "填报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "审核人")
    @DisplayText(converter = UserRealNameConverter.class)
    private Long reviewedUser;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态0 待审核 1 审核通过 2 退回")
    private Integer reviewedStatus;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    private Date reviewedDate;
    /**
     * 审核内容
     */
    @ApiModelProperty(value = "审核内容")
    private String reviewedContent;
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(value = "上传目标")
    private String uploadUsers;

    @ApiModelProperty(value = "下达目标")
    private String downloadUsers;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
