/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * ${comments}
 *
 * @author fcl
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SMPN_APP_X",resultMap = "appMap")
@KeySequence("TF_SMPN_APP_X")
@ApiModel
public class App extends Model<App> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 版本号
     */
            @ApiModelProperty(value = "版本号")
                private String version;
                /**
     * APP原名称
     */
            @ApiModelProperty(value = "APP原名称")
                private String filename;
                /**
     * APP上传后名称
     */
            @ApiModelProperty(value = "APP上传后名称")
                private String othername;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String appPath;
                /**
     * 版本说明
     */
            @ApiModelProperty(value = "版本说明")
                private String versionstate;
                /**
     * 排序号
     */
            @ApiModelProperty(value = "排序号")
                private Long sort;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;

            /**
     * 发布时间
     */
            @ApiModelProperty(value = "发布时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date releasetime;
                /**
     * 发布人
     */
            @ApiModelProperty(value = "发布人")
                private Long releaser;
            @TableField(exist = false)
            @ApiModelProperty(hidden = true,value = "发布人名称")
            private String releaserName;
                /**
     * 发布状态,1 未发布, 2 已发布
     */
            @ApiModelProperty(value = "发布状态,1 未发布, 2 已发布")
                private String releasestatus;

    /**
     * 类型：1 一体化采集；2  综合业务
     */
    @ApiModelProperty(value = "类型：1 一体化采集；2  综合业务")
    private String appType;

    /**
     * App大小
     */
    @ApiModelProperty(value = "App大小")
    private String appSize;
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String createUserName;

    /**
     * 版本全称
     */
    @ApiModelProperty(value = "版本全称")
    private String versionsub;
}
