/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 系统配置信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_CONFIG_X")
@KeySequence("TF_SMPN_CONFIG_X")
@ApiModel
public class Config extends Model<Config> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一UUID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "唯一UUID")
            private Long id;
        /**
     * 默认值
     */
        @ApiModelProperty(value = "默认值")
            private String defautValue;
        /**
     * 值信息
     */
        @ApiModelProperty(value = "值信息")
            private String value;
        /**
     * 值说明描述
     */
        @ApiModelProperty(value = "值说明描述")
        @TableField(condition = ToflySqlCondition.LIKE)
            private String notes;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 创建人
     */
        @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
        /**
     * 字段信息
     */
        @ApiModelProperty(value = "字段信息")
            private String key;
    
}
