/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 单位资源配置关联信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_DEPARTMENTSOURCE_X")
@KeySequence("TF_SMPN_DEPARTMENTSOURCE_X")
@ApiModel
public class Departmentsource extends Model<Departmentsource> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "ID")
            private Long id;
        /**
     * 单位ID
     */
        @ApiModelProperty(value = "单位ID")
            private Long departmentId;
        /**
     * 资源ID
     */
        @ApiModelProperty(value = "资源ID")
            private Long sourceId;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 创建用户
     */
        @ApiModelProperty(value = "创建用户")
        @TableField(value = "USER_ID",fill = FieldFill.INSERT)
            private Long userId;
    
}
