/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 地图资源用户表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("TF_SMPN_PORTALUSER_X")
@KeySequence("TF_SMPN_PORTALUSER_X")
@ApiModel
public class Portaluser extends Model<Portaluser> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "ID")
            private Long id;
        /**
     * 用户名
     */
        @ApiModelProperty(value = "用户名")
            private String userName;
        /**
     * 密码
     */
        @ApiModelProperty(value = "密码")
            private String password;
        /**
     * 备注
     */
        @ApiModelProperty(value = "备注")
            private String notes;
        /**
     * 创建时间
     */
        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
        private Date createTime;
        /**
     * 修改时间
     */
        @ApiModelProperty(value = "修改时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
        private Date updateTime;
        /**
     * 是否启用禁用 1启用 2禁用
     */
        @ApiModelProperty(value = "是否启用禁用 1启用 2禁用")
            private String statusFlag;
        /**
     * 创建人
     */
        @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
        private Long createUser;
    
}
