package com.tofly.api.audit;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.comm.Audit;
import com.tofly.pojo.plan.Checkhistory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author BZ-DJJ
 */
@FeignClient(name = "tofly-psjc-gps",contextId="AuditClient")
public interface AuditClient {
    @PostMapping(value = "/audit/save")
    ResultRespone<Object> save(@RequestParam(value = "json")String json);
    @PostMapping(value = "/audit/getAuditInfo")
    ResultRespone<List<Audit>> getAuditInfo(@RequestBody Audit audit);
    @PostMapping(value = "/audit/update")
    ResultRespone<Object> update(@RequestBody Audit audit);
    @PostMapping(value = "/audit/delete")
    ResultRespone<Object> delete(@RequestParam(value = "type")String type, @RequestParam(value = "planId")Long planId);
    @PostMapping(value = "/audit/saveAuditHisInfo")
    ResultRespone<Object> saveAuditHisInfo(@RequestBody Checkhistory checkhistory);
    @PostMapping(value = "/audit/getAuditHisInfo")
    ResultRespone<Object> getAuditHisInfo(@RequestBody Checkhistory checkhistory);
}
