/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.es;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 车载设备上报位置上报
 * @author BZ-DJJ
 */
@Data
@Document(indexName = "ylswcargps_"+"#{T(com.tofly.common.core.util.Date8Util).getYearMonth()}", type = "cargps")
public class CarGpsUpload implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 分类ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "分类ID")
    private Long id;
    /**
     * 自增排序
     */
    @ApiModelProperty(value = "自增排序")
    private BigDecimal sid;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userid;

    private String UserName;
    /**
     * GPS经度
     */
    @ApiModelProperty(value = "GPS经度")
    private BigDecimal locationLongitude;
    /**
     * GPS纬度
     */
    @ApiModelProperty(value = "GPS纬度")
    private BigDecimal locationLatitude;
    /**
     * 速度(触发器计算)
     */
    @ApiModelProperty(value = "速度(触发器计算)")
    private BigDecimal speed;
    /**
     * 方向
     */
    @ApiModelProperty(value = "方向")
    private BigDecimal direction;
    /**
     * 定位网络gps:1,基站:2,wifi:3
     */
    @ApiModelProperty(value = "定位网络gps:1,基站:2,wifi:3")
    private String network;
    /**
     * 距离(触发器计算)
     */
    @ApiModelProperty(value = "距离(触发器计算)")
    private BigDecimal distance;
    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    private Date uploadTime;
    /**
     * 定位时间
     */
    @ApiModelProperty(value = "定位时间")
    private Date gpsTime;
    /**
     * 距离上次gps定位时长（单位：秒）
     */
    @ApiModelProperty(value = "距离上次gps定位时长（单位：秒）")
    private BigDecimal gpsTimespan;
    /**
     * 定位精度
     */
    @ApiModelProperty(value = "定位精度")
    private String gpsPrecision;
    /**
     * 卫星个数
     */
    @ApiModelProperty(value = "卫星个数")
    private BigDecimal gpsStar;
    /**
     * 上传轨迹速度
     */
    @ApiModelProperty(value = "上传轨迹速度")
    private BigDecimal gpsSpeed;
    /**
     * 0:异常 1：正常 网络正常异常
     */
    @ApiModelProperty(value = "0:异常 1：正常 网络正常异常")
    private String gpsState;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "设备ID")
    private String gpsId;
    /**
     * 0：未做计算 1：已做计算
     */
    @ApiModelProperty(value = "0：未做计算 1：已做计算")
    private BigDecimal state;
    /**
     * 定位手机的时间
     */
    @ApiModelProperty(value = "定位手机的时间")
    private Date checkTime;
    /**
     * 手机上传分段数
     */
    @ApiModelProperty(value = "手机上传分段数")
    private BigDecimal gpsSection;
    /**
     * 0:无效 1：有效
     */
    @ApiModelProperty(value = "0:无效 1：有效")
    private String isValid;
    /**
     * 0：人巡 1：车巡
     */
    @ApiModelProperty(value = "0：人巡 1：车巡")
    private String gpsType;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long carId;

}
