package com.tofly.es.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author tuonbed
 * @date 2020/5/18  9:39
 */
@Data
public class EsQueryDto {

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "上传开始时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    @ApiModelProperty(value = "上传结束时间")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    @ApiModelProperty(value = "是否正序")
    private Boolean isAsc;

    @ApiModelProperty(value = "工作状态  1：上班  2：工作中  3：下班  4:异常")
    private String workState;
    @ApiModelProperty(value = "定位网络(1 卫星定位,2 前次定位,4 缓存定位,5 Wifi定位,6 基站定位,8 离线定位,9 最后位置缓存)")
    private String network;
    @ApiModelProperty(value = "网络状态 0：关闭 1：打开")
    private String networkState;

    @ApiModelProperty(value = "多个用户ID查询,多个以,分隔")
    private String userIds;

    @ApiModelProperty(value = "车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值")
    private Long gpsDeviceId;

    @ApiModelProperty(value = "轨迹类型 0人巡 1车巡")
    private String trackType;

    @ApiModelProperty(value = "车辆ID")
    private Long carId;



}
