/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.build;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 工地监护结束记录表
 *
 * @author admin
 * @date Mon Mar 29 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BULIDCLEAR_W", resultMap = "bulidclearMap")
@KeySequence("TF_YWPN_BULIDCLEAR_W")
@ApiModel
public class Bulidclear extends Model<Bulidclear> {
    private static final long serialVersionUID = 1L;

    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 0：未审核；1：通过；2：未通过
     */
    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    /**
     * 审核意见,备注
     */
    @ApiModelProperty(value = "审核意见,备注")
    private String auditNotes;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 工地id，关联表TF_YWPN_BUILD_W主键
     */
    @ApiModelProperty(value = "工地id，关联表TF_YWPN_BUILD_W主键")
    private Long buildId;
    /**
     * 工地现场情况说明
     */
    @ApiModelProperty(value = "工地现场情况说明")
    private String notes;
    /**
     * 结束监护附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "结束监护附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String clearFileids;
    /**
     * 是否读取，0未读，1已读
     */
    @ApiModelProperty(value = "是否读取，0未读，1已读")
    private String isread;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String isSubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;

}
