/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 车辆档案信息管理
 *
 * @author Zhangyu
 * @date Tue Apr 28 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CAR_FILEMM", resultMap = "carFilemmMap")
@ApiModel
public class CarFilemm extends Model<CarFilemm> {
    private static final long serialVersionUID = 1L;

    /**
     * ID，主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    /**
     * 车辆编号，基本信息表ID
     */
    @ApiModelProperty(value = "车辆编号，基本信息表ID")
    private Long carId;
    @ApiModelProperty(hidden = true)
    private String carNumber;
    /**
     * 购买时间
     */
    @ApiModelProperty(value = "购买时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date buyTime;
    /**
     * 车辆型号
     */
    @ApiModelProperty(value = "车辆型号")
    private String carModel;
    /**
     * 发动机号
     */
    @ApiModelProperty(value = "发动机号")
    private String engineNm;
    /**
     * 车架号
     */
    @ApiModelProperty(value = "车架号")
    private String frameNm;
    /**
     * 随车工具
     */
    @ApiModelProperty(value = "随车工具")
    private String carTool;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 行车执照号
     */
    @ApiModelProperty(value = "行车执照号")
    private String carPermit;
    /**
     * 删除标记
     */
    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty(value = "删除标记")
    private String delFlag;
    /**
     * 车购税号
     */
    @ApiModelProperty(value = "车购税号")
    private String taxationNm;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;

}
