/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 运维部单车台账记录表
 *
 * @author Zhangyu
 * @date Tue Apr 28 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CAR_MOCHAITOM", resultMap = "carMochaitomMap")
@ApiModel
public class CarMochaitom extends Model<CarMochaitom> {
    private static final long serialVersionUID = 1L;

    /**
     * 当月里程
     */
    @ApiModelProperty(value = "当月里程")
    private Double monthMileage;
    /**
     * ID，主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 删除标记
     */
    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty(value = "删除标记")
    private String delFlag;
    /**
     * 使用时间
     */
    @ApiModelProperty(value = "使用时间")
    private String useTime;
    /**
     * 行驶总里程
     */
    @ApiModelProperty(value = "行驶总里程")
    private Double carMileage;
    /**
     * 当月油耗
     */
    @ApiModelProperty(value = "当月油耗")
    private Double monthOil;
    /**
     * 维修费用
     */
    @ApiModelProperty(value = "维修费用")
    private Double maintenanceCost;
    /**
     * 燃油费用
     */
    @ApiModelProperty(value = "燃油费用")
    private Double oilCost;
    /**
     * 停车费用
     */
    @ApiModelProperty(value = "停车费用")
    private Double parkingCost;
    /**
     * 洗车费用
     */
    @ApiModelProperty(value = "洗车费用")
    private Double washingCost;
    /**
     * /**
     * 车辆编号
     */
    @ApiModelProperty(value = "车辆编号")
    private Long carId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String carNumber;
    /**
     * 备注
     */
    private String note;
}
