/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 车辆油耗信息管理
 *
 * @author Zhangyu
 * @date Thu Apr 23 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CAR_OIL", resultMap = "carOilMap")
@ApiModel
public class CarOil extends Model<CarOil> {
    private static final long serialVersionUID = 1L;

    /**
     * ID，主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    /**
     * 车辆编号
     */
    @ApiModelProperty(value = "车辆编号")
    private Long carId;
    /**
     * 百里耗油定额 5万公里前
     */
    @ApiModelProperty(value = "百里耗油定额 5万公里前")
    private String quotaPre;
    /**
     * 百里耗油定额 5万公里后
     */
    @ApiModelProperty(value = "百里耗油定额 5万公里后")
    private String quotaSuf;
    /**
     * 行驶里程
     */
    @ApiModelProperty(value = "行驶里程")
    private String carMileage;
    /**
     * 应耗油
     */
    @ApiModelProperty(value = "应耗油")
    private String planOil;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 实际耗油（汽油）
     */
    @ApiModelProperty(value = "实际耗油（汽油）")
    private String realGasoil;
    /**
     * 删除标记
     */
    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty(value = "删除标记")
    private String delFlag;
    /**
     * 实际耗油（柴油）
     */
    @ApiModelProperty(value = "实际耗油（柴油）")
    private String realDieoil;
    /**
     * 与定额比
     */
    @ApiModelProperty(value = "与定额比")
    private String proportion;
    /**
     * 总里程
     */
    @ApiModelProperty(value = "总里程")
    private String sumMileage;

}
