/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 车辆维修信息管理
 *
 * @author Zhangyu
 * @date Thu Apr 23 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CAR_REPAIR", resultMap = "carRepairMap")
@ApiModel
public class CarRepair extends Model<CarRepair> {
    private static final long serialVersionUID = 1L;

    /**
     * ID，主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    /**
     * 车辆编号
     */
    @ApiModelProperty(value = "车辆编号")
    private Long carId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String carNum;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "送保修人员")
    private String repairPer;
    /**
     * 当前状态
     */
    @ApiModelProperty(value = "送保日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date repairDate;
    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "保修种类")
    private String repairType;
    /**
     * 里程
     */
    @ApiModelProperty(value = "车辆码表里程")
    private String carMileage;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 照片
     */
    @ApiModelProperty(value = "附件照片")
    private String carPic;
    /**
     * 删除标记
     */
    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty(value = "删除标记")
    private String delFlag;
    /**
     * 保修厂
     */
    @ApiModelProperty(value = "保修厂")
    private String factory;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;

}
