/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 部门车辆管理表
 *
 * @author Zhangyu
 * @date Tue Dec 15 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DEPT_CAR", resultMap = "deptCarMap")
@ApiModel
public class DeptCar extends Model<DeptCar> {
    private static final long serialVersionUID = 1L;

    /**
     * 文件路径
     */
    @ApiModelProperty(value = "文件路径")
    private String filePath;
    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;
    /**
     * 文件类型(0:照片,1:语音,2:其他)
     */
    @ApiModelProperty(value = "文件类型(0:照片,1:语音,2:其他)")
    private String fileType;
    /**
     * 状态(0:目录,1:文件)
     */
    @ApiModelProperty(value = "状态(0:目录,1:文件)")
    private String state;
    @ApiModelProperty(hidden = true)
    private String stateName;
    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long creatUser;
    @ApiModelProperty(hidden = true)
    private String creatUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date creatTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 层级ID
     */
    @ApiModelProperty(value = "层级ID")
    private Long parentId;
    /**
     * 删除标记
     */
    @TableLogic(value = "0",delval = "1")
    @ApiModelProperty(value = "删除标记")
    private String delFlag;
    /*
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Short sort;
}
