package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author wujianjun
 * @date 2023/12/11 09:54
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "CAR_OIL", resultMap = "meicunCarOilMap")
@ApiModel
public class MeiCunCarOil extends Model<MeiCunCarOil> {

    /**
     * ID，主键
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    /**
     * 车辆ID
     */
    @ApiModelProperty(value = "车辆ID")
    private Long vehicleId;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    /**
     * 加油地点
     */
    @ApiModelProperty(value = "加油地点")
    private String refuelLocation;
    /**
     * 支付方式
     */
    @ApiModelProperty(value = "支付方式")
    private Integer paymentMethod;
    /**
     * 经办人
     */
    @ApiModelProperty(value = "经办人")
    private String responsiblePerson;
    /**
     * 经办人
     */
    @ApiModelProperty(value = "经办人")
    private Long responsibleId;
    /**
     * 油料标号
     */
    @ApiModelProperty(value = "油料标号")
    private String fuelGrade;
    /**
     * 行驶里程
     */
    @ApiModelProperty(value = "行驶里程")
    private Double mileage;
    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private Double unitPrice;
    /**
     * 加油量
     */
    @ApiModelProperty(value = "加油量")
    private Double fuelQuantity;
    /**
     * 总费用
     */
    @ApiModelProperty(value = "总费用")
    private Double totalCost;

    @ApiModelProperty(value = "加油时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date refuelDate;

    private Integer dataStatus;
    private String snowflakeId;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdDate;

    private String remark;
}
