package com.tofly.pojo.fill;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 能耗填报登记记录表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tf_fill_ec_w", resultMap = "fillEcMap")
@ApiModel
public class FillEc extends Model<FillEc> {
    private static final long serialVersionUID = 1L;
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    @ApiModelProperty(value = "记录日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;
    @ApiModelProperty(value = "用电量(度)")
    private String electro;
    @ApiModelProperty(value = "填报单位(部门)")
    private Long fillDept;
    @ApiModelProperty(value = "部门转义")
    @TableField(exist = false)
    private String fillDeptName;
    @ApiModelProperty(value = "所属水厂ID")
    private Long belongStationId;
    @ApiModelProperty(value = "所属水厂名称转义")
    @TableField(exist = false)
    private String belongStationName;
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "FILL_TIME", fill = FieldFill.INSERT)
    private Date fillTime;
    @ApiModelProperty(value = "填报人员")
    @TableField(value = "FILL_USER", fill = FieldFill.INSERT)
    private Long fillUser;
    @ApiModelProperty(value = "填报人员转义")
    @TableField(exist = false)
    private String fillUserName;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    @ApiModelProperty(value = "修改人员")
    @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(value = "修改人员转义")
    @TableField(exist = false)
    private String updateUserName;

    @ApiModelProperty(value = "查询条件开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startTime;
    @ApiModelProperty(value = "查询条件结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endTime;
}
