package com.tofly.pojo.fill;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
public class FillVo implements Serializable {
    @ApiModelProperty(value = "记录日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String recordTime;
    @ApiModelProperty(value = "所属水厂ID")
    private Long belongStationId;
    @ApiModelProperty(value = "所属水厂名称")
    private String sewageStationName;
    @ApiModelProperty(value = "所属组织ID")
    @TableField(exist = false)
    private Long belongDeptId;
    @ApiModelProperty(value = "所属组织名称转义")
    @TableField(exist = false)
    private String belongDeptName;
    @ApiModelProperty(value = "用电量(度)")
    private String electro;
    @ApiModelProperty(value = "日脱水污泥生产量(吨)")
    private String daySludgeDehydration;
    @ApiModelProperty(value = "污泥含水率(%)")
    private String daySludgeTransfer;
    @ApiModelProperty(value = "日污泥转运量(吨)")
    private String sludgeWaterCutRate;
    @ApiModelProperty(value = "日进水量(方)")
    private String dayIntoWater;
    @ApiModelProperty(value = "日出水量(方)")
    private String dayOutWater;
    @ApiModelProperty(value = "CODcr(mg/L)")
    private String codCr;
    @ApiModelProperty(value = "BOD5(mg/L)")
    private String bod5;
    @ApiModelProperty(value = "NH3-N(mg/L)")
    private String nh3n;
    @ApiModelProperty(value = "SS(mg/L)")
    private String ss;
    @ApiModelProperty(value = "TN(mg/L)")
    private String tn;
    @ApiModelProperty(value = "TP(mg/L)")
    private String tp;
    @ApiModelProperty(value = "PH")
    private String ph;
    @ApiModelProperty(value = "出口CODcr(mg/L)")
    private String codCrOut;
    @ApiModelProperty(value = "出口BOD5(mg/L)")
    private String bod5Out;
    @ApiModelProperty(value = "出口NH3-N(mg/L)")
    private String nh3nOut;
    @ApiModelProperty(value = "出口SS(mg/L)")
    private String ssOut;
    @ApiModelProperty(value = "出口TN(mg/L)")
    private String tnOut;
    @ApiModelProperty(value = "出口TP(mg/L)")
    private String tpOut;
    @ApiModelProperty(value = "出口PH")
    private String phOut;
}
