package com.tofly.pojo.fill;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 水质填报登记记录表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tf_fill_water_w", resultMap = "fillWaterMap")
@ApiModel
public class FillWater extends Model<FillMonth> {
    private static final long serialVersionUID = 1L;
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    @ApiModelProperty(value = "CODcr(mg/L)")
    private String codCr;
    @ApiModelProperty(value = "BOD5(mg/L)")
    private String bod5;
    @ApiModelProperty(value = "NH3-N(mg/L)")
    private String nh3n;
    @ApiModelProperty(value = "SS(mg/L)")
    private String ss;
    @ApiModelProperty(value = "TN(mg/L)")
    private String tn;
    @ApiModelProperty(value = "TP(mg/L)")
    private String tp;
    @ApiModelProperty(value = "PH")
    private String ph;
    @ApiModelProperty(value = "出口CODcr(mg/L)")
    private String codCrOut;
    @ApiModelProperty(value = "出口BOD5(mg/L)")
    private String bod5Out;
    @ApiModelProperty(value = "出口NH3-N(mg/L)")
    private String nh3nOut;
    @ApiModelProperty(value = "出口SS(mg/L)")
    private String ssOut;
    @ApiModelProperty(value = "出口TN(mg/L)")
    private String tnOut;
    @ApiModelProperty(value = "出口TP(mg/L)")
    private String tpOut;
    @ApiModelProperty(value = "出口PH")
    private String phOut;
    @ApiModelProperty(value = "填报单位(部门)")
    private Long fillDept;
    @ApiModelProperty(value = "所属水厂名称转义")
    @TableField(exist = false)
    private String belongStationName;
    @ApiModelProperty(value = "部门转义")
    @TableField(exist = false)
    private String fillDeptName;
    @ApiModelProperty(value = "所属水厂ID")
    private Long belongStationId;
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "FILL_TIME", fill = FieldFill.INSERT)
    private Date fillTime;
    @ApiModelProperty(value = "填报人员")
    @TableField(value = "FILL_USER", fill = FieldFill.INSERT)
    private Long fillUser;
    @ApiModelProperty(value = "填报人员转义")
    @TableField(exist = false)
    private String fillUserName;
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    @ApiModelProperty(value = "修改人员")
    @TableField(value = "UPDATE_USER",fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(value = "修改人员转义")
    @TableField(exist = false)
    private String updateUserName;
    @ApiModelProperty(value = "记录日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    @ApiModelProperty(value = "查询条件开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date startTime;
    @ApiModelProperty(value = "查询条件结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date endTime;
}
