/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author wangzhun
 * @date Wed May 11 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_DISPATCH_w",resultMap = "dispatchMap")
@KeySequence("TF_YWPN_DISPATCH_w")
@ApiModel
public class Dispatch extends Model<Dispatch> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 处理人
     */
            @ApiModelProperty(value = "处理人id")
                private String majorHandler;

            @ApiModelProperty(value = "处理人名称")
            @TableField(exist = false)
            private String majorHandlerName;
                /**
     * 
     */
            @ApiModelProperty(value = "协同处理人id 多个,分割")
                private String collaborateHanler;
                /**
     * 消息
     */
            @ApiModelProperty(value = "消息")
                private String message;
                /**
     * 是否发送短信 0false 1true
     */
            @ApiModelProperty(value = "是否发送短信 0false 1true")
                private Boolean isPush;
                /**
     * 上报时间
     */
            @ApiModelProperty(value = "上报时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 上报人
     */
            @ApiModelProperty(value = "上报人")
                private BigDecimal createUserid;
                /**
     * 
     */
            @ApiModelProperty(value = "状态 1待处理  2正在处理  3 已处理")
                private String status;
            @ApiModelProperty(value = "资源id  如事件上报的id  或者汛情上报的id")
            private Long sourceId;
                /**
     * 
     */
            @ApiModelProperty(value = "")
            @TableLogic(value = "0",delval = "1")
                private String delFlag;
                /**
     * 1事件管理 2汛情管理
     */
            @ApiModelProperty(value = "1事件管理 2汛情管理")
                private String type;

          @ApiModelProperty(value = "处理详情")
            private String resolveDetail;

            @ApiModelProperty(value = "处理时间")
            private Date resolveDate;


            @ApiModelProperty(value = "处理上传文件")
            private String resolveFileIds;
}
