/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 移动设备信息表
 *
 * @author wangzhun
 * @date Mon May 16 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_MOBILEDEVICE_W",resultMap = "mobileDeviceMap")
@KeySequence("TF_YWPN_MOBILEDEVICE_W")
@ApiModel
public class MobileDevice extends Model<MobileDevice> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 设备编号
     */
            @ApiModelProperty(value = "设备编号")
                private String no;
          @ApiModelProperty(value = "数据来源   app  web ")
            private String dataSource;
                /**
     * 设备名称
     */
            @ApiModelProperty(value = "设备名称")
                private String name;
                /**
     * 设备类型
     */
            @ApiModelProperty(value = "设备型号")
                private String type;
                /**
     * 设备电话
     */
            @ApiModelProperty(value = "设备电话")
                private String devicePhone;
                /**
     * 设备meid
     */
            @ApiModelProperty(value = "设备meid")
                private String meid;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String note;
                /**
     * 使用部门id

     */
            @ApiModelProperty(value = "使用部门id")
                private Long useDeptId;
                /**
     * 使用人员id
     */
            @ApiModelProperty(value = "使用人员id")
                private Long userUserId;

        @ApiModelProperty(value = "app版本号")
        private String appVersion;
                /**
     * 状态  0 历史  1 当前
     */
            @ApiModelProperty(value = "状态  0 历史  1 当前")
                private String status;


                /**
     * 上报时间
     */
            @ApiModelProperty(value = "上报时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
                private BigDecimal createUserid;
    @ApiModelProperty(value = "审核状态 0 未审核  1已审核")
    private String auditStataus;

    @TableLogic(value = "0",delval = "1")
    private String delFlag;
}
