/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 管网设施维护保养内容情况
 *
 * @author admin
 * @date Tue Oct 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YMPN_PIPE_MF_CONTENT_W", resultMap = "pipeMfContentMap")
@ApiModel
public class PipeMfContent extends Model<PipeMfContent> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal id;
    /**
     * 管网设施保养记录id
     */
    @ApiModelProperty(value = "管网设施保养记录id")
    private Long mfId;
    /**
     * 保养内容情况序号
     */
    @ApiModelProperty(value = "保养内容情况序号")
    private String mfSerialNumber;
    /**
     * 保养内容详情
     */
    @ApiModelProperty(value = "保养内容详情")
    private String mfNode;
    /**
     * 内容是否达标
     */
    @ApiModelProperty(value = "内容是否达标")
    private String mfFlag;

}
