/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 抢维修年度计划内容信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPAIRPLANDETAIL_W", resultMap = "repairplandetailMap")
@ApiModel
public class Repairplandetail extends Model<Repairplandetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一值ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "唯一值ID")
    private Long id;
    /**
     * 年度记录ID，关联表TF_YWPN_REPAIRPLAN_W主键
     */
    @ApiModelProperty(value = "年度记录ID，关联表TF_YWPN_REPAIRPLAN_W主键")
    private Long yearId;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值
     */
    @ApiModelProperty(value = "维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值")
    private Long typeId;
    /**
     * 维修数量
     */
    @ApiModelProperty(value = "维修数量")
    private Long num;
    /**
     * 任务接收负责人
     */
    @ApiModelProperty(value = "任务接收负责人")
    private Long respUser;

    /**
     * 详细说明
     */
    @ApiModelProperty(value = "详细说明")
    private String notes;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    @ApiModelProperty(value = "单位")
    private String unit;

}
