package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
@ApiModel
public class CarTrackDto extends Model<CarTrackDto> {

    /**
     *
     */
    @TableId(value = "id",type= IdType.ASSIGN_ID)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carNo;
    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private String type;
    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String model;
    /**
     * 管理部门
     */
    @ApiModelProperty(value = "管理部门")
    private Long department;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long chargePerson;
    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String phone;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    @ApiModelProperty(value = "巡检设备id")
    private Long gpsDeviceId;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "车牌号使用人模糊搜索")
    private String queryLike;

}
