package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
@Data
@ApiModel
public class EventMangeDto extends Model<RepairgoodsDto> {
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 事件类别  1普通事件 2紧事件
     */
    @ApiModelProperty(value = "事件类别  1普通事件 2紧事件")
    private String category;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 详细描述
     */
    @ApiModelProperty(value = "详细描述")
    private String detail;
    /**
     * 关联设施信息
     */
    @ApiModelProperty(value = "关联设施信息")
    private String facility;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Double x;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Double y;
    /**
     * 处理建议
     */
    @ApiModelProperty(value = "处理建议")
    private String handingAdvice;
    /**
     * 发现人员
     */
    @ApiModelProperty(value = "发现人员")
    private String findUser;
    /**
     * 发现人员电话
     */
    @ApiModelProperty(value = "发现人员电话")
    private String findPhone;
    /**
     * 发现时间
     */
    @ApiModelProperty(value = "发现时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date findDate;
    /**
     * 状态：0 未审核、1不处理、2未派工、3待处理、4处理中、处理完成 5
     */
    @ApiModelProperty(value = "状态：0 未审核、1不处理、2未派工、3待处理、4处理中、处理完成 5")
    private String status;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private BigDecimal createUserid;

    @ApiModelProperty(value = "上报人")
    private String createUseName;
    /**
     * 隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;
    /**
     * 接收人id，多个以，分割
     */
    @ApiModelProperty(value = "接收人id，多个以，分割")
    private String reciveUser;


    @ApiModelProperty(value = "多个字段模糊查询")
    private String queryLike;
    @ApiModelProperty(value = "多个状态  以 , 分割")
    private String statusMulti;
    @ApiModelProperty(value = "日期字符串 yyyy-MM-dd hh:mm:ss")
        private String time;
}
