package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
@Data
public class FloodSeasonDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id",type= IdType.ASSIGN_ID)
    @ApiModelProperty(value = "")
    private BigDecimal id;
    /**
     * 是否为警情 1是 0否
     */
    @ApiModelProperty(value = "是否为警情 1是 0否")
    private Boolean police;
    @ApiModelProperty(value = "是否为警情 1是 0否,多个以,号分割")
    private String isPoliceStr;
    /**
     * 位置
     */
    @ApiModelProperty(value = "位置")
    private String position;
    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址")
    private String address;
    /**
     * 设施
     */
    @ApiModelProperty(value = "设施")
    private String facility;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Double x;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Double y;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String detail;
    /**
     * 建议
     */
    @ApiModelProperty(value = "建议")
    private String suggest;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private BigDecimal createUserid;
    /**
     * 隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String uploadFileids;

    @ApiModelProperty(value = "汛情位置地址模糊查询")
    private String queryLike;

    @ApiModelProperty(value = "日期字符串 yyyy-MM-dd hh:mm:ss")
    private String time;


    @ApiModelProperty(value = "多个状态  以 , 分割")
    private String statusMulti;
}
