/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.maintain.Repairplandetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 抢维修年度计划记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairplanDto extends Model<RepairplanDto> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "年份查询,多个以,分隔")
    private String years;
    /**
     * 上报状态，0未提交、1已提交
     */
    @ApiModelProperty(value = "上报状态，0未提交、1已提交")
    private String issubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;


    @ApiModelProperty(value = "抢维修年度计划详情列表")
    private List<Repairplandetail> planyeardetailList;
    @ApiModelProperty(value = "计划状态(0待审核,1审批拒绝2审批通过)")
    private String planState;

    @ApiModelProperty(value = "部门审核人id")
    private Long deptUserId;

    @ApiModelProperty(value = "分管审核人id")
    private Long chargeUserId;

    @ApiModelProperty(value = "起始上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startSubmitTime;

    @ApiModelProperty(value = "终止上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endSubmitTime;

    @ApiModelProperty(value = "是否查询当前用户下的审核列表,flag为1 默认不填写")
    private String flag;

    @ApiModelProperty(value = "抢维修年计划id")
    private Long yearId;

    @ApiModelProperty(value = "月份")
    private String month;
    @ApiModelProperty(value = "月份查询,多个以,分隔")
    private String months;
    @ApiModelProperty(value = "单位")
    private String unit;
}
