/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抢维修耗材记录表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairgoodsVo extends Model<RepairgoodsVo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 上传记录表ID，关联表TF_YWPN_REPAIRRECORD_W关键值
     */
    @ApiModelProperty(value = "上传记录表ID，关联表TF_YWPN_REPAIRRECORD_W关键值")
    private Long recordId;
    /**
     * 个人任务id，关联表TF_YWPN_REPAIRUSER_W
     */
    @ApiModelProperty(value = "个人任务id，关联表TF_YWPN_REPAIRUSER_W")
    private Long repairUserid;
    /**
     * 材料类型,关联表TF_YWPN_REPAIRTYPE_D关键值
     */
    @ApiModelProperty(value = "材料类型,关联表TF_YWPN_REPAIRTYPE_D关键值")
    private Long materialType;
    /**
     * 材料类型名称
     */
    @ApiModelProperty(value = "材料类型名称")
    private String materialTypeName;

    @ApiModelProperty(value = "规格型号")
    private String specification;
    @ApiModelProperty(value = "单位")
    private String unit;
    /**
     * 材质，字典编码表取，PE、金属等
     */
    @ApiModelProperty(value = "材质，字典编码表取，PE、金属等")
    private String material;
    /**
     * 口径（mm）
     */
    @ApiModelProperty(value = "口径（mm）")
    private String bore;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Long num;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
