/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抢维修工单个人任务信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairuserVo extends Model<RepairuserVo> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 维修人ID，主要负责人
     */
    @ApiModelProperty(value = "维修人ID，主要负责人")
    private Long respUser;
    /**
     * 主要负责人名称
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "主要负责人名称")
    private String respUserName;
    /**
     * 维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值
     */
    @ApiModelProperty(value = "维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值")
    private Long repairId;

    /**
     * 协同处理人ID，多个以英文逗号分隔
     */
    @ApiModelProperty(value = "协同处理人ID，多个以英文逗号分隔")
    private String teamUser;
    /**
     * 协同处理人名称，多个以英文逗号分隔
     */
    @TableField(exist = false)
    @ApiModelProperty(value = "协同处理人名称，多个以英文逗号分隔")
    private String teamUserName;
    /**
     * 是否确认，0未查收，1已查收
     */
    @ApiModelProperty(value = "是否确认，0未查收，1已查收")
    private String isread;
    @TableField(exist = false)
    private String isreadName;
    /**
     * 是否返工，0未返工，1已返工
     */
    @ApiModelProperty(value = "是否返工，0未返工，1已返工")
    private String isrepeat;
    @TableField(exist = false)
    private String isrepeatName;
    /**
     * 返工次数
     */
    @ApiModelProperty(value = "返工次数")
    private Integer repeatNum;
    /**
     * 工单状态0:未派工,1:处理中, 2:驳回 , 3:审核中 ,4处理完成，5转移申请，6、已转移 7:完成
     */
    @ApiModelProperty(value = "工单状态0:未派工,1:未审核, 2:未开始 , 3:正在执行 ,4处理完成，5已开始未执行，6、驳回 7:转移申请 8已转移")
    private String state;
    @TableField(exist = false)
    private String stateName;
    /**
     * 核定用时,单位小时
     */
    @ApiModelProperty(value = "核定用时,单位小时")
    private Double ratifyTime;
    /**
     * 系统用时（实际处理用时），单位小时
     */
    @ApiModelProperty(value = "系统用时（实际处理用时），单位小时")
    private Double realTime;
    /**
     * 所在片区
     */
    @ApiModelProperty(value = "所在片区")
    private String regionCode;

    /**
     * 所在片区名称
     */
    @ApiModelProperty(value = "所在片区名称")
    private String regionName;
    /**
     * 实际地址描述
     */
    @ApiModelProperty(value = "实际地址描述")
    private String address;
    /**
     * 实际位置经度，单位：°
     */
    @ApiModelProperty(value = "实际位置经度，单位：°")
    private Double lgtd;
    /**
     * 实际位置纬度，单位：°
     */
    @ApiModelProperty(value = "实际位置纬度，单位：°")
    private Double lttd;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 接收时间
     */
    @ApiModelProperty(value = "接收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    /**
     * 处理完成上报时间
     */
    @ApiModelProperty(value = "处理完成上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date overTime;
    @ApiModelProperty(value = "计划完成个数")
    private Long planNum;

    @ApiModelProperty(value = "实际完成个数")
    private Long overNum;
    @ApiModelProperty("多个点经纬度存储")
    private String lngLats;
    @ApiModelProperty("电话")
    private String phone;
}
