/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.vo.ImageVo;
import com.tofly.pojo.maintain.vo.ExcelImageVo;
import com.tofly.pojo.maintain.vo.RepairgoodsVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * 抢维修处理信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderRecordInfoVo extends Model<RepairOrderRecordInfoVo> {
    private static final long serialVersionUID = 1L;

    private Long respUser;
    @ApiModelProperty(value = "处理职员")
    private String respUserName;
    private String teamUser;
    @ApiModelProperty(value = "协同处理职员")
    private String teamUserName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "处理时间")
    private Date createTime;
    private String createTimeStr;
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    @ApiModelProperty(value = "地址")
    private String address;
    @ApiModelProperty(value = "处理说明")
    private String notes;
    private String fileIdsOne;
    private String fileIdsTow;
    private String fileIdsThree;
    private String flag;
    @ApiModelProperty(value = "0驳回 1正常")
    private String flagName;
    @ApiModelProperty(value = "维修设备编码")
    private String repairDevice;
    @ApiModelProperty(value = "设备关联空间数据图层")
    private String repairLayer;
    private Long repairType;
    @ApiModelProperty(value = "维修类型")
    private String repairTypeName;
    @ApiModelProperty(value = "口径")
    private String bore;
    @ApiModelProperty(value = "前附件")
    private List<String> fileIdsOneList;
    @ApiModelProperty(value = "中附件")
    private List<String> fileIdsTowList;
    @ApiModelProperty(value = "后附件")
    private List<String> fileIdsThreeList;
    @ApiModelProperty(value = "经度")
    private BigDecimal x;
    @ApiModelProperty(value = "维度")
    private BigDecimal y;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<ImageVo> recordOneImage;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<ImageVo> recordTowImage;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<ImageVo> recordThreeImage;

    @ApiModelProperty(value = "过程处理id")
    private Long recordId;
    @ApiModelProperty(value = "材料列表")
    @TableField(exist = false)
    private List<RepairgoodsVo> goodsList;
}
