/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author admin
 * @date Mon May 09 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_CAR_w",resultMap = "carMap")
@ApiModel
public class Car extends Model<Car> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 车牌号
     */
            @ApiModelProperty(value = "车牌号")
                private String carNo;
                /**
     * 车辆类型
     */
            @ApiModelProperty(value = "车辆类型")
                private String type;
                /**
     * 型号
     */
            @ApiModelProperty(value = "型号")
                private String model;
                /**
     * 管理部门
     */
            @ApiModelProperty(value = "管理部门")
                private Long department;
    @ApiModelProperty(value = "管理部门名称")
    @TableField(exist = false)
    private String departmentName;
                /**
     * 负责人
     */
            @ApiModelProperty(value = "负责人")
                private Long chargePerson;

    @ApiModelProperty(value = "负责人名称")
    @TableField(exist = false)
    private String chargePersonName;
                /**
     * 联系方式
     */
            @ApiModelProperty(value = "联系方式")
                private String phone;
                /**
     * 1在用 2维修 3报废
     */
            @ApiModelProperty(value = "1在用 2维修 3报废")
                private String status;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String note;


                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @ApiModelProperty(hidden = true)
            @TableField(exist = false)
             private String createUserName;

            @TableLogic(value = "0",delval = "1")
            private String delFlag;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;

    @ApiModelProperty(value = "车牌号或者负责人搜索")
    @TableField(exist = false)
    private String queryLike;

    @TableField(exist = false)
    @ApiModelProperty(value = "巡查状态")
    private String planState;
}
