/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 审核记录历史表
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CHECKHISTORY_W", resultMap = "checkhistoryMap")
@ApiModel
public class Checkhistory extends Model<Checkhistory> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 类型，0年度巡检计划审核、1月度巡检计划审核、2隐患审核、3消除隐患审核、4工地监护审核、5工地监护取消审核、6巡检任务暂停审核、7巡检任务废除审核
     */
    @ApiModelProperty(value = "类型，0年度巡检计划审核、1月度巡检计划审核、2隐患审核、3消除隐患审核、4工地监护审核、5工地监护取消审核、6巡检任务暂停审核、7巡检任务废除审核")
    private String type;
    /**
     * 审核记录ID，关联各审核表记录id
     */
    @ApiModelProperty(value = "审核记录ID，关联各审核表记录id")
    private Long checkId;
    /**
     * 审核意见，1未审核、2同意、0不同意
     */
    @ApiModelProperty(value = "审核意见，0未审核,1通过,2未通过,3不可审批")
    private String auditResult;
    /**
     * 审核说明
     */
    @ApiModelProperty(value = "审核说明")
    private String auditNotes;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

}
