/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 车载GPS设备信息表：TF_YWPN_GPSDEVICE_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GPSDEVICE_W", resultMap = "gpsdeviceMap")
@ApiModel
public class Gpsdevice extends Model<Gpsdevice> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "关键ID")
    private Long id;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "设备标识名称")
    private String deviceName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "设备标识编码")
    private String deviceCode;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "备注信息")
    private String notes;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "是否使用；0：未使用；1：正在使用")
    private String state;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
