/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 消防栓记录上报表
 *
 * @author admin
 * @date Fri Sep 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_HYDRANTRECORD_W", resultMap = "hydrantrecordMap")
@ApiModel
public class Hydrantrecord extends Model<Hydrantrecord> {
    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "数据唯一标识")
    private Long id;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double xAddr;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double yAddr;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 创建用户ID（上报用户)
     */
    @ApiModelProperty(value = "创建用户ID（上报用户)")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 排放水量（m3）
     */
    @ApiModelProperty(value = "排放水量（m3）")
    private Double stDischarge;
    /**
     * 排放时间（秒）
     */
    @ApiModelProperty(value = "排放时间（秒）")
    private Long stTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String notes;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true,value = "文件路径列表")
    List<String> filePathList;
    /**
     * 创建时间（上报时间）
     */
    @ApiModelProperty(value = "创建时间（上报时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 消防栓编号SID
     */
    @ApiModelProperty(value = "消防栓编号SID")
    private String sbCode;
    /**
     * 排放口径（mm）
     */
    @ApiModelProperty(value = "排放口径（mm）")
    private Short stCaliber;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 片区
     */
    @ApiModelProperty(value = "片区")
    private String regionCode;

}
