/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 监控设备日志表：TF_YWPN_PDAHISTORY_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PDAHISTORY_W", resultMap = "pdahistoryMap")
@ApiModel
public class Pdahistory extends Model<Pdahistory> {
    private static final long serialVersionUID = 1L;

    /**
     * 数据唯一标识
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "数据唯一标识")
    private Long id;
    /**
     * 用户唯一标识
     */
    @ApiModelProperty(value = "用户唯一标识")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * gps状态 0：关闭 1:打开
     */
    @ApiModelProperty(value = "gps状态 0：关闭 1:打开")
    private String gpsState;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 网络状态 0：关闭 1：打开
     */
    @ApiModelProperty(value = "网络状态 0：关闭 1：打开")
    private String networkState;
    /**
     * 设备检测时间
     */
    @ApiModelProperty(value = "设备检测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;
    /**
     * 设备电量
     */
    @ApiModelProperty(value = "设备电量")
    private String electricity;
    /**
     * 工作状态  1：上班  2：工作中  3：下班  4:异常
     */
    @ApiModelProperty(value = "工作状态  1：上班  2：工作中  3：下班  4:异常")
    private String workState;
    /**
     * 定位精度
     */
    @ApiModelProperty(value = "定位精度")
    private String gpsPrecision;
    /**
     * 卫星个数
     */
    @ApiModelProperty(value = "卫星个数")
    private Integer gpsStar;
    /**
     * 剩余空间
     */
    @ApiModelProperty(value = "剩余空间")
    private String residualSpace;
    /**
     * 车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值
     */
    @ApiModelProperty(value = "车载设备唯一标识，关联表TF_YWPN_GPSDEVICE_W关键值")
    private Long gpsDeviceid;
    /**
     * 0：人巡 1：车巡
     */
    @ApiModelProperty(value = "0：人巡 1：车巡")
    private String gpsType;
    /**
     * 手机设备唯一标识
     */
    @ApiModelProperty(value = "手机设备唯一标识")
    private String pdaid;
    /**
     * 监控日期 yyyy/mm/dd
     */
    @ApiModelProperty(value = "监控日期 yyyy/mm/dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date monitorDate;

}
