/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 巡检子计划信息表：TF_YWPN_PLANCHILD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANCHILD_W", resultMap = "planchildMap")
@ApiModel
public class Planchild extends Model<Planchild> {
    private static final long serialVersionUID = 1L;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡查人ID
     */
    @ApiModelProperty(value = "巡查人ID")
    private Long respUser;
    /**
     * 主计划
     */
    @ApiModelProperty(value = "主计划")
    private Long planId;
    /**
     * 是否转移：-1,、正常， 5：申请转移  6：已转移
     */
    @ApiModelProperty(value = "是否转移：-1,、正常， 5：申请转移  6：已转移 4完成")
    private String planState;
    /**
     * 个人完成率
     */
    @ApiModelProperty(value = "个人完成率")
    private Float percent;
    /**
     * 个人巡检完成情况，点数或长度（按完成率计算
     */
    @ApiModelProperty(value = "个人巡检完成情况，点数或长度（按完成率计算")
    private BigDecimal overLen;
    /**
     * 已完成点数（计算个人完成率）
     */
    @ApiModelProperty(value = "已完成点数（计算个人完成率）")
    private BigDecimal overCount;
    /**
     * 已完成点IDS，以英文“；”分割
     */
    @ApiModelProperty(value = "已完成点IDS，以英文“,”分割")
    private String overIds;

}
