/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.math.BigDecimal;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 计划类型完成率统计表
 *
 * @author admin
 * @date Wed Nov 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANTYPE_W", resultMap = "plantypeMap")
@ApiModel
public class Plantype extends Model<Plantype> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 主计划
     */
    @ApiModelProperty(value = "主计划")
    private Long planId;
    /**
     * 巡检类型
     */
    @ApiModelProperty(value = "巡检类型")
    private Long typeId;
    @TableField(exist = false)
    @ApiModelProperty(value = "巡检类型名称")
    private String typeName;
    @ApiModelProperty(value = "计划完成率")
    private Float  completionRate;
    /**
     * 实际完成率
     */
    @ApiModelProperty(value = "实际完成率")
    private Float percentRate;
    /**
     * 已完成点数
     */
    @ApiModelProperty(value = "已完成点数")
    private BigDecimal overCount;
    @ApiModelProperty(value = "已完成长度")
    private BigDecimal overLength;
    @ApiModelProperty(value = "总长度")
    private BigDecimal totalLength;
    @ApiModelProperty(value = "总点数")
    private BigDecimal totalCount;

    @ApiModelProperty(value = "漏损率")
    private Float leakageRate;

}
