/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * ${comments}
 *
 * @author JF
 * @date Thu Apr 06 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="tf_ywpn_plan_cartouser",resultMap = "tfYwpnPlanCartouserMap")
@KeySequence("tf_ywpn_plan_cartouser")
@ApiModel
public class TfYwpnPlanCartouser extends Model<TfYwpnPlanCartouser> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * 用户ID
     */
            @ApiModelProperty(value = "用户ID")
            private Long userId;
            @TableField(exist = false)
            @ApiModelProperty(hidden = true)
    private String userIdName;
            /**
     * 车辆ID
     */
            @ApiModelProperty(value = "车辆ID")
                private Long carId;
                /**
     * 开始时间（多个,拼接）
     */
            @ApiModelProperty(value = "开始时间（多个,拼接）")
                private String startDate;
                /**
     * 结束时间（多个,拼接）
     */
            @ApiModelProperty(value = "结束时间（多个,拼接）")
                private String endDate;
                /**
     * 计划ID
     */
            @ApiModelProperty(value = "计划ID")
                private Long planId;
                /**
     * 子计划ID
     */
            @ApiModelProperty(value = "子计划ID")
                private Long planChildId;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private Long createUser;
            @TableField(exist = false)
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
    @TableField(exist = false)
    @ApiModelProperty("是否绑定(0:未绑定,1:已绑定)")
    private String isBind;
            
}
