/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 厂站巡检上报结果表
 *
 * @author JF
 * @date Wed Aug 09 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="tf_ywpn_station_report",resultMap = "tfYwpnStationReportMap")
@KeySequence("tf_ywpn_station_report")
@ApiModel
public class TfYwpnStationReport extends Model<TfYwpnStationReport> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
                /**
     * 计划下发厂站设备关联表ID
     */
            @ApiModelProperty(value = "计划下发厂站设备关联表ID")
                private Long planFactoryId;
                /**
     * 是否上报结果（0否；1是）
     */
            @ApiModelProperty(value = "是否上报结果（0否；1是）")
                private String isReport;
                /**
     * 接收上报人员ID（多个用,分隔）
     */
            @ApiModelProperty(value = "接收上报人员ID（多个用,分隔）")
                private String reportUserIds;
    /**
     * 接收上报人员名称（多个用,分隔）
     */
    @ApiModelProperty(value = "接收上报人员名称（多个用,分隔）")
    private String reportUserNames;
                /**
     * 上报内容
     */
            @ApiModelProperty(value = "上报内容")
                private String reportContent;

    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long deptId;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String deptName;
            
}
