/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 巡检工况信息管理
 *
 * @author JF
 * @date Mon Aug 07 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="tf_ywpn_working_condition",resultMap = "tfYwpnWorkingConditionMap")
@KeySequence("tf_ywpn_working_condition")
@ApiModel
public class TfYwpnWorkingCondition extends Model<TfYwpnWorkingCondition> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 计划下发厂站设备关联表ID
     */
            @ApiModelProperty(value = "计划下发厂站设备关联表ID")
                private Long planFactoryId;
                /**
     * 厂容厂貌（1优；2良；3差）
     */
            @ApiModelProperty(value = "厂容厂貌（1优；2良；3差）")
                private String looksLevel;
                /**
     * 厂容厂貌照片
     */
            @ApiModelProperty(value = "厂容厂貌照片")
                private String looksPhoto;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> looksPhotoPathList;
                /**
     * 值班值守（0未在岗；1在岗）
     */
            @ApiModelProperty(value = "值班值守（0未在岗；1在岗）")
                private String duty;
                /**
     * 预处理情况文本
     */
            @ApiModelProperty(value = "预处理情况文本")
                private String pretreatmentTxt;
                /**
     * 预处理情况照片
     */
            @ApiModelProperty(value = "预处理情况照片")
                private String pretreatmentPhoto;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> pretreatmentPhotoPathList;
                /**
     * 二沉池表面照片
     */
            @ApiModelProperty(value = "二沉池表面照片")
                private String twoTankPhoto;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> twoTankPhotoPathList;
                /**
     * 二沉池泥位（1高；2低）
     */
            @ApiModelProperty(value = "二沉池泥位（1高；2低）")
                private String twoTankMudLevel;
                /**
     * 二沉池外回流（0异常；1正常）
     */
            @ApiModelProperty(value = "二沉池外回流（0异常；1正常）")
                private String twoTankExternalReflux;
                /**
     * 深度处理-过滤设备（0异常；1正常）
     */
            @ApiModelProperty(value = "深度处理-过滤设备（0异常；1正常）")
                private String filterDevice;
                /**
     * 出水观感（1优；2良；3差）
     */
            @ApiModelProperty(value = "出水观感（1优；2良；3差）")
                private String outWaterImpression;
                /**
     * 出水明渠照片
     */
            @ApiModelProperty(value = "出水明渠照片")
                private String outWaterOpenChannel;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> outWaterOpenChannelPathList;
                /**
     * 流量计照片
     */
            @ApiModelProperty(value = "流量计照片")
                private String flowmeter;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> flowmeterPathList;
                /**
     * 取样照片
     */
            @ApiModelProperty(value = "取样照片")
                private String sample;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> samplePathList;
                /**
     * 脱泥设备（0异常；1正常）
     */
            @ApiModelProperty(value = "脱泥设备（0异常；1正常）")
                private String deslimeDevice;
                /**
     * 含水率（1高；2低）
     */
            @ApiModelProperty(value = "含水率（1高；2低）")
                private String moistureContent;
                /**
     * DO（mg/L）
     */
            @ApiModelProperty(value = "DO（mg/L）")
                private String doIndex;
                /**
     * MLSS（mg/L）
     */
            @ApiModelProperty(value = "MLSS（mg/L）")
                private String mlss;
                /**
     * SV30（mg/L）
     */
            @ApiModelProperty(value = "SV30（mg/L）")
                private String sv30;
                /**
     * 曝气池照片
     */
            @ApiModelProperty(value = "曝气池照片")
                private String aerationTankPhoto;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private List<String> aerationTankPhotoPathList;
                /**
     * ORP（MV）
     */
            @ApiModelProperty(value = "ORP（MV）")
                private String orp;
                /**
     * 风机频率（HZ）
     */
            @ApiModelProperty(value = "风机频率（HZ）")
                private String fanRate;
                /**
     * 水温（℃）
     */
            @ApiModelProperty(value = "水温（℃）")
                private String waterTemperature;
                /**
     * 内回流（0异常；1正常）
     */
            @ApiModelProperty(value = "内回流（0异常；1正常）")
                private String internalReflux;
                /**
     * 创建人
     */
            @ApiModelProperty(value = "创建人")
            @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
                private Long createUser;
            @TableField(exist = false)
            @ApiModelProperty(hidden = true)
                private String createUserName;
                /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
                private Date createTime;
            
}
