/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 管线巡查记录上报表：TF_YWPN_PIPERECORD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PiperecordDto extends Model<PiperecordDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 井室情况，关联字典编码表：（正常、积水、垮塌、积土）
     */
    @ApiModelProperty(value = "井室情况，关联字典编码表：（正常、积水、垮塌、积土）")
    private String jsqkNote;
    /**
     * 路面情况，关联字典编码表：（完好、开裂、沉降、其它）
     */
    @ApiModelProperty(value = "路面情况，关联字典编码表：（完好、开裂、沉降、其它）")
    private String roadNote;
    /**
     * 井位情况，关联字典编码表：（完好、轻损、松动、缺失）
     */
    @ApiModelProperty(value = "井位情况，关联字典编码表：（完好、轻损、松动、缺失）")
    private String jwNote;
    /**
     * 井深，单位：m
     */
    @ApiModelProperty(value = "井深，单位：m")
    private Double jsDepth;
    /**
     * 井盖直径，单位：mm
     */
    @ApiModelProperty(value = "井盖直径，单位：mm")
    private Long jgDiam;
    /**
     * 阀顶高度，单位：m
     */
    @ApiModelProperty(value = "阀顶高度，单位：m")
    private Double fdH;
    /**
     * 管线情况
     */
    @ApiModelProperty(value = "管线情况")
    private String pipeNotes;
    /**
     * 情况说明
     */
    @ApiModelProperty(value = "情况说明")
    private String notes;
    /**
     * 上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割
     */
    @ApiModelProperty(value = "上传附件id，关联表TF_YWPN_FILE _W关键值，多个文件以英文逗号分割")
    private String fileIds;
    /**
     * 创建时间（上报时间）
     */
    @ApiModelProperty(value = "创建时间（上报时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建用户ID（上报用户）
     */
    @ApiModelProperty(value = "创建用户ID（上报用户）")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 数据唯一标识
     */
    @ApiModelProperty(value = "数据唯一标识")
    private Long id;
    /**
     * 子计划ID，关联表TF_YWPN_PLANCHILD_W主键值
     */
    @ApiModelProperty(value = "子计划ID，关联表TF_YWPN_PLANCHILD_W主键值")
    private Long planChildid;
    /**
     * 上报位置经度
     */
    @ApiModelProperty(value = "上报位置经度")
    private Double xAddr;
    /**
     * 上报位置纬度
     */
    @ApiModelProperty(value = "上报位置纬度")
    private Double yAddr;
    /**
     * 定位网络(gps 1,基站2,wifi 3)
     */
    @ApiModelProperty(value = "定位网络(gps 1,基站2,wifi 3)")
    private String network;
    /**
     * 地址描述
     */
    @ApiModelProperty(value = "地址描述")
    private String address;
    /**
     * 设施编号
     */
    @ApiModelProperty(value = "设施编号")
    private String sbCode;
    /**
     * 井位序号
     */
    @ApiModelProperty(value = "井位序号")
    private Long jwNum;
    /**
     * 口径，单位：mm
     */
    @ApiModelProperty(value = "口径，单位：mm")
    private Long pipeBore;
    /**
     * 设施类别，关联字典编码表：（闸阀 、蝶阀、消火栓 、防盗阀、排气阀、泄水阀、止回阀 、其它）
     */
    @ApiModelProperty(value = "设施类别，关联字典编码表：（闸阀 、蝶阀、消火栓 、防盗阀、排气阀、泄水阀、止回阀 、其它）")
    private String sbType;
    /**
     * 开启度，关联字典编码表：（全开、半开、关闭、其它）
     */
    @ApiModelProperty(value = "开启度，关联字典编码表：（全开、半开、关闭、其它）")
    private String kqd;

}
