/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


/**
 * 巡检年度计划记录信息表：TF_YWPN_PLANYEAR_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanyearDto extends Model<PlanyearDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 年份
     */
    @NotNull(message = "年份不能为空")
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String issubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年度计划名称
     */
    @ApiModelProperty(value = "年度计划名称")
    private String planYearName;
    /**
     * 年度计划详情信息列表
     */
    @ApiModelProperty(value = "年度计划详情信息列表")
    List<PlanyeardetailDto> planyeardetailDtoList;

    @ApiModelProperty(value = "计划状态(0待审核,1审批拒绝2审批通过)")
    private String planState;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "年查询,多个以,分隔")
    private String years;
}
