/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 巡检计划点到位信息表：TF_YWPN_POINTTEMP_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PointtempDto extends Model<PointtempDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡检计划ID，关联TF_YWPN_PLAN_W
     */
    @ApiModelProperty(value = "巡检计划ID，关联TF_YWPN_PLAN_W")
    private Long planId;
    /**
     * 是否到位；0：未到位；1：已到位
     */
    @ApiModelProperty(value = "是否到位；0：未到位；1：已到位")
    private String isover;
    /**
     * 巡检点几何坐标信息
     */
    @ApiModelProperty(value = "巡检点几何坐标信息")
    private String geometry;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lat;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lng;
    /**
     * 到位时间
     */
    @ApiModelProperty(value = "到位时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date overDate;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 管线长度
     */
    @ApiModelProperty(value = "管线长度")
    private BigDecimal pipeLength;

    /**
     * 到位用户id
     */
    @ApiModelProperty(value = "到位用户id")
    private Long userId;

    @ApiModelProperty(value = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "终止时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "巡检类型id")
    private Long inspectTypeId;
    @ApiModelProperty(value = "图层英文名称")
    private String layerName;
}
