package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.maintain.vo.UserViewVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
@Data
@ApiModel("车辆信息 ")
public class CarVo  extends Model<CarVo> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id",type= IdType.ASSIGN_ID)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String carNo;
    /**
     * 车辆类型
     */
    @ApiModelProperty(value = "车辆类型")
    private String type;
    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String model;
    /**
     * 管理部门
     */
    @ApiModelProperty(value = "管理部门")
    private Long department;

    @ApiModelProperty(value = "管理部门名称")
    private String departmentName;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private Long chargePerson;
    @ApiModelProperty(value = "负责人名称")
    private String chargePersonName;
    /**
     * 联系方式
     */
    @ApiModelProperty(value = "联系方式")
    private String phone;
    /**
     * 1在用 2维修 3报废
     */
    @ApiModelProperty(value = "1在用 2维修 3报废")
    private String status;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;


    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

    /**
     *  随行人员   通过  caruser 绑定=
     */
    @ApiModelProperty(value = "随行人员")
    private List<UserViewVo>  carUser;

    /**
     * 签到位置经度
     */
    @ApiModelProperty(value = "车辆最新经度")
    private Double lng;
    /**
     * 签到位置纬度
     */
    @ApiModelProperty(value = "车辆最新纬度")
    private Double lat;
    @ApiModelProperty(value = "是否有绑定记录")
    private Boolean isUsed;

}
