/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 巡检线信息表：TF_YWPN_PLANPATH_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanpathVo extends Model<PlanpathVo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡检线名称
     */
    @ApiModelProperty(value = "巡检线名称")
    private String name;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区编码")
    private String regionId;

    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    /**
     * 巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键
     */
    @ApiModelProperty(value = "巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键")
    private String inspectType;
    /**
     * 几何图形JSON字符串
     */
    @ApiModelProperty(value = "几何图形JSON字符串")
    private String geometry;
    /**
     * 长度，单位：M
     */
    @ApiModelProperty(value = "长度，单位：M")
    private Double length;
    /**
     * 巡检线备注
     */
    @ApiModelProperty(value = "巡检线备注")
    private String note;
    /**
     * 是否被占用 0 占用 1未占用
     */
    @ApiModelProperty(value = "是否被占用 0未占用 1占用")
    private String isUse;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
