/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 巡检点信息表：TF_YWPN_PLANPOINT_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanpointVo extends Model<PlanpointVo> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 巡检点名称
     */
    @ApiModelProperty(value = "巡检点名称")
    private String name;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区编码")
    private String regionId;

    /**
     * 巡检点片区名称
     */
    @ApiModelProperty(value = "巡检点片区名称")
    private String regionName;

    /**
     * 巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键
     */
    @ApiModelProperty(value = "巡查类型，关联表TF_YWPN_INSPECTTYPE_W主键")
    private String inspectType;

    /**
     * 巡检点几何坐标
     */
    @ApiModelProperty(value = "巡检点几何坐标")
    private String geometry;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal lat;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal lng;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    @ApiModelProperty(hidden = true)
    private Long deptId;
    @ApiModelProperty(hidden = true)
    private String deptName;
    /**
     * 是否被占用 0 占用 1未占用
     */
    @ApiModelProperty(value = "是否被占用 0 占用 1未占用")
    private String isUse;
}
