package com.tofly.pojo.statement.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 巡检报表查询对象
 *
 * @author BZ-DJJ
 */
@Data
@ApiModel
public class InspectionStatementDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡检组id")
    private Long inspectGroupId;

    @ApiModelProperty(value = "巡检人")
    private Long userId;

    @ApiModelProperty(value = "起始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "所属类别(污水厂/提升泵站) pcid50700")
    private Long category;

    @ApiModelProperty(value = "泵站id")
    private Long belongPumpId;

    @ApiModelProperty(value = "污水厂id")
    private Long belongStationId;

    @ApiModelProperty(value = "设备状态(设备状态  0离线 1正常 2报警)")
    private String status;

    @ApiModelProperty(value = "模糊查询设备信息")
    private String likStr;

}
