package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 维修保养记录台账数据导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceMaintainVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "工单id")
    private Long orderId;
    @ApiModelProperty(value = "工单编码")
    private String orderCode;
    @ApiModelProperty(value = "保养类型Id")
    private String typeId;
    @ApiModelProperty(value = "保养类型名称")
    private String typeName;
    @ApiModelProperty(value = "备注")
    private String notes;

    @ApiModelProperty(value = "派工人id")
    private Long dispatchingId;
    private String dispatchingName;

    @ApiModelProperty(value = "联系电话")
    private String mobile;
    @ApiModelProperty(value = "处理职员")
    private Long disposeUserId;
    private String disposeUserName;
    @ApiModelProperty(value = "派单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchingTime;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date disposeTime;
    @ApiModelProperty(value = "处理地址")
    private String disposeAddress;
    @ApiModelProperty(value = "处理说明")
    private String disposeNote;
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    @ApiModelProperty(value = "设施类型")
    private String facilitiesType;
    @ApiModelProperty(value = "设施编码")
    private String facilitiesCode;
    @ApiModelProperty(value = "设施口径")
    private String facilitiesCaliber;
//    @ApiModelProperty(value = "保养内容情况")
//    private String mfNode;
//    @ApiModelProperty(value = "内容是否达标")
//    private String mfFlag;
//    @ApiModelProperty(value = "设施是否能启闭")
//    private String excelISPJ;
//    @ApiModelProperty(value = "设施维护保养效果")
//    private String pJconten;



}
