/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.trouble;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 隐患巡查计划关联信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_TOUBLEPLAN_W", resultMap = "toubleplanMap")
@ApiModel
public class Toubleplan extends Model<Toubleplan> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "唯一标识编号")
    private Long id;
    /**
     * 隐患ID,关联表TF_YWPN_TROUBLE_W主键
     */
    @ApiModelProperty(value = "隐患ID,关联表TF_YWPN_TROUBLE_W主键")
    private Long troubleId;
    /**
     * 计划ID，关联表TF_YWPN__PLAN_W主键
     */
    @ApiModelProperty(value = "计划ID，关联表TF_YWPN__PLAN_W主键")
    private Long planId;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
