/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.trouble;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 隐患原因分类信息表：TF_YWPN_TOUBLETYPE_D
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_TOUBLETYPE_D", resultMap = "toubletypeDMap")
@ApiModel
public class Toubletype extends Model<Toubletype> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 隐患原因名称（占压、渗水、周边打围开挖、其他管线穿越或并行）
     */
    @ApiModelProperty(value = "隐患原因名称（占压、渗水、周边打围开挖、其他管线穿越或并行）")
    private String name;
    /**
     * 隐患原因备注
     */
    @ApiModelProperty(value = "隐患原因备注")
    private String note;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
