/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.maintain;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;

import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.gpsboot.controller.BaseController;
import com.tofly.pojo.maintain.dto.RepairrebutDto;
import com.tofly.pojo.maintain.vo.RepairrebutVo;

import com.tofly.gpsboot.service.maintain.RepairrebutService;
import com.tofly.pojo.maintain.Repairrebut;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.validation.Valid;
import java.util.Optional;

/**
 * 抢维修工单驳回记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
//@RestController
//@RequestMapping("/repairrebut")
//@Api(tags="抢维修工单驳回记录信息表接口")
public class RepairrebutController extends BaseController<Repairrebut, RepairrebutVo> {

    @Autowired
    public RepairrebutController(RepairrebutService service) {
        init(service);
    }

    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    @ToFlyAppLog(title = "分页查询抢维修工单驳回记录信息")
    public ResultRespone<Page<RepairrebutVo>> getRepairrebutPage(Page page, @ModelAttribute RepairrebutDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), Repairrebut.class));
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    @ToFlyAppLog(title = "新增抢维修工单驳回记录信息")
    public ResultRespone<Object> saveRepairrebut(@Valid @RequestBody RepairrebutDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Repairrebut.class)));

    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    @ToFlyAppLog(title = "修改抢维修工单驳回记录信息")
    public ResultRespone<Object> updateByIdRepairrebut(@Valid @RequestBody RepairrebutDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Repairrebut.class)));

    }

    @GetMapping("/{id}")
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @ToFlyAppLog(title = "通过ID查询抢维修工单驳回记录信息")
    public ResultRespone<Repairrebut> getByIdRepairrebut(@PathVariable Long id) {
        return super.getById(id);
    }



    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    @ToFlyAppLog(title = "通过ID批量删除抢维修工单驳回记录信息")
    public ResultRespone<Object> removeByIdListRepairrebut(String ids) {
        return super.removeByIdList(ids);
    }


}
