/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.maintain;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.gpsboot.controller.BaseController;
import com.tofly.gpsboot.service.maintain.RepairrelayService;
import com.tofly.pojo.maintain.Repairrelay;
import com.tofly.pojo.maintain.dto.RepairrelayDto;
import com.tofly.pojo.maintain.vo.RepairrelayVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.Optional;

/**
 * 抢维修工单转发记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
//@RestController
//@RequestMapping("/repairrelay")
//@Api(tags="抢维修工单转发记录信息表接口")
public class RepairrelayController extends BaseController<Repairrelay, RepairrelayVo> {

    @Autowired
    public RepairrelayController(RepairrelayService service) {
        init(service);
    }

    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    @ToFlyAppLog(title = "分页查询抢维修工单转发记录")
    public ResultRespone<Page<RepairrelayVo>> getRepairrelayPage(Page page, @ModelAttribute RepairrelayDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), Repairrelay.class));
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    @ToFlyAppLog(title = "新增抢维修工单转发记录")
    public ResultRespone<Object> saveRepairrelay(@Valid @RequestBody RepairrelayDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Repairrelay.class)));

    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    @ToFlyAppLog(title = "修改抢维修工单转发记录")
    public ResultRespone<Object> updateByIdRepairrelay(@Valid @RequestBody RepairrelayDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Repairrelay.class)));

    }

    @GetMapping("/{id}")
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @ToFlyAppLog(title = "通过ID查询抢维修工单转发记录")
    public ResultRespone<Repairrelay> getByIdRepairrelay(@PathVariable Long id) {
        return super.getById(id);
    }



    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    @ToFlyAppLog(title = "通过ID批量删除抢维修工单转发记录")
    public ResultRespone<Object> removeByIdListRepairrelay(String ids) {
        return super.removeByIdList(ids);
    }


}
