/*
 * Author: Zev
 * 生成controller
 */
package com.tofly.gpsboot.controller.plan;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.controller.BaseController;
import com.tofly.pojo.plan.dto.DevicemanagerDto;
import com.tofly.pojo.plan.vo.DevicemanagerVo;

import com.tofly.pojo.plan.Devicemanager;

import com.tofly.gpsboot.service.process.DevicemanagerService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.validation.Valid;

import java.util.Optional;

/**
 * 车载设备使用情况管理
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
//@RestController
//@RequestMapping("/devicemanager")
//@Api(tags="车载设备使用情况管理")
public class DevicemanagerController extends BaseController<Devicemanager, DevicemanagerVo> {
    @Autowired
    public DevicemanagerController(DevicemanagerService service) {
        init(service);
    }

    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    public ResultRespone<Page<DevicemanagerVo>> getDevicemanagerPage(Page page, @ModelAttribute DevicemanagerDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), Devicemanager.class));
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    public ResultRespone<Object> saveDevicemanager(@Valid @RequestBody DevicemanagerDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Devicemanager.class)));

    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    public ResultRespone<Object> updateByIdDevicemanager(@Valid @RequestBody DevicemanagerDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Devicemanager.class)));

    }



    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    public ResultRespone<Object> removeByIdListDevicemanager(String ids) {
        return super.removeByIdList(ids);
    }
}
