/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.plan;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.gpsboot.service.paln.TfYwpnWorkingConditionService;
import com.tofly.pojo.plan.TfYwpnWorkingCondition;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
/**
 * 巡检工况信息管理
 *
 * @author JF
 * @date Mon Aug 07 00:00:00 CST 2023
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfywpnworkingcondition")
@Api(tags="巡检工况信息管理接口")
public class TfYwpnWorkingConditionController {

    private final TfYwpnWorkingConditionService tfYwpnWorkingConditionService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param tfYwpnWorkingCondition 巡检工况信息管理
    * @return
    */
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTfYwpnWorkingConditionPage(Page page, @ModelAttribute TfYwpnWorkingCondition tfYwpnWorkingCondition) {
      return ResultRespone.success(tfYwpnWorkingConditionService.page(page, Wrappers.query(tfYwpnWorkingCondition)));
    }


    /**
     * 通过id查询巡检工况信息管理
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(tfYwpnWorkingConditionService.getById(id));
    }

    /**
     * 新增巡检工况信息管理
     * @param tfYwpnWorkingCondition 巡检工况信息管理
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增巡检工况信息管理" )
    @ApiOperation(value = "新增巡检工况信息管理")
    @PostMapping
    public ResultRespone save(@RequestBody TfYwpnWorkingCondition tfYwpnWorkingCondition) {
      return ResultRespone.success(tfYwpnWorkingConditionService.save(tfYwpnWorkingCondition));
    }

    /**
     * 修改巡检工况信息管理
     * @param tfYwpnWorkingCondition 巡检工况信息管理
     * @return ResultRespone
     */
    @ToFlyAppLog(title="修改巡检工况信息管理" )
    @ApiOperation(value = "修改巡检工况信息管理")
    @PutMapping
    public ResultRespone updateById(@RequestBody TfYwpnWorkingCondition tfYwpnWorkingCondition) {
      return ResultRespone.success(tfYwpnWorkingConditionService.updateById(tfYwpnWorkingCondition));
    }

    /**
     * 通过id删除巡检工况信息管理
     * @param id id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id删除巡检工况信息管理" )
    @ApiOperation(value = "通过ID删除巡检工况信息管理")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(tfYwpnWorkingConditionService.removeById(id));
    }

    /**
     * 通过id批量删除巡检工况信息管理
     * @param ids id
     * @return ResultRespone
     */
    @ToFlyAppLog(title="通过id批量删除巡检工况信息管理" )
    @ApiOperation(value = "通过ID批量删除巡检工况信息管理")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(tfYwpnWorkingConditionService.removeByIds(Arrays.asList(ids.split(","))));
    }
}
