package com.tofly.gpsboot.custom.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.custom.service.CustomCarFilemmService;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@AllArgsConstructor
@RequestMapping("/carfilemm")
public class CustomCarFilemmController {

    private final CustomCarFilemmService customCarFilemmService;

    @ApiOperation(tags="车辆档案信息管理接口",value = "根据车牌号模糊分页查询")
    @GetMapping("/numberpage")
    public ResultRespone pageByCarNumber(Page page , String number){
        return ResultRespone.success(customCarFilemmService.pageByCarNumber(page, number));
    }
}
