/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.plan;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.PlanFactory;
import com.tofly.pojo.plan.dto.PlanDeviceDTO;
import com.tofly.pojo.statement.dto.InspectionStatementDto;
import com.tofly.pojo.statement.vo.MaintenancePlanVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PlanFactoryMapper extends BaseMapper<PlanFactory> {
    /**
     * 查询设备相关列表
     *
     * @param page
     * @param dto
     * @return
     */
    Page<PlanFactory> getPlanDeviceList(Page page, @Param("dto") PlanDeviceDTO dto);
    /**
     * 查询厂站相关列表
     *
     * @param page
     * @param dto
     * @return
     */
    Page<PlanFactory> getPlanSewageList(Page page, @Param("dto") PlanDeviceDTO dto);

    /**
     * 查询设备相关列表
     *
     * @param page
     * @param dto
     * @return
     */
    Page<PlanFactory> getDeviceList(Page page, @Param("dto") PlanDeviceDTO dto);

    /**
     * 查询厂站相关列表
     *
     * @param page
     * @param dto
     * @return
     */
    Page<PlanFactory> getSewageList(Page page, @Param("dto") PlanDeviceDTO dto);

    /**
     * 获取设备维护巡检统计信息
     * @param page
     * @param dto
     * @return
     */
    Page<MaintenancePlanVo> getMaintenanceStatisticsPlan(Page page, @Param("dto") InspectionStatementDto dto);

    List<PlanFactory> getDeviceInfoBy(@Param("dto") PlanDeviceDTO dto);

    String getSewageName(Long id);

}
