/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.config;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.dto.InspecttypeDto;
import com.tofly.pojo.plan.vo.InspecttypeVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.plan.Inspecttype;
import com.tofly.gpsboot.service.IBaseService;

import java.util.List;


/**
 * 巡检类型配置信息表：TF_YWPN_INSPECTTYPE_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface InspecttypeService extends IBaseService<Inspecttype, InspecttypeVo> {

    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<InspecttypeVo> getInspectTypePage(Page page, InspecttypeDto parDto);
    /**
     * 根据巡查类型id列表获取巡查类型名称以，分隔
     * @param
     * @return
     */
    String getInspectTypeName(List<Long> ids);
    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteInspectTypeInfo(String idLists) throws BusinessException;
}
