package com.tofly.xrtygis.config;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;

@FeignClient(name = "tofly-xrtyWaterMaking", contextId = "WaterMakingFeign")
public interface WaterMakingFeign {

    @PostMapping("/userZhsw/insert")
    boolean insertIndex(@RequestParam("time") Date time, @RequestParam("pac") Double pac, @RequestParam("pam") Double pam, @RequestParam("cn") Double cn, @RequestParam("qsl") Double qsl);

    @DeleteMapping("/userZhsw/delete")
    boolean deleteIndex(@RequestParam("time") Date time);

    @PutMapping("/userZhsw/update")
    boolean updateIndex(@RequestParam("time") Date time, @RequestParam("pac") Double pac, @RequestParam("pam") Double pam, @RequestParam("cn") Double cn, @RequestParam("qsl") Double qsl);
}
