/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtygis.service.CostcalcconfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 计算配置信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/costcalcconfig")
@Api(tags="计算配置信息表接口")
public class CostcalcconfigController {

    private final CostcalcconfigService costcalcconfigService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param costcalcconfig 计算配置信息表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getCostcalcconfigPage(Page page, @ModelAttribute Costcalcconfig costcalcconfig) {
//      return ResultRespone.success(costcalcconfigService.page(page, Wrappers.query(costcalcconfig)));
//    }
//
//
    /**
     * 通过id查询计算配置信息表
     * @param id id
     * @return ResultRespone
     */
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(costcalcconfigService.getById(id));
    }
//
//    /**
//     * 新增计算配置信息表
//     * @param costcalcconfig 计算配置信息表
//     * @return ResultRespone
//     */
//    //(title="新增计算配置信息表" )
//    @ApiOperation(value = "新增计算配置信息表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Costcalcconfig costcalcconfig) {
//      return ResultRespone.success(costcalcconfigService.save(costcalcconfig));
//    }
//
//    /**
//     * 修改计算配置信息表
//     * @param costcalcconfig 计算配置信息表
//     * @return ResultRespone
//     */
//    //(title="修改计算配置信息表" )
//    @ApiOperation(value = "修改计算配置信息表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Costcalcconfig costcalcconfig) {
//      return ResultRespone.success(costcalcconfigService.updateById(costcalcconfig));
//    }
//
//    /**
//     * 通过id删除计算配置信息表
//     * @param id id
//     * @return ResultRespone
//     */
//    //(title="通过id删除计算配置信息表" )
//    @ApiOperation(value = "通过ID删除计算配置信息表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(costcalcconfigService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除计算配置信息表
//     * @param ids id
//     * @return ResultRespone
//     */
//    //(title="通过id批量删除计算配置信息表" )
//    @ApiOperation(value = "通过ID批量删除计算配置信息表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(costcalcconfigService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
