/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.xrtygis.controller;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.oauth.exception.ToflyDeniedException;
import com.tofly.xrtygis.entity.Costrlwater;
import com.tofly.xrtygis.service.CostrlwaterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * 实际制水指标填报信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@RestController
@AllArgsConstructor
@RequestMapping("/costrlwater")
@Api(tags = "实际制水指标填报信息表接口")
public class CostrlwaterController {

    private final CostrlwaterService costrlwaterService;


    @GetMapping("/getOne")
    @ApiOperation("日期查询单条记录")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "date", value = "日期 yyyy-MM-dd", required = true, dataType = "string"),
            @ApiImplicitParam(name = "mark", value = "0,非财务填报，1,财务填报", required = true, dataType = "string")
    })

    public ResultRespone getOne(String date, String mark) {
        if (StringUtils.isEmpty(date)) {
            throw new ToflyDeniedException("传入日期不能为空");
        }
        Date parse = DateUtil.parse(date, "yyyy-MM-dd");
        return ResultRespone.success(costrlwaterService.getOne(Wrappers.<Costrlwater>lambdaQuery().eq(Costrlwater::getUpDate, parse).eq(Costrlwater::getMark, mark)));
    }
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param costrlwater 实际制水指标填报信息表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getCostrlwaterPage(Page page, @ModelAttribute Costrlwater costrlwater) {
//      return ResultRespone.success(costrlwaterService.page(page, Wrappers.query(costrlwater)));
//    }
//
//
//    /**
//     * 通过id查询实际制水指标填报信息表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(costrlwaterService.getById(id));
//    }
//
//    /**
//     * 新增实际制水指标填报信息表
//     * @param costrlwater 实际制水指标填报信息表
//     * @return ResultRespone
//     */
//    //(title="新增实际制水指标填报信息表" )
//    @ApiOperation(value = "新增实际制水指标填报信息表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Costrlwater costrlwater) {
//      return ResultRespone.success(costrlwaterService.save(costrlwater));
//    }
//
//    /**
//     * 修改实际制水指标填报信息表
//     * @param costrlwater 实际制水指标填报信息表
//     * @return ResultRespone
//     */
//    //(title="修改实际制水指标填报信息表" )
//    @ApiOperation(value = "修改实际制水指标填报信息表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Costrlwater costrlwater) {
//      return ResultRespone.success(costrlwaterService.updateById(costrlwater));
//    }
//
//    /**
//     * 通过id删除实际制水指标填报信息表
//     * @param id id
//     * @return ResultRespone
//     */
//    //(title="通过id删除实际制水指标填报信息表" )
//    @ApiOperation(value = "通过ID删除实际制水指标填报信息表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(costrlwaterService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除实际制水指标填报信息表
//     * @param ids id
//     * @return ResultRespone
//     */
//    //(title="通过id批量删除实际制水指标填报信息表" )
//    @ApiOperation(value = "通过ID批量删除实际制水指标填报信息表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(costrlwaterService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
