package com.tofly.xrtygis.custom.entity.dataquery;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/5/11 16:39
 */
@Data
public class QueryPrice {
    /**
     * 主键ID
     */

    private Long id;
    /**
     * 年份
     */
    private String year;
    /**
     * PAC（元/kg）
     */
    private Double pacdj;
    /**
     * YLDJ	液氯（元/kg）
     */
    private Double yldj;
    /**
     * 制水PAM（元/kg）
     */
    private Double pamZsdj;
    /**
     * 污泥PAM（元/kg）
     */
    private Double pamWndj;
    /**
     * 粉碳（元/kg）
     */
    private Double ftdj;
    /**
     * 次钠（元/kg）
     */
    private Double cndj;
    /**
     * 高锰酸钾复合盐（元/kg）
     */
    private Double gmsjfhydj;
    /**
     * 食盐（元/kg）
     */
    private Double sydj;
    /**
     * 动力电单价（一厂）（元/kg）
     */
    private Double dlddjOne;
    /**
     * 动力电单价（二厂）（元/kg）
     */
    private Double dlddjTwo;
    /**
     * 污泥转运单价（元/m³）
     */

    private Double wnzydj;
    /**
     * 原水费单价（元/m³）
     */

    private Double ysfdj;
    /**
     * 水资源税单价（元/m³）
     */

    private Double szysdj;
    /**
     * 冰醋酸（元/kg）
     */

    private Double bcsdj;
    /**
     * 是否为最新单价，1是，0否
     */

    private String snew;
    /**
     * 创建时间
     */

    private String createTime;
    /**
     * 创建人
     */

    private Long createUser;

    private String createUserName;
}
