package com.tofly.xrtygis.custom.entity.dataquery;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/4/23 11:44
 */
@Data
public class WaterPlanSearch {
    @ApiModelProperty(value = "起始年度 如：2019 , 2021 , 2022")
    private String startYear;

    @ApiModelProperty(value = "结束年度 如：2021")
    private String endYear;

    @ApiModelProperty(value = "年份：按年份查询")
    private String year;

    @ApiModelProperty(value = "起始月度 如 2021-01")
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM")
    private Date startMonth;

    @ApiModelProperty(value = "结束月度")
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM")
    private Date endMonth;

    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;

    @ApiModelProperty(value ="查询类别")
    private String type;

    @ApiModelProperty(value ="查询类别ID")
    private Long typeId;

    @ApiModelProperty(value = "月度中的月；如：01，02")
    private String month;
    @ApiModelProperty(value = "月度查询中的年；如：2019,2020,2021")
    private String yearDay;



}
