package com.tofly.xrtygis.custom.entity.enums;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

/**
 * @author FlashWJL
 * @date 2021/5/31 16:08
 */
@Getter
@AllArgsConstructor
public enum GisMessage {

    MONTH_PRICE("实际单价调整", "月初实际单价调整", "111116", "TF_YWPN_COSTBGPRICE_W", "608"),
    DAY_POD_WATER("每日填报实际用水量","实际用水量","111117","TF_YWPN_COSTRLWATER_W","607"),
    HAND_OVER("交接班申请","交接班申请记录","111115","TF_YWPN_RXJBGL_W",""),
    EMERGENCY("应急提醒","应急新增坐席申请","111118","TF_YWPN_RXYJFW_W",""),
    ;

    /**
     * 消息主题
     */
    private String topic;
    /**
     * 消息详情
     */
    private String message;
    /**
     * 消息类型：0普通消息 1抢维修 2巡检 3工地 4隐患 5管网工单  6业务工单 7基础数据处理 0001上报 0002审核
     */
    private String type;
    /**
     * 消息链接表名
     */
    private String tableName;
    /**
     * 菜单ID
     */
    private String menuId;


}
