package com.tofly.xrtygis.custom.mapper;

import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface UnitMapper {
    /**
     * 查询财务填报数据
     *
     * @param month 月份
     * @return waterinfo
     */
    Map<String, Object> selectFinance(@Param("month") String month);

    /**
     * 查询实际填报数据
     *
     * @return waterInfo
     */
    Map<String, Object> selectReal(@Param("start") String start, @Param("end") String end);

    /**
     * 查询当月详细值
     *
     * @return list
     */

    List<Map<String, Object>> viewReals(@Param("start") String start, @Param("end") String end);

    /**
     * 查询计划值
     *
     * @param month 月份
     * @return waterInfo
     */
    Map<String, Object> selectPlan(@Param("month") String month);

}
