package com.tofly.xrtygis.custom.service;

import com.tofly.xrtygis.entity.Costrlfixed;
import com.tofly.xrtygis.entity.vo.FinanceIsAllowedVo;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface CustomFixedService {
    /**
     * 填报制水单变
     *
     * @param fixed 实际制水单变填报信息
     * @return true of false
     */
    boolean insertFixed(Costrlfixed fixed);

    /**
     * 删除制水单变
     *
     * @param ids id
     * @return true of false
     */
    boolean deleteFixed(String ids);

    /**
     * 修改制水单变
     *
     * @param fixed 实际制水单变填报信息
     * @return true of false
     */
    boolean updateFixed(Costrlfixed fixed);

    /**
     * 查看制水单变
     * @param month 月份
     * @return  map
     */
    Map<String, Object> selectFixed(String month);

    /**
     * 获取日填报的月用水总量
     * @param month 月份
     * @return list
     */
    List<Map<String,Double>> sumWater(String month);

    /**
     * 财务填报
     */
    boolean financeIsAllowed(FinanceIsAllowedVo financeIsAllowedVo);

    List<Map> getFillInTheMessage(String month);

}
