/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 预算指标记录信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTBGINDEX_W", resultMap = "costbgindexMap")
@KeySequence("TF_YWPN_COSTBGINDEX_W")
@ApiModel
public class Costbgindex extends Model<Costbgindex> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 年份记录表ID，关联表TF_YWPN_COSTBGINDEXYEAR_W关键值
     */
    @ApiModelProperty(value = "年份记录表ID，关联表TF_YWPN_COSTBGINDEXYEAR_W关键值")
    private Long yearId;
    /**
     * 年月，如2021-01
     */
    @ApiModelProperty(value = "年月，如2021-01")
    private String month;
    /**
     * 一厂PAC（kg）
     */
    @ApiModelProperty(value = "一厂PAC（kg）")
    private Double pacOne;
    /**
     * 二厂PAC（kg）
     */
    @ApiModelProperty(value = "二厂PAC（kg）")
    private Double pacTwo;
    /**
     * 一厂食盐（kg）
     */
    @ApiModelProperty(value = "一厂食盐（kg）")
    private Double syOne;
    /**
     * 二厂液氯（kg）
     */
    @ApiModelProperty(value = "二厂液氯（kg）")
    private Double ylTwo;
    /**
     * 制水PAM（kg）
     */
    @ApiModelProperty(value = "制水PAM（kg）")
    private Double pam;
    /**
     * 粉碳（kg）
     */
    @ApiModelProperty(value = "粉碳（kg）")
    private Double ft;
    /**
     * 次钠（kg）
     */
    @ApiModelProperty(value = "次钠（kg）")
    private Double cn;
    /**
     * 高锰酸钾复合盐（kg）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（kg）")
    private Double gmsjfhy;
    /**
     * 污泥PAM（kg）
     */
    @ApiModelProperty(value = "污泥PAM（kg）")
    private Double pamWn;
    /**
     * 冰醋酸（kg）
     */
    @ApiModelProperty(value = "冰醋酸（kg）")
    private Double bcs;
    /**
     * 污泥转量（m³）
     */
    @ApiModelProperty(value = "污泥转量（m³）")
    private Double wnzl;
    /**
     * 一厂动力电量（kwh）
     */
    @ApiModelProperty(value = "一厂动力电量（kwh）")
    private Double dldlOne;
    /**
     * 二厂动力电量（kwh）
     */
    @ApiModelProperty(value = "二厂动力电量（kwh）")
    private Double dldlTwo;
    /**
     * 总动力电量（kwh）
     */
    @ApiModelProperty(value = "总动力电量（kwh）")
    private Double dldlTotal;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    @ApiModelProperty("其他")
    private Double other;

    private Double jbdlOne;

    private Double jbdlTwo;

    private Double jbdlTotal;

    private Double cnTwo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Double otherOne;
    private Double otherTwo;

}
