/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 预算指标单耗填报信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTBGUNIT_W", resultMap = "costbgunitMap")
@KeySequence("TF_YWPN_COSTBGUNIT_W")
@ApiModel
public class Costbgunit extends Model<Costbgunit> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 年份记录表ID，关联表TF_YWPN_COSTBGUNITYEAR_W关键值
     */
    @ApiModelProperty(value = "年份记录表ID，关联表TF_YWPN_COSTBGUNITYEAR_W关键值")
    private Long yearId;
    /**
     * 年月，如2021-01
     */
    @ApiModelProperty(value = "年月，如2021-01")
    private String month;
    /**
     * 一厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂PAC单耗（kg/km³）")
    private Double pacdhOne;
    /**
     * 二厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂PAC单耗（kg/km³）")
    private Double pacdhTwo;
    /**
     * 一厂食盐单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂食盐单耗（kg/km³）")
    private Double sydhOne;
    /**
     * 二厂液氯单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂液氯单耗（kg/km³）")
    private Double yldhTwo;
    /**
     * 一厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "一厂制水单位电耗（kwh/km³）")
    private Double dhOne;
    /**
     * 二厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "二厂制水单位电耗（kwh/km³）")
    private Double dhTwo;
    /**
     * 总制水单位电耗(kwh/km³)
     */
    @ApiModelProperty(value = "总制水单位电耗(kwh/km³)")
    private Double dhTotal;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    private Double cndhTwo;

    private Double otherdh;

    private Double otherOneDh;
    private Double otherTwoDh;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
