/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 加压站指标填报信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTPRESTATION_W", resultMap = "costprestationMap")
@KeySequence("TF_YWPN_COSTPRESTATION_W")
@ApiModel
public class Costprestation extends Model<Costprestation> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 填报日期
     */
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date upDate;
    /**
     * 加压站ID，关联表TF_YWPN_SCADASTATION_B关键值
     */
    @ApiModelProperty(value = "加压站ID，关联表TF_YWPN_SCADASTATION_B关键值")
    private Long preType;
    /**
     * 加压站名称
     */
   @TableField(exist = false)
    private String preName;
    /**
     * 加压站编号，关联表TF_YWPN_SCADASTATION_B（保留字段）
     */
    @ApiModelProperty(value = "加压站编号，关联表TF_YWPN_SCADASTATION_B（保留字段）")
    private String preStcd;
    /**
     * 供水量（m³）
     */
    @ApiModelProperty(value = "供水量（m³）")
    private Double gsl;
    /**
     * 电量（kwh）
     */
    @ApiModelProperty(value = "电量（kwh）")
    private Double dl;
    /**
     * 单位耗电（kwh/Km³）
     */
    @ApiModelProperty(value = "单位耗电（kwh/Km³）")
    private Double dwhd;
    /**
     * 发电时长（h）
     */
    @ApiModelProperty(value = "发电时长（h）")
    private Double fdsc;
    /**
     * 发电用油量（L）
     */
    @ApiModelProperty(value = "发电用油量（L）")
    private Double fdyyl;
    /**
     * 供水成本（元/km³）
     */
    @ApiModelProperty(value = "供水成本（元/km³）")
    private Double gscb;
    /**
     * 最大日供水量（m³）
     */
    @ApiModelProperty(value = "最大日供水量（m³）")
    private Double gslMax;
    /**
     * 最小日供水量（m³）
     */
    @ApiModelProperty(value = "最小日供水量（m³）")
    private Double gslMin;
    /**
     * 平均日供水量（m³）
     */
    @ApiModelProperty(value = "平均日供水量（m³）")
    private Double gslAvg;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    private String createUserName;

    @ApiModelProperty(value = "0：非财务填报，1：财务填报")
    private String mark;

    @ApiModelProperty(value = "实际电量")
    private Double sjdl;
    @ApiModelProperty(value = "实际金额")
    private Double sjje;
    @ApiModelProperty(value = "月供水成本")
    private Double ygcb;
    @ApiModelProperty(value = "月实际单位电耗")
    private Double sjdh;

}
