/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 实际指标单价信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTRLPRICE_W", resultMap = "costrlpriceMap")
@KeySequence("TF_YWPN_COSTRLPRICE_W")
@ApiModel
public class Costrlprice extends Model<Costrlprice> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    @NotNull(message = "年份不能为空")
    private String year;
    /**
     * PAC（元/吨）
     */
    @ApiModelProperty(value = "PAC（元/吨）")
    @NotNull(message = "pac单价不允许为空")
    private Double pacdj;
    /**
     * 液氯（元/吨）
     */
    @ApiModelProperty(value = "液氯（元/吨）")
    @NotNull(message = "液氯单价不允许为空")
    private Double yldj;
    /**
     * 制水PAM（元/kg）
     */
    @ApiModelProperty(value = "制水PAM（元/kg）")
    @NotNull(message = "制水pam单价不允许为空")
    private Double pamZsdj;
    /**
     * 污泥PAM（元/kg）
     */
    @ApiModelProperty(value = "污泥PAM（元/kg）")
    @NotNull(message = "污泥pam单价不允许为空")
    private Double pamWndj;
    /**
     * 粉碳（元/吨）
     */
    @ApiModelProperty(value = "粉碳（元/吨）")
    @NotNull(message = "粉碳单价不允许为空")
    private Double ftdj;
    /**
     * 次钠（元/吨）
     */
    @ApiModelProperty(value = "次钠（元/吨）")
    @NotNull(message = "次钠单价不允许为空")
    private Double cndj;
    /**
     * 高锰酸钾复合盐（元/吨）
     */
    @ApiModelProperty(value = "高锰酸钾复合盐（元/吨）")
    @NotNull(message = "高锰酸钾复合盐单价不允许为空")
    private Double gmsjfhydj;
    /**
     * 食盐（元/吨）
     */
    @ApiModelProperty(value = "食盐（元/吨）")
    @NotNull(message = "食盐单价不允许为空")
    private Double sydj;
    /**
     * 动力电单价（一厂）（元/kwh）
     */
    @ApiModelProperty(value = "动力电单价（一厂）（元/kwh）")
    @NotNull(message = "动力电单价不允许为空")
    private Double dlddjOne;
    /**
     * 动力电单价（二厂）（元/kwh）
     */
    @ApiModelProperty(value = "动力电单价（二厂）（元/kwh）")
    @NotNull(message = "动力电单价不允许为空")
    private Double dlddjTwo;
    /**
     * 污泥转运单价（元/吨）
     */
    @ApiModelProperty(value = "污泥转运单价（元/吨）")
    @NotNull(message = "污泥转运单价不允许为空")
    private Double wnzydj;
    /**
     * 原水费单价（元/m³）
     */
    @ApiModelProperty(value = "原水费单价（元/m³）")
    @NotNull(message = "原水费单价不允许为空")
    private Double ysfdj;
    /**
     * 水资源税单价（元/m³）
     */
    @ApiModelProperty(value = "水资源税单价（元/m³）")
    @NotNull(message = "水资源税单价不允许为空")
    private Double szysdj;
    /**
     * 冰醋酸（元/kg）
     */
    @ApiModelProperty(value = "冰醋酸（元/kg）")
    @NotNull(message = "冰醋酸单价不允许为空")
    private Double bcsdj;
    /**
     * 是否为最新单价，1是，0否
     */
    @ApiModelProperty(value = "是否为最新单价，1是，0否")
    @NotNull(message = "")
    private String isnew;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

    @ApiModelProperty("转供水单价-青白江")
    @NotNull(message = "转供水单价不允许为空")
    private Double qbjzgdj;

    @NotNull(message = "碱铝固体单价不允许为空")
    @ApiModelProperty(value = "碱铝固体单价")
    private Double pac2dj;

    @NotNull(message = "其他单价不允许为空")
    @ApiModelProperty("其他单价")
    private Double otherdj;
    @ApiModelProperty("基本电量单价一厂")
    private Double jbdldjOne;
    @ApiModelProperty("基本电量单价二厂")
    private Double jbdldjTwo;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("填报时间")
    private Date upDate;
    private Double otherOneDj;
    private Double otherTwoDj;

}
