/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 实际指标单耗填报信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTRLUNIT_W", resultMap = "costrlunitMap")
@KeySequence("TF_YWPN_COSTRLUNIT_W")
@ApiModel
public class Costrlunit extends Model<Costrlunit> {
    private static final long serialVersionUID = 1L;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 填报日期
     */
    @ApiModelProperty(value = "填报日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date upDate;
    /**
     * 一厂PAC单耗（kg/km³））
     */
    @ApiModelProperty(value = "一厂PAC单耗（kg/km³））")
    private Double pacdhOne;
    /**
     * 二厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂PAC单耗（kg/km³）")
    private Double pacdhTwo;
    /**
     * 一厂食盐单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂食盐单耗（kg/km³）")
    private Double sydhOne;
    /**
     * 二厂液氯单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂液氯单耗（kg/km³）")
    private Double yldhTwo;
    /**
     * 一厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "一厂制水单位电耗（kwh/km³）")
    private Double dhOne;
    /**
     * 二厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "二厂制水单位电耗（kwh/km³）")
    private Double dhTwo;
    /**
     * 总制水单位电耗(kwh/km³)
     */
    @ApiModelProperty(value = "总制水单位电耗(kwh/km³)")
    private Double dhTotal;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "次钠单耗")
    private Double cndh;
    @ApiModelProperty(value = "复合盐单耗")
    private Double gmsjfhydh;
    @ApiModelProperty(value = "制水pam单耗")
    private Double pamdh;
    @ApiModelProperty(value = "污泥pam单耗")
    private Double pamWydh;
    @ApiModelProperty(value = "污泥转运单耗")
    private Double wnzldh;
    @ApiModelProperty(value = "粉碳单耗")
    private Double ftdh;
    @ApiModelProperty(value = "冰醋酸")
    private Double bcsdh;
    @ApiModelProperty("其他单耗")
    private Double otherdh;
    @ApiModelProperty("填报标识")
    private String mark;

    @ApiModelProperty("二厂次钠单耗")
    private Double cndhTwo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("修改时间")
    private Date updateTime;

    private Double otherOneDh;
    private Double otherTwoDh;

}
