/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 报警提示信息表
 *
 * @author admin
 * @date Wed Jun 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_COSTWARN_W", resultMap = "costwarnMap")
@KeySequence("TF_YWPN_COSTWARN_W")
@ApiModel
public class Costwarn extends Model<Costwarn> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 提示内容
     */
    @ApiModelProperty(value = "提示内容")
    private String notes;
    /**
     * 状态，1启用、0关闭
     */
    @ApiModelProperty(value = "状态，1启用、0关闭")
    private String state;
    /**
     * 关闭报警时间
     */
    @ApiModelProperty(value = "关闭报警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date closeTime;
    /**
     * 创建时间（开启报警时间）
     */
    @ApiModelProperty(value = "创建时间（开启报警时间）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人（开启报警用户）
     */
    @ApiModelProperty(value = "创建人（开启报警用户）")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;

}
