/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * DMA统计参数记录表
 *
 * @author admin
 * @date Wed May 18 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DMA_STATISTICAL", resultMap = "dmaStatisticalMap")
@KeySequence("TF_DMA_STATISTICAL_SEQ")
@ApiModel
public class DmaStatistical extends Model<DmaStatistical> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * DMA分区id
     */
    @ApiModelProperty(value = "DMA分区id")
    private Long dmaId;
    /**
     * 统计时间(日)
     */
    @ApiModelProperty(value = "统计时间(日)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date statisticalDate;
    /**
     * 计费用水量
     */
    @ApiModelProperty(value = "计费用水量")
    private BigDecimal billingWaterVolume;
    /**
     * 免费用水量
     */
    @ApiModelProperty(value = "免费用水量")
    private BigDecimal freeWaterVolume;
    /**
     * 漏失水量
     */
    @ApiModelProperty(value = "漏失水量")
    private BigDecimal outflowWaterVolume;
    /**
     * 计量损失水量
     */
    @ApiModelProperty(value = "计量损失水量")
    private BigDecimal lossWaterVolume;
    /**
     * 其他损失水量
     */
    @ApiModelProperty(value = "其他损失水量")
    private BigDecimal otherWaterVolume;
    /**
     * 远传表供水量
     */
    @ApiModelProperty(value = "远传表供水量")
    private BigDecimal remoteWater;
    /**
     * 漏损率
     */
    @ApiModelProperty(value = "漏损率")
    private BigDecimal leakageRate;
    /**
     * 产销差
     */
    @ApiModelProperty(value = "产销差")
    private BigDecimal poorProductionRate;
    /**
     * 供水量
     */
    @ApiModelProperty(value = "供水量(scada供水量+远传表供水量)")
    private BigDecimal waterSupply;
    /**
     * 用户用水量
     */
    @ApiModelProperty(value = "用户用水量")
    private BigDecimal userWater;
    /**
     * 处漏数量
     */
    @ApiModelProperty(value = "处漏数量")
    private BigDecimal leakageOverVal;
    /**
     * 漏点数量
     */
    @ApiModelProperty(value = "漏点数量")
    private BigDecimal leakageVal;

    @ApiModelProperty(value = "DMA分区的 DN75（含）以上管道长度 总长 km")
    private BigDecimal dnLengthVal;

    @ApiModelProperty(value = "DMA分区的 年平均压力")
    private BigDecimal yearPressureVal;

    @ApiModelProperty(value = "计划巡检里程（m）(不区分DMA分区,这里是总的)")
    private BigDecimal totalPlanPipeLength;

    @ApiModelProperty(value = "有效里程（m）(不区分DMA分区,这里是总的)")
    private BigDecimal planTotalDistanceLength;

    @ApiModelProperty(value = "最小设备瞬时流量")
    private BigDecimal minWaterSupply;

    @ApiModelProperty(value = "供水量占比")
    private BigDecimal waterSupplyRate;

    @ApiModelProperty(value = "分区基本信息")
    @TableField(exist = false)
    private Dmaregion dmaregion;

}
