/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 分区计量对应的基础设施的状况因子表
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAICF_W", resultMap = "dmaicfMap")
@KeySequence("TF_YWPN_DMAICF_W")
@ApiModel
public class Dmaicf extends Model<Dmaicf> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 材质（与表TF_YWPN_DMAPIETYPE_W.MID关联）
     */
    @ApiModelProperty(value = "材质（与表TF_YWPN_DMAPIETYPE_W.MID关联）")
    private Long mid;
    /**
     * 起始值
     */
    @ApiModelProperty(value = "起始值")
    private Integer bval;
    /**
     * 起始符号
     */
    @ApiModelProperty(value = "起始符号")
    private String bsign;
    /**
     * 结束值
     */
    @ApiModelProperty(value = "结束值")
    private Integer eval;
    /**
     * 结束符号
     */
    @ApiModelProperty(value = "结束符号")
    private String esign;
    /**
     * ICF值
     */
    @ApiModelProperty(value = "ICF值")
    private String icf;
    /**
     * 备注信息
     */
    @ApiModelProperty(value = "备注信息")
    private String notes;
    /**
     * 排序编号
     */
    @ApiModelProperty(value = "排序编号")
    private Long sort;

}
