/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * DMA分区信息表：TF_YWPN_DMAREGION_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAREGION_W", resultMap = "dmaregionMap")
@KeySequence("TF_YWPN_DMAREGION_W")
@ApiModel
public class Dmaregion extends Model<Dmaregion> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 分区编码，按DMA+级别数（一级01，二级02，三级03，...）+4位构建顺序号
     */
    @ApiModelProperty(value = "分区编码，按DMA+级别数（一级01，二级02，三级03，...）+4位构建顺序号")
    private String dmaCode;
    /**
     * 分区图形JSON字符串
     */
    @ApiModelProperty(value = "分区图形JSON字符串")
    private String geometry;
    /**
     * 分区名称
     */
    @ApiModelProperty(value = "分区名称")
    private String dmaName;
    /**
     * 分区面积（㎡）
     */
    @ApiModelProperty(value = "分区面积（㎡）")
    private Double areas;
    /**
     * 分区总管长（m）
     */
    @ApiModelProperty(value = "分区总管长（m）")
    private Double pipeLen;
    /**
     * 参考基准值（㎡/h）
     */
    @ApiModelProperty(value = "最小夜间流量参考基准值（m3/h)")
    private Double refStandard;
    /**
     * 最小分区总分差范围（%）
     */
    @ApiModelProperty(value = "最小分区总分差范围（%）")
    private Float minDiff;
    /**
     * 最大分区总分差范围（%）
     */
    @ApiModelProperty(value = "最大分区总分差范围（%）")
    private Float maxDiff;
    /**
     * 父级分区ID
     */
    @ApiModelProperty(value = "父级分区ID")
    private Long pid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String pName;

    /**
     * 是否全为远传表，0：否；1：是
     */
    @ApiModelProperty(value = "是否全为远传表，0：否；1：是")
    private String isyc;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String isYcName;
    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String notes;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "级别；如：1,2,3分别对应1级别，2级别，3级别")
    private Integer partitionLevel;

    private String dmaGid;

    @ApiModelProperty(value = "连接点数")
    private Long pointNumber;

    @ApiModelProperty(value = "入户长度")
    private Double userPipeLen;

    @ApiModelProperty(value = "平均压力")
    private Double avgPressure;

    @ApiModelProperty(value = "其他用水")
    private Double otherWater;
}
