/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * DMA分区管网情况信息表：TF_YWPN_DMAREGIONUPIPE_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAREGIONUPIPE_W", resultMap = "dmaregionupipeMap")
@KeySequence("TF_YWPN_DMAREGIONUPIPE_W")
@ApiModel
public class Dmaregionupipe extends Model<Dmaregionupipe> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 分区ID
     */
    @ApiModelProperty(value = "分区ID")
    private Long dmaId;
    /**
     * 材质（与表TF_YWPN_DMAPIETYPE_W.MID关联）
     */
    @ApiModelProperty(value = "材质（与表TF_YWPN_DMAPIETYPE_W.MID关联）")
    private Long material;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String materialName;
    @ApiModelProperty(value = "材质细分）")
    private String materialType;
    /**
     * 管径（mm）
     */
    @ApiModelProperty(value = "管径（mm）")
    private Double villageType;
    /**
     * 安装年限
     */
    @ApiModelProperty(value = "安装年限")
    private Integer fixYear;
    /**
     * 区域内管长（m），为分区计量表到分户水表区域内管网总长
     */
    @ApiModelProperty(value = "区域内管长（m），为分区计量表到分户水表区域内管网总长")
    private Double pipeLen;
    /**
     * 入户管长（m），为各分户表到用户用水处管道累计总长度
     */
    @ApiModelProperty(value = "入户管长（m），为各分户表到用户用水处管道累计总长度")
    private Double userPipeLen;
    /**
     * 区域内平均压力（高程：m），可默认为分区计量压力值。
     */
    @ApiModelProperty(value = "区域内平均压力（高程：m），可默认为分区计量压力值。")
    private Double avgPressure;

    @ApiModelProperty(value = "连接点为数量；单位：个")
    private Long pointNumber;

    /**
     * 其他可量化用水（单位L/h），指除用户外的其它明显能测算出的用水量
     */
    @ApiModelProperty(value = "其他可量化用水（单位L/h），指除用户外的其它明显能测算出的用水量")
    private Double otherWater;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;


}
