/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 用户水表档案
 *
 * @author wangjieliu
 * @date Tue Jul 20 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAUSERTABLE_W", resultMap = "dmausertableMap")
@KeySequence("TF_YWPN_DMAUSERTABLE_W")
@ApiModel
public class Dmausertable extends Model<Dmausertable> {
    private static final long serialVersionUID = 1L;

    /**
     * 分区DMA_GID集，英文逗号隔开，最多120个分区ID
     */
    @ApiModelProperty(value = "分区DMA_GID集，英文逗号隔开，最多120个分区ID")
    private String dmaIds;
    /**
     * 水表厂家名称
     */
    @ApiModelProperty(value = "水表厂家名称")
    private String sbcjmc;
    /**
     * 水表类型名称
     */
    @ApiModelProperty(value = "水表类型名称")
    private String sblxmc;
    /**
     * 片区名称
     */
    @ApiModelProperty(value = "片区名称")
    private String cbpqmc;
    /**
     * 抄表本名称
     */
    @ApiModelProperty(value = "抄表本名称")
    private String cbbmc;
    /**
     * 最后修改日期
     */
    @ApiModelProperty(value = "最后修改日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zhXgrq;
    /**
     * 日均用水量（m3）
     */
    @ApiModelProperty(value = "日均用水量（m3）")
    private Double dayWater;
    /**
     * 用户状态(0申请、1正式、2报停、3销户、4作废)
     */
    @ApiModelProperty(value = "用户状态(0申请、1正式、2报停、3销户、4作废)")
    private String yhzt;
    /**
     * 用户编号
     */
    @TableId(value = "YHBH", type = IdType.INPUT)
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    /**
     * 所属片区
     */
    @ApiModelProperty(value = "所属片区")
    private String cbpq;
    /**
     * 所属抄表本
     */
    @ApiModelProperty(value = "所属抄表本")
    private String cbb;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String sbbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String sbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String sblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String sbkj;

}
