/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 污染源信息表
 *
 * @author admin
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_POLLSOURCE_W", resultMap = "pollsourceMap")
@KeySequence("TF_YWPN_POLLSOURCE_W")
@ApiModel
public class Pollsource extends Model<Pollsource> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 是否报警，0报警结束、1启用报警
     */
    @ApiModelProperty(value = "是否报警，0报警结束、1启用报警")
    private String iswarn;
    /**
     * 说明
     */
    @ApiModelProperty(value = "说明")
    private String notes;
    /**
     * 创建（启用）时间
     */
    @ApiModelProperty(value = "创建（启用）时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建（启用）人
     */
    @ApiModelProperty(value = "创建（启用）人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 结束人
     */
    @ApiModelProperty(value = "结束人")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(hidden = true)
    private String updateUserName;
    /**
     * 附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
    @ApiModelProperty(value = "附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
    private String fileids;

    private List<String> filePaths;

    private List<Map> pollInfos;
}
