/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 疑问标识信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QUESTIONMARK_W", resultMap = "questionmarkMap")
@KeySequence("TF_YWPN_QUESTIONMARK_W")
@ApiModel
public class Questionmark extends Model<Questionmark> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String caption;
    /**
     * 草图图片文件编号，关联公共文件表TF_YWPN_FILE _W中TABLE_ID
     */
    @ApiModelProperty(value = "草图图片文件编号，关联公共文件表TF_YWPN_FILE _W中TABLE_ID")
    private String fileId;
    //文件路径
    private String filePath;
    /**
     * 创建者ID
     */
    @ApiModelProperty(value = "创建者ID")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 坐标系编号
     */
    @ApiModelProperty(value = "坐标系编号")
    private BigDecimal wkid;
    /**
     * 草图位置经度
     */
    @ApiModelProperty(value = "草图位置经度")
    private Double x;
    /**
     * 草图位置维度
     */
    @ApiModelProperty(value = "草图位置维度")
    private Double y;
    /**
     * 地图比例尺
     */
    @ApiModelProperty(value = "地图比例尺")
    private Double scale;
    /**
     * 处理状态（1-已处理、0-未处理）
     */
    @ApiModelProperty(value = "处理状态（2-未上报、1-已处理、0-未处理）")
    private String status;
    /**
     * 处理人ID
     */
    @ApiModelProperty(value = "处理人ID")
    private Long handleUser;
    @TableField(exist = false)
    private String handleUserName;
    /**
     * 处理日期
     */
    @ApiModelProperty(value = "处理日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date handleDate;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String notes;

    @ApiModelProperty(value = "处理说明")
    private String handleCaption;

}
