/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtygis.custom.entity.FileInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 热线知识库表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXKNOWLEDGE_W", resultMap = "rxknowledgeMap")
@KeySequence("TF_YWPN_RXKNOWLEDGE_W")
@ApiModel
@Accessors(chain = true)
public class Rxknowledge extends Model<Rxknowledge> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 父级标题节点
     */
    @ApiModelProperty(value = "父级标题节点")
    private Long pid;
    /**
     * 子级标题节点
     */
    @ApiModelProperty(value = "子级标题节点")
    private Long mid;
    /**
     * 标题描述
     */
    @ApiModelProperty(value = "标题描述")
    private String title;
    /**
     * 内容描述
     */
    @ApiModelProperty(value = "内容描述")
    private String content;
    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String fileid;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<FileInfo> fileName;
    /**
     * 添加人员
     */
    @ApiModelProperty(value = "添加人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 添加时间
     */
    @ApiModelProperty(value = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 标志（1启用，0停用）
     */
    @ApiModelProperty(value = "标志（1启用，0停用）")
    private String yxbz;

    @ApiModelProperty(hidden = true)
    private String yxbzName;

}
