/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 热线短信通讯信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXSMSMESSAGE_W", resultMap = "rxsmsmessageMap")
@KeySequence("TF_YWPN_RXSMSMESSAGE_W")
@ApiModel
public class Rxsmsmessage extends Model<Rxsmsmessage> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String lsbh;
    /**
     * 提醒类型
     */
    @ApiModelProperty(value = "提醒类型")
    private String txlx;
    /**
     * 提醒内容
     */
    @ApiModelProperty(value = "提醒内容")
    private String txnr;
    /**
     * 发送状态(0=待发,1=成功,2=失败)
     */
    @ApiModelProperty(value = "发送状态(0=待发,1=成功,2=失败)")
    private String fszt;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String fsztName;
    /**
     * 处理人员
     */
    @ApiModelProperty(value = "处理人员")
    private String clry;
    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date clsj;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 是否锁定（0否，1是）
     */
    @ApiModelProperty(value = "是否锁定（0否，1是）")
    private String islock;
    /**
     * 备注（记录发送失败信息）
     */
    @ApiModelProperty(value = "备注（记录发送失败信息）")
    private String bz;

    @ApiModelProperty(value = "电话号码")
    private String mobile;

}
