/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 热线问题管理表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXWTGL_W", resultMap = "rxwtglMap")
@KeySequence("TF_YWPN_RXWTGL_W")
@ApiModel
public class Rxwtgl extends Model<Rxwtgl> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "标题名称")
    private String btmc;

    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date shsj;

    @ApiModelProperty(value = "回复人员")
    private Long hfry;

    private String hfryName;

    @ApiModelProperty(value = "回复内容")
    private String hfnr;

    @ApiModelProperty(value = "回复时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date hfsj;

    /**
     * 问题编号
     */
    @ApiModelProperty(value = "问题编号")
    private String wtbh;
    /**
     * 问题描述
     */
    @ApiModelProperty(value = "问题描述")
    private String wtms;
    /**
     * 文件ID
     */
    @ApiModelProperty(value = "文件ID")
    private String fileid;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 审核标志（0待审核，1审核通过，2审核不通过）
     */
    @ApiModelProperty(value = "审核标志（0待审核，1审核通过，2审核不通过）")
    private String shbz;

    @ApiModelProperty(hidden = true)
    private String shbzName;

    /**
     * 审核人员
     */
    @ApiModelProperty(value = "审核人员")
    private Long shry;
    @ApiModelProperty(hidden = true)
    private String shRyName;
    @ApiModelProperty(hidden = true)
    private String filePath;
    /**
     * 是否入库（0未进入知识库，1已进入知识库）
     */
    @ApiModelProperty(value = "是否入库（0未进入知识库，1已进入知识库）")
    private String sfrk;
    @ApiModelProperty(hidden = true)
    private String sfrkName;

    @ApiModelProperty("是否回复 0:未回复，1:已回复")
    private String sfhf;

}
