/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * SCADA测站历史监测信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_SCADAHISTORY_R_202103",resultMap = "scadahistoryMap")
@KeySequence("TF_YWPN_SCADAHISTORY_R_202103")
@ApiModel
public class Scadahistory extends Model<Scadahistory> {
    private static final long serialVersionUID = 1L;

        /**
     * 自增长
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "自增长")
                private Long id;
                /**
     * 指标编号
     */
            @ApiModelProperty(value = "指标编号")
                private String itcd;
                /**
     * 监测值（原始值）
     */
            @ApiModelProperty(value = "监测值（原始值）")
                private String itval;
                /**
     * 监测值（数字型）
     */
            @ApiModelProperty(value = "监测值（数字型）")
                private BigDecimal itnumVal;
                /**
     * 监测值（字符串型）
     */
            @ApiModelProperty(value = "监测值（字符串型）")
                private String itstrVal;
                /**
     * 监测点数据质量192=good,0=bad	
     */
            @ApiModelProperty(value = "监测点数据质量192=good,0=bad	")
                private Short qua;
                /**
     * SCADA监测时间
     */
            @ApiModelProperty(value = "SCADA监测时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date scadaTime;
                /**
     * 服务器创建时间
     */
            @ApiModelProperty(value = "服务器创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
            
}
