/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 测站指标信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SCADASTAITEM_W", resultMap = "scadastaitemMap")
@KeySequence("TF_YWPN_SCADASTAITEM_W")
@ApiModel
public class Scadastaitem extends Model<Scadastaitem> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;
    /**
     * 指标编号，与SCADA测站实时监测数据表中的指标编号关联
     */
    @ApiModelProperty(value = "指标编号，与SCADA测站实时监测数据表中的指标编号关联")
    private String itcd;
    /**
     * 指标类型名称，如压力、流量
     */
    @ApiModelProperty(value = "指标类型名称，如压力、流量")
    private String itnm;
    /**
     * 指标单位
     */
    @ApiModelProperty(value = "指标单位")
    private String unit;
    /**
     * 指标监测值类型，1数字型、2字符型
     */
    @ApiModelProperty(value = "指标监测值类型，1数字型、2字符型")
    private String itty;
    /**
     * 前端显示保留小数
     */
    @ApiModelProperty(value = "前端显示保留小数")
    private Short precision;
    /**
     * 上限值
     */
    @ApiModelProperty(value = "合格上限值")
    private Double upLimit;
    /**
     * 下限值
     */
    @ApiModelProperty(value = "合格下限值")
    private Double downLimit;
    /**
     * 超上限报警内容
     */
    @ApiModelProperty(value = "超上限报警内容")
    private String upNotes;
    /**
     * 低于下限限报警内容
     */
    @ApiModelProperty(value = "低于下限限报警内容")
    private String downNotes;
    /**
     * 是否计算合格率，1计算、0不计算
     */
    @ApiModelProperty(value = "是否计算合格率，1计算、0不计算")
    private String iscalcPass;
    /**
     * 合格标准，单位：%
     */
    @ApiModelProperty(value = "合格标准，单位：%	")
    private Float passStandard;
    /**
     * 是否计算优质率，1计算、0不计算
     */
    @ApiModelProperty(value = "是否计算优质率，1计算、0不计算")
    private String iscalcQuality;
    /**
     * 优质标准，单位：%
     */
    @ApiModelProperty(value = "优质标准，单位：%	")
    private String qualityStandard;
    /**
     * 所属测站ID，关联SCADA监测站基本信息表主键
     */
    @ApiModelProperty(value = "所属测站ID，关联SCADA监测站基本信息表主键")
    private Long stationId;
    /**
     * 测站名称
     */
    private String stationName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "是否 启用：0不启用，1启用")
    private Long state;

    @ApiModelProperty(value = "指标描述")
    private String description;

    @ApiModelProperty(value = "指标类别编码，与字典编码表关联")
    private String tycd;

    @ApiModelProperty(hidden = true)
    private String tynm;

    @ApiModelProperty(value = "指标名")
    private String name;

    @ApiModelProperty(value = "顺序号，排序用")
    private Long num;

    @ApiModelProperty(value = "指标归类")
    private Long indexType;

    @TableField(exist = false)
    private String indexTypeName;
    @ApiModelProperty(value = "短信发送人")
    private String smsUser;

    @ApiModelProperty(value = "信息发送人")
    private String msgUser;

    @ApiModelProperty(value = "是否开启突升报警 0 否 1 是")
    private String openUpWarn;
    @ApiModelProperty(value = "突升报警时间")
    private Double upWarnTime;
    @ApiModelProperty(value = "突升报警值")
    private Double upWarnVal;
    @ApiModelProperty(value = "是否开启突降报警")
    private String openDownWarn;
    @ApiModelProperty(value = "突降报警时间")
    private Double downWarnTime;
    @ApiModelProperty(value = "突降报警值")
    private Double downWarnVal;

}
