/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 摄像头管理
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_CAMERA_MANAGE", resultMap = "tfCameraManageMap")
@KeySequence("TF_CAMERA_MANAGE")
@ApiModel
public class TfCameraManage extends Model<TfCameraManage> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;

    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
//            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 所属水厂ID
     */
    @ApiModelProperty(value = "所属水厂ID")
    private Long waterId;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String waterName;
    /**
     * 视频点位编号
     */
    @ApiModelProperty(value = "视频点位编号")
    private String code;
    /**
     * 视频点位名称
     */
    @ApiModelProperty(value = "视频点位名称")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String name;
    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号")
    private String model;
    /**
     * 设备厂家
     */
    @ApiModelProperty(value = "设备厂家")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String manufactor;
    /**
     * 安装单位
     */
    @ApiModelProperty(value = "安装单位")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String installationUnit;
    /**
     * 安装时间
     */
    @ApiModelProperty(value = "安装时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date installationTime;
    /**
     * 安装人员
     */
    @ApiModelProperty(value = "安装人员")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String installationPeople;
    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String leader;
    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    @TableField(condition = ToflySqlCondition.LIKE)
    private String phone;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String describe;
    /**
     * 所属权属状态（1水厂,2管网,0未定义）
     */
    @ApiModelProperty(value = "所属权属状态（1水厂,2管网,0未定义）")
    private String belongStatus;
    /**
     * 所属权属状态转义（1水厂,2管网,0未定义）
     */
    @ApiModelProperty(value = "所属权属状态转义（1水厂,2管网,0未定义）")
    @TableField(exist = false)
    private String belongStatusName;

    /**
     * 类型id
     */
    @ApiModelProperty(value = "所属类型id,关联类型表")

    private String typeId;

    /**
     * 类型名称（1水厂,2管网,0未定义）
     */
    @ApiModelProperty(value = "所属类型名称")
    @TableField(exist = false)
    private String typeName;

    /**
     * 类型父Id
     */
    @ApiModelProperty(value = "类型父Id")
    @TableField(exist = false)
    private String typeParentId;

    /**
     * 类型父名称
     */
    @ApiModelProperty(value = "父类型名称")
    @TableField(exist = false)
    private String typeParentName;

}
