package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


@Data
@TableName(value = "TF_PIPE_MATERIAL_CONFIG", resultMap = "tfPipeMaterialConfigMap")
@KeySequence("TF_PIPE_MATERIAL_CONFIG")
@ApiModel
public class TfPipeMaterialConfig {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 材质code
     */
    @ApiModelProperty(value = "材质code(pcid=66402)")
    private String materialCode;
    /**
     * 材质名称
     */
    @ApiModelProperty(value = "材质名称")
    @TableField(exist = false)
    private String materialName;
    /**
     * 预警值（月）
     */
    @ApiModelProperty(value = "预警值（月）")
    private Long materialValue;
    /**
     * 预警通知人
     */
    @ApiModelProperty(value = "预警通知人")

    private String noticeUser;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(value = "创建人姓名", hidden = true)
    @TableField(exist=false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT_UPDATE)
    private Long updateUser;
    @ApiModelProperty(value = "跟新人员姓名", hidden = true)
    @TableField(exist=false)
    private String updateUserName;
}
