/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.Map;


/**
 * 小区-用户关联表
 *
 * @author chenhao
 * @date Thu Mar 31 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_USERANDPLOT_W", resultMap = "userandplotMap")
@KeySequence("TF_YWPN_USERANDPLOT_W")
@ApiModel
public class Userandplot extends Model<Userandplot> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 小区id
     */
    @ApiModelProperty(value = "小区id")
    private Long plotId;

    /**
     * 小区名称
     */
    @ApiModelProperty(hidden = true)
    private String plotName;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String userCode;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;

    @TableField(exist = false)
    private Map<String,String> userInfo;

}
