package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_VALVEPIT_W",resultMap = "valvePitMap")
@KeySequence("TF_YWPN_VALVEPIT_W")
@ApiModel
public class ValvePit extends Model<ValvePit> {
    private static final long serialVersionUID = 1L;

    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "阀井编码")
    private String code;

    @ApiModelProperty(value = "附件（多个用,隔开）")
    private String annex;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;

}
