/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 阀门-小区关联表
 *
 * @author admin
 * @date Thu Mar 17 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_VALVEANDPLOT_W", resultMap = "valveandplotMap")
@KeySequence("TF_YWPN_VALVEANDPLOT_W")
@ApiModel
@Accessors(chain = true)
public class Valveandplot extends Model<Valveandplot> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 阀门id
     */
    @ApiModelProperty(value = "阀门id")
    private String valveId;
    /**
     * 小区id
     */
    @ApiModelProperty(value = "小区id")
    private Long plotId;
    /**
     * 小区名称
     */
    @ApiModelProperty(hidden = true)
    private String plotName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_DATE", fill = FieldFill.INSERT)
    private Date createDate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
