/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 水质参数配置信息表
 *
 * @author admin
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_WATERPARAMS_W", resultMap = "waterparamsMap")
@KeySequence("TF_YWPN_WATERPARAMS_W")
@ApiModel
public class Waterparams extends Model<Waterparams> {
    private static final long serialVersionUID = 1L;

    /**
     * 自增长
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "自增长")
    private Long id;
    /**
     * 河流ID，从码表中获取
     */
    @ApiModelProperty(value = "河流ID，从码表中获取")
    private Long rvid;
    /**
     * 季节期ID，从码表中获取
     */
    @ApiModelProperty(value = "季节期ID，从码表中获取")
    private Long seasonid;
    /**
     * 开始月份
     */
    @ApiModelProperty(value = "开始月份")
    private String startMouth;
    /**
     * 结束月份
     */
    @ApiModelProperty(value = "结束月份")
    private String endMouth;
    /**
     * 流速（m/s）
     */
    @ApiModelProperty(value = "流速（m/s）")
    private Float flow;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;

}
