package com.tofly.xrtygis.entity.vo;

import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2023/9/4
 * @description 水平衡分析
 */
@Data
public class DmaLeakageVo implements Serializable {

    /**
     * 统计时间
     */
    @ApiModelProperty(value = "统计时间")
    @Excel(name = "统计时间")
    private String scadaTime;

    /**
     * 分区ID
     */
    @ApiModelProperty(value = "分区ID")
    private Long dmaId;

    /**
     * 分区名称
     */
    @ApiModelProperty(value = "分区名称")
    @Excel(name = "分区名称")
    private String dmaName;

    /**
     * 入口水表数值
     */
    @ApiModelProperty(value = "入口水表数值")
    private BigDecimal inWaterMeterValue;

    /**
     * 出口水表数值
     */
    @ApiModelProperty(value = "出口水表数值")
    private BigDecimal outWaterMeterValue;

    /**
     * 差值
     */
    @ApiModelProperty(value = "差值")
    private BigDecimal diffValue;

    /**
     * 漏损率（%）
     */
    @ApiModelProperty(value = "漏损率（%）")
    @Excel(name = "漏损率（%）")
    private Float leakageRate;

}
