/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.TfDeviceArchiveManage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 设备档案管理
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface TfDeviceArchiveManageMapper extends BaseMapper<TfDeviceArchiveManage> {
    /**
     * 通过id找到设备名称
     * @param id
     * @return
     */
    String getDeviceName(Long id);

    /**
     * 通过设备名称模糊查询找到ids
     * @param deviceName
     * @return
     */
    List<Long> getIdList(@Param("deviceName") String deviceName, @Param("stationIdList") List<Long> stationIdList, @Param("pipeStationType") String pipeStationType);

    /**
     * 设备类型统计，根据档案数据统计
     * @return
     */
    List<Map<String,String>> getDeviceTypeReport();

  }
