/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.build.vo.detail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 工地监护派工信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class BuildDispatchingVo extends Model<BuildDispatchingVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "是否需人员监护，0否，1是")
    private String isrespect;

    @ApiModelProperty(value = "0：未审核；1：通过；2：未通过")
    private String auditResult;

    @ApiModelProperty(value = "审核人id")
    private Long auditUser;

    @ApiModelProperty(value = "审核人Name")
    private String auditUserName;

    @ApiModelProperty(value = "巡检组名称")
    private String inspectGroupIdName;

    @ApiModelProperty(value = "巡检周期；关联周期表：TF_YWPN_PERIOD_D")
    private Long periodId;

    @ApiModelProperty(value = "巡检周期名称")
    private String periodName;

    @ApiModelProperty(value = "间隔天数")
    private Integer interValDay;

    @ApiModelProperty(value = "巡检人名称")
    private String inspectUserName;

    @ApiModelProperty(value = "巡检计划开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planBegindate;

    @ApiModelProperty(value = "巡检计划结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planEnddate;

}
