/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;



/**
 * 抢维修年度计划明细信息表
 *
 * @author admin
 * @date Tue Nov 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPAIRPLANYEARDETAIL_W", resultMap = "repairplanyeardetailMap")
@KeySequence("TF_YWPN_REPAIRPLANYEARDETAIL_W")
@ApiModel
public class Repairplanyeardetail extends Model<Repairplanyeardetail> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 年度记录ID，关联TF_YWPN_REPAIRPLANYEAR_W主键
     */
    @ApiModelProperty(value = "年度记录ID，关联TF_YWPN_REPAIRPLANYEAR_W主键")
    private Long yearId;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 计划内容
     */
    @ApiModelProperty(value = "计划内容")
    private String planContent;

    @ApiModelProperty(value = "维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值")
    private Long typeId;
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String createUserName;

    @ApiModelProperty(value = "单位")
    private String unit;

}
