/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 抢维修工单个人任务信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPAIRUSER_W", resultMap = "repairuserMap")
@KeySequence("TF_YWPN_REPAIRUSER_W")
@ApiModel
public class Repairuser extends Model<Repairuser> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 维修人ID，主要负责人
     */
    @ApiModelProperty(value = "维修人ID，主要负责人")
    private Long respUser;

    @TableField(exist = false)
    private String respUserName;

    @ApiModelProperty(value = "部门名称")
    @TableField(exist = false)
    private String deptName;
    /**
     * 维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值
     */
    @ApiModelProperty(value = "维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值")
    private Long repairId;
    /**
     * 协同处理人ID，多个以英文逗号分隔
     */
    @ApiModelProperty(value = "协同处理人ID，多个以英文逗号分隔")
    private String teamUser;
    /**
     * 是否确认，0未查收，1已查收
     */
    @ApiModelProperty(value = "是否确认，0未查收，1已查收")
    private String isread;
    /**
     * 是否返工，0未返工，1已返工
     */
    @ApiModelProperty(value = "是否返工，0未返工，1已返工")
    private String isrepeat;
    /**
     * 返工次数
     */
    @ApiModelProperty(value = "返工次数")
    private Integer repeatNum;
    /**
     * 工单状态0:未派工,1:处理中, 2:驳回 , 3:审核中 ,4处理完成，5转移申请，6、已转移 7:完成
     */
    @ApiModelProperty(value = "工单状态0:未派工,1:未审核, 2:未开始 , 3:正在执行 ,4处理完成，5已开始未执行，6、驳回 7:转移申请 8已转移")
    private String state;
    /**
     * 核定用时,单位小时
     */
    @ApiModelProperty(value = "核定用时,单位小时")
    private Double ratifyTime;
    /**
     * 系统用时（实际处理用时），单位小时
     */
    @ApiModelProperty(value = "系统用时（实际处理用时），单位小时")
    private Double realTime;
    /**
     * 所在片区
     */
    @ApiModelProperty(value = "所在片区")
    private String regionCode;

    /**
     * 所在片区名称
     */
    @ApiModelProperty(value = "所在片区名称")
    private String regionName;
    /**
     * 实际地址描述
     */
    @ApiModelProperty(value = "实际地址描述")
    private String address;
    /**
     * 实际位置经度，单位：°
     */
    @ApiModelProperty(value = "实际位置经度，单位：°")
    private Double lgtd;
    /**
     * 实际位置纬度，单位：°
     */
    @ApiModelProperty(value = "实际位置纬度，单位：°")
    private Double lttd;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 接收时间
     */
    @ApiModelProperty(value = "接收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date confirmTime;
    /**
     * 处理完成上报时间
     */
    @ApiModelProperty(value = "处理完成上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date overTime;

    @ApiModelProperty(value = "计划完成个数")
    private Long planNum;

    @ApiModelProperty(value = "实际完成个数")
    private Long overNum;

    @ApiModelProperty("多个点经纬度存储")
    private String lngLats;

    @ApiModelProperty("电话")
    private String phone;
}
