/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 抢维修爆管填报信息
 *
 * @author admin
 * @date Mon Sep 19 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_REPPAIRDETONATOR_W", resultMap = "reppairdetonatorMap")
@KeySequence("TF_YWPN_REPPAIRDETONATOR_W")
@ApiModel
public class Reppairdetonator extends Model<Reppairdetonator> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 爆管原因id(TF_YWPN_DETONATOR_D主键id)
     */
    @ApiModelProperty(value = "爆管原因id(TF_YWPN_DETONATOR_D主键id)")
    private Long detonatorReasonId;
    @ApiModelProperty(value = "爆管原因")
    @TableField(exist = false)
    private String detonatorReasonName;
    /**
     * 爆管原因说明
     */
    @ApiModelProperty(value = "爆管原因说明")
    private String notes;
    /**
     * 管径
     */
    @ApiModelProperty(value = "管径")
    private String pipeDiameter;
    /**
     * 材质
     */
    @ApiModelProperty(value = "材质")
    private String material;
    /**
     * 管龄
     */
    @ApiModelProperty(value = "管龄")
    private String tubeAge;
    /**
     * 埋深
     */
    @ApiModelProperty(value = "埋深")
    private String buriedDeep;

    @ApiModelProperty(value = "上传记录表ID，关联表TF_YWPN_REPAIRRECORD_W关键值")
    private Long recordId;

    @ApiModelProperty(value = "个人任务id，关联表TF_YWPN_REPAIRUSER_W")
    private Long repairUserId;

    @ApiModelProperty(value = "导出,爆管信息拼接")
    @TableField(exist = false)
    private String info;

}
