/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * 抢维修年度计划内容信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairplandetailDto extends Model<RepairplandetailDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一值ID
     */
    @ApiModelProperty(value = "唯一值ID")
    private Long id;
    /**
     * 年度记录ID，关联表TF_YWPN_REPAIRPLAN_W主键
     */
    @ApiModelProperty(value = "年度记录ID，关联表TF_YWPN_REPAIRPLAN_W主键")
    private Long yearId;
    /**
     * 年份
     */
    @ApiModelProperty(value = "年份")
    private String year;
    /**
     * 月份
     */
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值
     */
    @ApiModelProperty(value = "维修类型ID,关联表TF_YWPN_REPAIRTYPE_D关键值")
    private Long typeId;

    @ApiModelProperty(value = "维修类型ID多个查询以,分隔")
    private String typeIds;
    /**
     * 维修数量
     */
    @ApiModelProperty(value = "维修数量")
    private Long num;
    /**
     * 任务接收负责人
     */
    @ApiModelProperty(value = "任务接收负责人")
    private Long respUser;
    /**
     * 详细说明
     */
    @ApiModelProperty(value = "详细说明")
    private String notes;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "单位")
    private String unit;
}
