/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 抢维修工单转发记录信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairrelayDto extends Model<RepairrelayDto> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 个人任务id，关联表TF_YWPN_REPAIRUSER_W
     */
    @ApiModelProperty(value = "个人任务id，关联表TF_YWPN_REPAIRUSER_W")
    private Long repairUserid;
    /**
     * 接收处理人
     */
    @ApiModelProperty(value = "接收处理人")
    private Long relayUser;
    /**
     * 转发原因说明
     */
    @ApiModelProperty(value = "转发原因说明")
    private String relayNotes;
    /**
     * 维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值
     */
    @ApiModelProperty(value = "维修工单id，关联表TF_YWPN_REPAIRORDER_W关键值")
    private Long repairId;
    /**
     * 上报状态；0：未提交；1：已提交
     */
    @ApiModelProperty(value = "上报状态；0：未提交；1：已提交")
    private String issubmit;
    /**
     * 上报时间
     */
    @ApiModelProperty(value = "上报时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    /**
     * 上报人
     */
    @ApiModelProperty(value = "上报人")
    private Long submitUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 审核结果；0：未审核；1：通过；2：未通过，
     */
    @ApiModelProperty(value = "审核结果；0：未审核；1：通过；2：未通过，")
    private String auditResult;
    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private Long auditUser;

    /**
     * 审核备注
     */
    @ApiModelProperty(value = "审核备注")
    private String auditNotes;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date audittime;
    /**
     * 是否接收查看，0：未查看；1：已查看
     */
    @ApiModelProperty(value = "是否接收查看，0：未查看；1：已查看")
    private String isread;
}
