/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.pojo.comm.vo.ImageVo;
import com.tofly.pojo.maintain.vo.ExcelImageVo;
import com.tofly.pojo.maintain.vo.RepairuserVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 抢维修基础信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderBaseInfoVo extends Model<RepairOrderBaseInfoVo> {
    private static final long serialVersionUID = 1L;
    private Long id;
    @ApiModelProperty(value = "工单编号")
    private String orderCode;
    private Long typeId;
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    private String orderSource;
    @ApiModelProperty(value = "工单来源，字典编码表，0计划、1自建、2热线")
    private String orderSourceName;
    @ApiModelProperty(value = "维修数量")
    private Long num;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "地址描述")
    private String address;
    @ApiModelProperty(value = "详细说明")
    private String notes;
    private Long dispatchingId;
    @ApiModelProperty(value = "派工人id")
    private String dispatchingIdName;
    @ApiModelProperty(value = "派工人时间")
    private String createTime;
    @ApiModelProperty(value = "总完成率")
    private Float percent;
    @ApiModelProperty(value = "总完成数量")
    private Long overNum;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    @ApiModelProperty(value = "完成时间")
    private String overTime;
    private String state;
    @ApiModelProperty(value = "工单状态0:未派工,1:未审核, 2:未开始 , 3:正在执行 ,4处理完成，5已开始未执行，6、驳回 7:转移申请 8已转移 9工单过程审核中 ")
    private String stateName;
    private String fileIds;
    @ApiModelProperty(value = "经度")
    private BigDecimal x;
    @ApiModelProperty(value = "维度")
    private BigDecimal y;
    @ApiModelProperty(value = "附件ids")
    private List<String> fileIdList;
    @TableField(exist = false)
    @ApiModelProperty(value = "用户个人工单")
    private List<RepairuserVo> repairUserVoList;
    @ApiModelProperty(value = "地址解析列表")
    private List<OrderAddressVo> addressVoList;

}
