/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * 巡检类型配置信息表：TF_YWPN_INSPECTTYPE_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_INSPECTTYPE_W", resultMap = "inspecttypeMap")
@KeySequence("TF_YWPN_INSPECTTYPE_W")
@ApiModel
public class Inspecttype extends Model<Inspecttype> {
    private static final long serialVersionUID = 1L;

    /**
     * 巡检类型配置ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "巡检类型配置ID")
    private Long id;
    /**
     * 巡查类型名称
     */
    @ApiModelProperty(value = "巡查类型名称")
    private String name;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
    private Date createTime;
    /**
     * 图层英文名称
     */
    @ApiModelProperty(value = "图层英文名称")
    private String layerName;

    @ApiModelProperty(value = "是否有效0无效 1有效")
    private String flag;

}
