/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 子计划类型完成率统计表
 *
 * @author admin
 * @date Wed Nov 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLANCHILDTYPE_W", resultMap = "planchildtypeMap")
@KeySequence("TF_YWPN_PLANCHILDTYPE_W")
@ApiModel
public class Planchildtype extends Model<Planchildtype> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;

    @ApiModelProperty(value = "子计划id")
    private Long planChildId;
    /**
     * 巡检类型
     */
    @ApiModelProperty(value = "巡检类型")
    private Long typeId;
    @TableField(exist = false)
    @ApiModelProperty(value = "巡检类型名称")
    private String typeName;
    @ApiModelProperty(value = "巡检类型计划完成率")
    private Float  completionRate;
    /**
     * 实际完成率
     */
    @ApiModelProperty(value = "个人实际完成率")
    private Float percent;
    /**
     * 已完成点数
     */
    @ApiModelProperty(value = "个人已完成点数")
    private BigDecimal overCount;
    @ApiModelProperty(value = "巡检类型总点数")
    private BigDecimal totalCount;
    @ApiModelProperty(value = "个人已完成长度")
    private BigDecimal overLength;
    @ApiModelProperty(value = "巡检类型总长度")
    private BigDecimal totalLength;
    @ApiModelProperty(value = "巡检人id")
    private Long userId;

    @TableField(exist = false)
    private String userIdName;

}
