package com.tofly.pojo.plan.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 考勤报表
 *
 * @author JF
 * @date
 */
@Data
@ApiModel
public class AttendanceReportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 考勤人员ID
     */
    @ApiModelProperty(value = "考勤人员ID")
    private Long userId;

    /**
     * 考勤人员名称
     */
    @ApiModelProperty(value = "考勤人员名称")
    private String userName;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    /**
     * 上班时间
     */
    @ApiModelProperty(value = "上班时间")
    private Date onTime;

    /**
     * 下班时间
     */
    @ApiModelProperty(value = "下班时间")
    private Date offTime;

    /**
     * 统计工时
     */
    @ApiModelProperty(value = "统计工时")
    private BigDecimal workHour;

    /**
     * 上班地址
     */
    @ApiModelProperty(value = "上班地址")
    private String onAddress;

    /**
     * 下班地址
     */
    @ApiModelProperty(value = "下班地址")
    private String offAddress;
}
