package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class TfYwpnInspectdevicetempWVo extends Model<TfYwpnInspectdevicetempWVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;
    /**
     * 主计划ID
     */
    @ApiModelProperty(value = "主计划ID")
    private Long planId;
    /**
     * 子计划ID
     */
    @ApiModelProperty(value = "子计划ID")
    private Long planChildId;
    /**
     * 设备唯一标识
     */
    @ApiModelProperty(value = "设备唯一标识")
    private String sid;
    /**
     * 图层ID
     */
    @ApiModelProperty(value = "图层ID")
    private Long layerId;
    /**
     * 图层名称
     */
    @ApiModelProperty(value = "图层名称")
    private String layerName;
    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    private String annex;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 巡查时间
     */
    @ApiModelProperty(value = "巡查时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date inspectTime;
    /**
     * 设备状态（1正常;2异常）
     */
    @ApiModelProperty(value = "设备状态（1正常;2异常）")
    private String status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
    private Long createUser;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 文件路径列表
     */
    @ApiModelProperty(value = "文件路径列表")
    List<String> filePathList;
}
