package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 维修记录台账数据导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceLogLedgerVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "工单id")
    private Long orderId;
    @ApiModelProperty(value = "工单编码")
    private String orderCode;
    @ApiModelProperty(value = "工单来源id")
    private String orderSource;
    private String orderSourceName;
    @ApiModelProperty(value = "维修类型Id")
    private String typeId;
    @ApiModelProperty(value = "维修类型名称")
    private String typeName;
    @ApiModelProperty(value = "备注")
    private String notes;

    @ApiModelProperty(value = "派工人id")
    private Long dispatchingId;
    private String dispatchingName;

    @ApiModelProperty(value = "客户编号")
    private String khbh;
    @ApiModelProperty(value = "客户名称")
    private String khxm;
    @ApiModelProperty(value = "客户地址")
    private String khdz;

    @ApiModelProperty(value = "联系电话")
    private String mobile;
    @ApiModelProperty(value = "处理职员")
    private Long disposeUserId;
    @ApiModelProperty(value = "处理职员名称")
    private String disposeUserName;
    @ApiModelProperty(value = "处理部门名称")
    private String disposeDeptName;
    @ApiModelProperty(value = "派单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dispatchingTime;

    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date disposeTime;
    @ApiModelProperty(value = "处理地址")
    private String disposeAddress;
    @ApiModelProperty(value = "处理说明")
    private String disposeNote;
    @ApiModelProperty(value = "片区名称")
    private String regionName;




}
