package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 综合展示 统计各模块任务对象
 */
@Data
public class PlanDisplayStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "巡检计划总数")
    private BigDecimal planTotal;

    @ApiModelProperty(value = "巡检计划已完成数")
    private BigDecimal planOverNum;

    @ApiModelProperty(value = "巡检计划未完成数")
    private BigDecimal planUndoneNum;

    @ApiModelProperty(value = "执行里程（km）")
    private BigDecimal executeMileage;

    @ApiModelProperty(value = "执行个数(个)")
    private BigDecimal executeNum;

    @ApiModelProperty(value = "上报隐患数（个）")
    private BigDecimal troubleNum;

    @ApiModelProperty(value = "上报工地数（个）")
    private BigDecimal buildNum;

    @ApiModelProperty(value = "计划完成率")
    private BigDecimal planOverRate;

    @ApiModelProperty(value = "抢维修工单总数")
    private BigDecimal repairTotal;

    @ApiModelProperty(value = "抢维修工单已完成数")
    private BigDecimal repairOverNum;

    @ApiModelProperty(value = "抢维修工单未完成数")
    private BigDecimal repairUndoneNum;

    @ApiModelProperty(value = "抢维修工单完成率")
    private BigDecimal repairOverRate;

    @ApiModelProperty(value = "业务工单总数")
    private BigDecimal orderTotal;

    @ApiModelProperty(value = "业务工单已完成数")
    private BigDecimal orderOverNum;

    @ApiModelProperty(value = "业务工单未完成数")
    private BigDecimal orderUndoneNum;

    @ApiModelProperty(value = "业务工单完成率")
    private BigDecimal orderOverRate;

    @ApiModelProperty(value = "质检工单总数")
    private BigDecimal qualityTotal;

    @ApiModelProperty(value = "质检工单已完成数")
    private BigDecimal qualityOverNum;

    @ApiModelProperty(value = "质检工单未完成数")
    private BigDecimal qualityUndoneNum;

    @ApiModelProperty(value = "质检工单完成率")
    private BigDecimal qualityOverRate;

    @ApiModelProperty(value = "合计总数")
    private BigDecimal sumTotal;

    @ApiModelProperty(value = "合计已完成数")
    private BigDecimal sumOverNum;

    @ApiModelProperty(value = "合计未完成数")
    private BigDecimal sumUndoneNum;

    @ApiModelProperty(value = "合计完成率")
    private BigDecimal sumOverRate;
}
