/*
 * Author: Zev
 * 生成controller
 */
package com.tofly.gpsboot.controller.plan;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;

import com.tofly.gpsboot.controller.BaseController;
import com.tofly.pojo.plan.dto.GpscalculateDto;
import com.tofly.pojo.plan.vo.GpscalculateVo;

import com.tofly.pojo.plan.Gpscalculate;

import com.tofly.gpsboot.service.paln.GpscalculateService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import javax.validation.Valid;
import java.util.Optional;

/**
 * 巡查统计计算
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@RestController
@RequestMapping("/gpscalculate")
@Api(tags="巡查统计计算")
public class GpscalculateController extends BaseController<Gpscalculate, GpscalculateVo> {

    @Autowired
    public GpscalculateController(GpscalculateService service) {
        init(service);
    }

    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    public ResultRespone<Page<GpscalculateVo>> getGpscalculatePage(Page page, @ModelAttribute GpscalculateDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), Gpscalculate.class));
    }

    @ApiOperation(value = "新增基本信息对象")
    @PostMapping("/save")
    public ResultRespone<Object> saveGpscalculate(@Valid @RequestBody GpscalculateDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.save(JSON.parseObject(JSON.toJSONString(parDto), Gpscalculate.class)));

    }

    @ApiOperation(value = "修改基本信息")
    @PutMapping("/updata")
    public ResultRespone<Object> updateByIdGpscalculate(@Valid @RequestBody GpscalculateDto parDto, BindingResult result) {
        ResultRespone<Object> rest = new ResultRespone<>();
        // 数据校验 判空返回
        return Optional.ofNullable(super.validRest(rest, result)).orElseGet(() -> super.updateById(JSON.parseObject(JSON.toJSONString(parDto), Gpscalculate.class)));

    }

    @GetMapping("/{id}")
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone<Gpscalculate> getByIdGpscalculate(@PathVariable Long id) {
        return super.getById(id);
    }


    @ApiOperation(value = "通过ID批量删除基本信息对象")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds")
    public ResultRespone<Object> removeByIdListGpscalculate(String ids) {
        return super.removeByIdList(ids);
    }
}
