/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.gpsboot.controller.plan;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.gpsboot.controller.BaseController;
import com.tofly.gpsboot.service.paln.TfYwpnInspectdevicetempWService;
import com.tofly.pojo.plan.TfYwpnInspectdevicetempW;
import com.tofly.pojo.plan.dto.TfYwpnInspectdevicetempWDto;
import com.tofly.pojo.plan.vo.TfYwpnInspectdevicetempWVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 设备巡查信息记录表
 *
 * @author JF
 * @date Tue Sep 10 00:00:00 CST 2024
 */
@RestController
@RequestMapping("/tfywpninspectdevicetempw")
@Api(tags = "设备巡查信息记录表接口")
public class TfYwpnInspectdevicetempWController extends BaseController<TfYwpnInspectdevicetempW, TfYwpnInspectdevicetempWVo> {

    @Autowired
    private TfYwpnInspectdevicetempWService tfYwpnInspectdevicetempWService;

    @Autowired
    public TfYwpnInspectdevicetempWController(TfYwpnInspectdevicetempWService service) {
        init(service);
    }

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param tfYwpnInspectdevicetempW 设备巡查信息记录表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getTfYwpnInspectdevicetempWPage(Page page, @ModelAttribute TfYwpnInspectdevicetempW tfYwpnInspectdevicetempW) {
//      return ResultRespone.success(tfYwpnInspectdevicetempWService.page(page, Wrappers.query(tfYwpnInspectdevicetempW)));
//    }
    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    @ToFlyAppLog(title = "分页查询设备巡查信息记录")
    public ResultRespone<Page<TfYwpnInspectdevicetempWVo>> getInspectdevicetempPage(Page page, @ModelAttribute TfYwpnInspectdevicetempWDto parDto) {
        return super.getInfoPage(page, JSON.parseObject(JSON.toJSONString(parDto), TfYwpnInspectdevicetempW.class));
    }

//    /**
//     * 通过id查询设备巡查信息记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(tfYwpnInspectdevicetempWService.getById(id));
//    }
//
//    /**
//     * 新增设备巡查信息记录表
//     * @param tfYwpnInspectdevicetempW 设备巡查信息记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增设备巡查信息记录表" )
//    @ApiOperation(value = "新增设备巡查信息记录表")
//    @PostMapping
//    public ResultRespone save(TfYwpnInspectdevicetempW tfYwpnInspectdevicetempW, @RequestParam(value = "fileList", required = false) List<MultipartFile> fileList) {
//        tfYwpnInspectdevicetempWService.savaInfo(fileList, tfYwpnInspectdevicetempW);
//        return ResultRespone.success();
//    }
//
//    /**
//     * 修改设备巡查信息记录表
//     * @param tfYwpnInspectdevicetempW 设备巡查信息记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改设备巡查信息记录表" )
//    @ApiOperation(value = "修改设备巡查信息记录表")
//    @PutMapping
//    public ResultRespone updateById(TfYwpnInspectdevicetempW tfYwpnInspectdevicetempW, @RequestParam(value = "fileList", required = false) List<MultipartFile> fileList) {
//        tfYwpnInspectdevicetempWService.updateInfo(fileList, tfYwpnInspectdevicetempW);
//        return ResultRespone.success();
//    }
//
//    /**
//     * 通过id删除设备巡查信息记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除设备巡查信息记录表" )
//    @ApiOperation(value = "通过ID删除设备巡查信息记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(tfYwpnInspectdevicetempWService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除设备巡查信息记录表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除设备巡查信息记录表" )
//    @ApiOperation(value = "通过ID批量删除设备巡查信息记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(tfYwpnInspectdevicetempWService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
