/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.process;

import com.tofly.pojo.plan.dto.RecordDto;
import com.tofly.pojo.plan.vo.RecordVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.plan.Record;
import com.tofly.gpsboot.service.IBaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 巡查过程记录表：TF_YWPN_RECORD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface RecordService extends IBaseService<Record, RecordVo>{
    /**
     * 新增基本和详情信息
     * @param fileList
     * @param parDto
     * @throws BusinessException 抛出新增的详情为空
     */
    void savaRecordInfo(List<MultipartFile> fileList, RecordDto parDto) throws BusinessException;

    /**
     * 修改基本和详情信息
     * @param fileList
     * @param parDto
     * @throws BusinessException 抛出更新当前数据不存在
     */
    void updateRecordInfo(List<MultipartFile> fileList,RecordDto parDto) throws BusinessException;

    /**
     * 单个删除或批量删除信息
     * @param idList
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteRecordInfo(List<Long> idList)throws BusinessException;
}