package com.tofly.common.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;
/**
 * 文件相关查询属性
 * @author JF
 */
@Data
public class FileInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 文件名列表
     */
    @ApiModelProperty("文件名列表")
    private List<String> fileNameList;

    /**
     * 文件列表
     */
    @ApiModelProperty("文件列表")
    private List<MultipartFile> fileList;

    /**
     * 之前的文件信息
     */
    @ApiModelProperty("之前的文件信息")
    private String agoInfos;

    /**
     * 现在的文件信息
     */
    @ApiModelProperty("现在的文件信息")
    private String nowInfos;

    /**
     * 文件存储路径
     */
    @ApiModelProperty("文件存储路径")
    private String path;

    /**
     * 表名
     */
    @ApiModelProperty("表名")
    private String tableName;

}
