package com.tofly.custom.entity.dto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;

@Data
public class ScadaReportDto {
    /**
     * 指标编码
     */
    @ApiModelProperty("指标编码")
    @NotNull(message ="指标编码不能为空")
    private String codes;
    /**
     * 开始日期 yyyy-MM-dd
     */
    @ApiModelProperty("开始日期 yyyy-MM-dd")
    @NotNull(message ="开始日期不能为空")
    private String startDate;
    /**
     * 结束日期 yyyy-MM-dd
     */
    @ApiModelProperty("结束日期 yyyy-MM-dd")
    @NotNull(message ="结束日期不能为空")
    private String endDate;
    /**
     * 开始时间HH:mm:ss
     */
    @ApiModelProperty("开始时间 HH:mm:ss")
    private String startTime;


    /**
     * 结束时间 HH:mm:ss
     */
    @ApiModelProperty("结束时间 HH:mm:ss")
    private String endTime;
    /**
     * 指标编码
     */
    @ApiModelProperty("每隔分钟数")
    private Integer minutes;

    @ApiModelProperty("查询方式0,分时间段查询，1夜间查询")
    @NotNull(message = "查询方式不能为空")
    private Integer searchType;

    /**
     * 是否导出
     */
     @ApiModelProperty("是否导出,1是")
     private Integer exportStatus=0;
    /**
     * 导出标题
     */
    @ApiModelProperty("导出标题")
    private String exportTitle;

}
