package com.tofly.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/1/16
 * @description 自定义智慧综合展示筛选字段对象
 */
@Data
public class WisdomDisplayDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("指标ID列表")
    private List<Long> indexIds;

    @ApiModelProperty("指标编码列表")
    private List<String> indexCodes;

    @ApiModelProperty("指标类型")
    private Long indexType;

    @ApiModelProperty("指标类型列表")
    private List<Long> indexTypes;

    @ApiModelProperty("设备ID列表")
    private List<Long> deviceIds;

    @ApiModelProperty("设备编码列表")
    private List<String> deviceCodes;

    @ApiModelProperty("设备类型列表")
    private List<String> deviceTypes;


    @ApiModelProperty("设备所属类型")
    private List<String> types;

    @ApiModelProperty("设备名称（模糊查询）")
    private String deviceName;

    @ApiModelProperty("所属区域ID")
    private Long area;

    @ApiModelProperty("所属水厂ID")
    private List<Long> waterStationIds;

    @ApiModelProperty("查询表类型（1实时表；2缓存表；3历史表） 默认1")
    private Integer tableType;

    @ApiModelProperty("统计类型（0小时统计；1天统计；2月统计；3年统计）默认0")
    private Integer statisticsType;

    @ApiModelProperty("开始时间 yyyy-MM-dd HH:mm:ss")
    private String startDate;

    @ApiModelProperty("结束时间 yyyy-MM-dd HH:mm:ss")
    private String endDate;

    @ApiModelProperty("对比时间列表")
    private List<StartEndTimeDto> contrastTimes;

    @ApiModelProperty("是否查询设备信息（0否；1是）默认0")
    private String isQueryDevice;

    @ApiModelProperty("是否查询指标信息（0否；1是）默认0")
    private String isQueryIndex;

    @ApiModelProperty("是否查询指标报警信息（0否；1是）默认0")
    private String isQueryAlarm;

    @ApiModelProperty("设备状态列表")
    private List<String> deviceStatusList;


    @ApiModelProperty("指标报警状态")
    private List<String> indexAlarmStatus;

    @ApiModelProperty("报警等级列表")
    private List<String> reportLevels;

    @ApiModelProperty("设备编码/设备名称或者指标编码/指标名称模糊查询")
    private String likeStr;
    @ApiModelProperty("模糊查询方式，0指标，1设备，默认指标")
    private Integer searchOption=0;
}
