package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2023/7/6
 * @description 监测数据报表
 */
@Data
public class MonitorIndexReportVo implements Serializable {

    @ApiModelProperty(value = "污水厂名称")
    public String sewageName;

    @ApiModelProperty(value = "所属组织ID")
    public Long deptId;

    @ApiModelProperty(value = "所属组织名称")
    public String deptName;

    @ApiModelProperty(value = "设备类型名称")
    public String deviceTypeName;

    @ApiModelProperty(value = "设备名称")
    public String deviceName;

    @ApiModelProperty(value = "指标名称")
    public String indexName;

    @ApiModelProperty(value = "指标编码")
    public String indexCode;

    @ApiModelProperty(value = "指标类型")
    public Long indexType;

    @ApiModelProperty(value = "采集频率（min）")
    public Integer collectRate;

    @ApiModelProperty(value = "理论采集总数")
    public BigDecimal theoryCollectTotal;

    @ApiModelProperty(value = "实际采集总数")
    public BigDecimal realityCollectTotal;

    @ApiModelProperty(value = "缺失采集总数")
    public BigDecimal deletionCollectTotal;

    @ApiModelProperty(value = "实际采集占比（%）")
    public Float realityCollectRate;

    @ApiModelProperty(value = "缺失采集占比（%）")
    public Float deletionCollectRate;

    @ApiModelProperty(value = "正常总数")
    public BigDecimal normalTotal;

    @ApiModelProperty(value = "报警总数")
    public BigDecimal reportTotal;

    @ApiModelProperty(value = "正常占比（%）")
    public Float normalRate;

    @ApiModelProperty(value = "报警占比（%）")
    public Float reportRate;

}
