package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @author JF
 * @date 2023/2/15
 * @description 指标值
 */
@Data
public class ScadaIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属时间范围（yyyy-MM-dd HH:mm:ss-yyyy-MM-dd HH:mm:ss）")
    private String timeRange;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "指标名称")
    private String indexName;

    @ApiModelProperty(value = "是否报警（0否；1是）")
    private String isAlarm;

    @ApiModelProperty(value = "指标报警等级")
    private String reportLevel;

    @ApiModelProperty("报警下限")
    private String reportLower;

    @ApiModelProperty("报警上限")
    private String reportUpper;

    @ApiModelProperty(value = "指标类型ID")
    private String indexType;

    @ApiModelProperty(value = "指标类型名称")
    private String indexTypeName;

    @ApiModelProperty(value = "指标单位")
    private String indexUnit;

    @ApiModelProperty(value = "指标精度")
    private Long accuracy;

    @ApiModelProperty(value = "指标报警阈值ID集")
    private String reportIds;

    @ApiModelProperty(value = "指标值")
    private String indexValue;

    @ApiModelProperty(value = "指标值最大值")
    private String indexValueMax;

    @ApiModelProperty(value = "指标值最小值")
    private String indexValueMin;

    @ApiModelProperty(value = "指标值平均值")
    private String indexValueAvg;

    @ApiModelProperty(value = "指标值累计值")
    private String indexValueFold;

    @ApiModelProperty(value = "指标总数")
    private String allCount;

    @ApiModelProperty(value = "指标报警总数")
    private String errorCount;

    @ApiModelProperty(value = "指标合格率（%）")
    private String passRate;

    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备类型名称")
    private String deviceTypeName;

    @ApiModelProperty("水厂ID")
    private Long waterId;

    @ApiModelProperty("水厂名称")
    private String waterStationName;

}
