package com.tofly.custom.entity.vo;

import com.tofly.scada.entity.DeviceArchiveManage;
import com.tofly.scada.entity.TfWaterInfo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/2/15
 * @description 水厂相关信息
 */
@Data
public class WaterStationVo extends TfWaterInfo implements Serializable {

    @ApiModelProperty("今日供水量（m³）")
    private Double todayWaterSupply;

    @ApiModelProperty("昨日供水量（m³）")
    private Double yesterdayWaterSupply;

    @ApiModelProperty("今日取水量（m³）")
    private Double todayWaterUser;

    @ApiModelProperty("昨日取水量（m³）")
    private Double yesterdayWaterUser;

    @ApiModelProperty("设备列表")
    private List<DeviceArchiveManage> deviceList;

    @ApiModelProperty("指标列表")
    private List<ScadaIndexVo> indexList;

}
