package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 消息推送数据表
 * @TableName TF_YWPN_MESSAGEPUSH_W
 */
@TableName(value ="TF_YWPN_MESSAGEPUSH_W")
@KeySequence("TF_YWPN_MESSAGEPUSH_W")
@Data
public class MessagepushW implements Serializable {
    /**
     * 唯一编码
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    /**
     * 消息主题
     */
    private String topic;

    /**
     * 回复的原消息ID
     */
    private Long replyId;

    /**
     * 消息类型：0普通消息 1抢维修 2巡检 3工地 4隐患 5管网工单  6业务工单 7基础数据处理 0001上报 0002审核
     */
    private String type;

    /**
     * 消息链接表名
     */
    private String tableName;

    /**
     * 链接ID
     */
    private Long tableId;

    /**
     * 路由地址进行跳转
     */
    private String routeIp;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * APP跳转路由
     */
    private String routeIpApp;

    /**
     * 是否加急 0否 1是
     */
    private String isEmergency;

    /**
     * 消息详情
     */
    private String message;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}