/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * scada累计差值
 *
 * @author admin
 * @date Wed Sep 07 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "SCADA_LJ_FLOW", resultMap = "scadaLjFlowMap")
@KeySequence("SCADA_LJ_FLOW")
@ApiModel
public class ScadaLjFlow extends Model<ScadaLjFlow> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 指标编码
     */
    @ApiModelProperty(value = "指标编码")
    private String code;
    /**
     * 监测时间
     */
    @ApiModelProperty(value = "监测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;
    /**
     * 当前监测值
     */
    @ApiModelProperty(value = "当前监测值")
    private Double newValue;
    /**
     * 上一次监测值
     */
    @ApiModelProperty(value = "上一次监测值")
    private Double oldValue;
    /**
     * 差值
     */
    @ApiModelProperty(value = "差值")
    private Double differenceValue;

}
