package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 *
 * @TableName STATISTICS_SCADA
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="STATISTICS_SCADA",resultMap = "statisticsScadaMap")
@KeySequence("STATISTICS_SCADA")
@ApiModel
public class StatisticsScada extends Model<StatisticsScada> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 指标编码
     */
    private String code;

    /**
     * 累计最新值
     */
    private String value;

    /**
     * 统计类型：0小时统计 1天统计 2月统计 3年统计
     */
    private String statisticsType;

    /**
     * 统计开始时间
     */
    private Date startTime;

    /**
     * 统计结束时间
     */
    private Date endTime;

    /**
     * 最大值
     */
    private String max;

    /**
     * 最小值
     */
    private String min;

    /**
     * 平均值
     */
    private String ave;

    /**
     * 叠加值
     */
    private String fold;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    private String dataType;

    /**
     * 合格率
     */
    private String pass;

    /**
     * 超标次数
     */
    private String errorCount;

    /**
     * 指标总次数
     */
    private String allCount;

    /**
     * 不合格超标时长
     */
    private String errorTimeTotal;

    /**
     * 超标总时长
     */
    private String timeTotal;

    /**
     * 超标总时长
     */
    private Date createTime;

}