/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 系统通用码表子级表
 *
 * @author wangjieliu
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SYSCHILDCODE_D")
@KeySequence("TF_YWPN_SYSCHILDCODE_D")
@ApiModel
public class Syschildcode extends Model<Syschildcode> {
    private static final long serialVersionUID = 1L;

    /**
     * 子级节点ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 父级节点ID
     */
    @ApiModelProperty(value = "父级节点ID")
    private Long pcid;
    /**
     * 父级节点名称
     */
    @ApiModelProperty(value = "父级节点名称")
    private String pcname;
    /**
     * 子级节点编码
     */
    @ApiModelProperty(value = "子级节点编码")
    private String ccode;
    /**
     * 子级节点名称
     */
    @ApiModelProperty(value = "子级节点名称")
    private String cname;
    /**
     * 子级节点内容
     */
    @ApiModelProperty(value = "子级节点内容")
    private String ccontert;
    /**
     * 是否显示1显示，0不显示
     */
    @ApiModelProperty(value = "是否显示1显示，0不显示")
    private String cdisable;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;
    @ApiModelProperty(value = "1：系统编码,不可删；0：业务编码")
    private String flag;

}
