package com.tofly.scada.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 设备档案管理 查询
 * @TableName TF_DEVICE_ARCHIVE_MANAGE
 */
@Data
public class DeviceQuery implements Serializable {

    /**
     * 监测点、供水实施、地名：搜索
     */
    @ApiModelProperty(value = "监测点、供水实施、地名：搜索")
    private String query;

    /**
     * 设备ID
     */
    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    /**
     * 设备ID集合
     */
    @ApiModelProperty(value = "设备ID集合")
    private List<Long> deviceIds;

    /**
     * 所属水厂ID
     */
    @ApiModelProperty(value = "所属水厂ID")
    private Long waterId;


    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String name;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String code;

    /**
     * 类型（1水厂,2管网）
     */
    @ApiModelProperty(value = "类型（1水厂,2管网）")
    private String type;


    /**
     * 状态（0故障,1运行中,2空闲,3检修中）
     */
    @ApiModelProperty(value = "状态（0故障,1运行中,2空闲,3检修中）")
    private String status;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;


    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    /**
     * 设备类型 53400
     */
    @ApiModelProperty(value = "设备类型")
    private String deviceType;

    /**
     * 设备类型IDs
     */
    @ApiModelProperty(value = "设备类型IDs")
    private String deviceTypeIds;

    /**
     * 水厂类型1水厂，2污水厂
     */
    @ApiModelProperty(value = "水厂类型，1水厂，2污水厂")
    private String waterType;

}