package com.tofly.scada.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ScadaQueryDto implements Serializable {

    @ApiModelProperty("开始时间（yyyy-MM-dd HH:mm:ss）")
    private String startDate;

    @ApiModelProperty("结束时间（yyyy-MM-dd HH:mm:ss）")
    private String endDate;

    @ApiModelProperty("统计类型（0小时统计;1天统计;2月统计;3年统计）")
    private Integer statisticsType;

    @ApiModelProperty("指标类型（字典）")
    private String indexType;

    @ApiModelProperty("指标编码列表")
    private List<String> indexCodeList;

    @ApiModelProperty("指标类型列表（字典）")
    private List<String> indexTypeList;

    @ApiModelProperty("设备ID列表")
    private List<Long> deviceIdList;

    @ApiModelProperty("表名")
    private String tableName;

    @ApiModelProperty("查询表类型（1历史表;2缓存表;3实时表）")
    private Integer tableType;
}
