package com.tofly.scada.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author haiqiu
 */
@Data
public class ScadaVo {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "指标编码")

    private String code;

    @ApiModelProperty(value = "指标名称")
    @Excel(name="指标名称")
    private String displayName;

    @ApiModelProperty(value = "水厂id")
    @TableField(exist = false)
    private Long waterId;

    @ApiModelProperty(value = "指标值")
    @Excel(name = "指标值")
    private String value;

    @ApiModelProperty(value = "单位")
    @Excel(name="单位")
    private String unit;


    @ApiModelProperty(value = "指标采集时间")
    @Excel(name = "指标采集时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String scadaTime;

    @ApiModelProperty(value = "指标更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "制造日期")
    private String makeDate;

    @ApiModelProperty(value = "设备类型")
    private String type;

    @ApiModelProperty(value = "制造厂家")
    private String manufacturer;

    @ApiModelProperty(value = "负责人")
    private String leader;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "所属测站ID，关联SCADA监测站基本信息表主键")
    private String stationId;

    /**
     *指标最大值
     */
    @ApiModelProperty(value = "指标最大值")
    private BigDecimal indexMax;




}
