package com.tofly.scada.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.scada.entity.TfScadaReportList;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 报警数据存储(TfScadaReportList)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-09-21 16:21:21
 */
public interface TfScadaReportListMapper extends BaseMapper<TfScadaReportList> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TfScadaReportList> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TfScadaReportList> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TfScadaReportList> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TfScadaReportList> entities);

    List<Map<String, String>> getReportLevel(@Param("query")TfScadaReportList query);

    Page<TfScadaReportList> pageList(Page<TfScadaReportList> page, @Param("dto") TfScadaReportList tfScadaReportList,@Param("dealUserId")Long dealUserId);
}

