package com.tofly.spire.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 小表（户表）阀门控制(SpireGate)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-11 13:40:45
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "SPIRE_GATE", resultMap = "SpireGateMap")
@ApiModel(value = "SpireGate对象", description = "小表（户表）阀门控制")
public class SpireGate extends Model<SpireGate> {

    private static final long serialVersionUID = -28167267700244215L;

    /**
     * 主键ID
     */
    @Excel(name = "主键ID")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 表号
     */
    @Excel(name = "表号")
    @ApiModelProperty(value = "表号")
    private String sn;

    /**
     * true=开阀 false=关阀
     */
    @Excel(name = "true=开阀 false=关阀")
    @ApiModelProperty(value = "true=开阀 false=关阀")
    private String flag;

    /**
     * 操作状态
     */
    @Excel(name = "操作状态")
    @ApiModelProperty(value = "操作状态")
    private String status;

    /**
     * 上传时间
     */
    @Excel(name = "上传时间")
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @Excel(name = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 接口调用响应数据
     */
    @Excel(name = "接口调用响应数据")
    @ApiModelProperty(value = "接口调用响应数据")
    private String result;

}

