package com.tofly.spire.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

import org.hibernate.validator.constraints.*;

/**
 * 小表（户表）(SpireUser)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-11 13:22:39
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SpireUser对象", description = "小表（户表）")
public class SpireUserDto implements Serializable {

    private static final long serialVersionUID = -90845162251742189L;

    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 用户地址
     */
    @Size(max = 255, message = "用户地址长度不能超过255")
    @ApiModelProperty(value = "用户地址")
    private String address;

    /**
     * 门牌号
     */
    @Size(max = 255, message = "门牌号长度不能超过255")
    @ApiModelProperty(value = "门牌号")
    private String houseNumber;

    /**
     * 电话
     */
    @Size(max = 255, message = "电话长度不能超过255")
    @ApiModelProperty(value = "电话")
    private String phone;

    /**
     * 表号
     */
    @Size(max = 255, message = "表号长度不能超过255")
    @ApiModelProperty(value = "表号")
    private String sn;

    /**
     * 表具类型
     */
    @Size(max = 255, message = "表具类型长度不能超过255")
    @ApiModelProperty(value = "表具类型")
    private String type;

    /**
     * 用户编码
     */
    @Size(max = 255, message = "用户编码长度不能超过255")
    @ApiModelProperty(value = "用户编码")
    private String userGuid;

    /**
     * 用户名
     */
    @Size(max = 255, message = "用户名长度不能超过255")
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 阀门状态（自由、开启、 关闭、失联、卡死、未知）
     */
    @Size(max = 255, message = "阀门状态（自由、开启、 关闭、失联、卡死、未知）长度不能超过255")
    @ApiModelProperty(value = "阀门状态（自由、开启、 关闭、失联、卡死、未知）")
    private String valveStatusTxt;

    /**
     * 阀门类型（无阀门、内置 阀、外置阀、温控阀
     */
    @Size(max = 255, message = "阀门类型（无阀门、内置 阀、外置阀、温控阀长度不能超过255")
    @ApiModelProperty(value = "阀门类型（无阀门、内置 阀、外置阀、温控阀")
    private String valveType;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date uploadTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}

