package com.tofly.spire.utils;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author HaiQiu
 * spireMT平台接口集合
 */
@ConfigurationProperties(prefix = "spiremt.apis")
@Data
@Component
public class SpireApis {

    /**
     * spiremt平台主地址接口
     */
    private String address = "http://spiremt.cn";

    /**
     * 此接口用户获取主网表具数据信息以及日志信息
     */
    private String getBulkMeterData = "/authentication/interface/getBulkMeterData";

    /**
     * 小表（户表）数据接口-通过此接口获取表端上传的数据信息以及日志信息。
     */
    private String getMeterData = "/authentication/interface/getMeterData";

    /**
     *  小表（户表）信息接口-通过接口获取表具基本信息以及用户基本信息。
     */
    private String getUserInfo = "/authentication/interface/getUserInfo";

    /**
     *  小表（户表）阀门控制-通过此接口控制表具阀门的开关(需要表端支持阀门控制)
     */
    private String valveControl = "/authentication/interface/valveControl";
}
