package com.tofly.water.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import com.tofly.common.constant.SqlCondition;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;
import com.haiqiu.tools.excel.annotation.Excel;

/**
 * 安防监控（门禁管理）(SafeMonitor)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-22 13:57:02
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName(value = "TF_SAFE_MONITOR", resultMap = "SafeMonitorMap")
@ApiModel(value = "SafeMonitor对象", description = "安防监控（门禁管理）")
public class SafeMonitor extends Model<SafeMonitor> {

    private static final long serialVersionUID = -34727060177508749L;

    /**
     * 主键ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @Excel(name = "序号")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 门禁名称
     */
    @Excel(name = "门禁名称")
    @ApiModelProperty(value = "门禁名称")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String name;
    /**
     * TF_BASE_PUMP表ID（所属泵站ID）
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "TF_BASE_PUMP表ID（所属泵站ID）")
    private Long pumpId;
    @TableField(exist = false)
    @Excel(name = "所属泵站")
    @ApiModelProperty(value = "泵站名称")
    private String pumpIdName;
    /**
     * 门禁编号
     */
    @ApiModelProperty(value = "门禁编号")
    private String code;
    /**
     * 安装位置
     */
    @Excel(name = "安装位置")
    @ApiModelProperty(value = "安装位置")
    @TableField(condition = SqlCondition.ORACLE_LIKE)
    private String installationPosition;
    /**
     * 管理部门
     */
    @Excel(name = "管理部门")
    @ApiModelProperty(value = "管理部门")
    private String managementDept;
    /**
     * 管理负责人
     */
    @Excel(name = "管理负责人")
    @ApiModelProperty(value = "管理负责人")
    private String managementLeader;
    /**
     * 管理联系电话
     */
    @ApiModelProperty(value = "管理联系电话")
    private String managementLeaderPhone;
    /**
     * 供应商
     */
    @Excel(name = "供应商")
    @ApiModelProperty(value = "供应商")
    private String supplierSimple;
    /**
     * 供应商联系电话
     */
    @ApiModelProperty(value = "供应商联系电话")
    private String supplierPhone;
    /**
     * 安装负责人
     */
    @Excel(name = "安装负责人")
    @ApiModelProperty(value = "安装负责人")
    private String installationLeader;
    /**
     * 安装时间
     */
    @Excel(name = "安装时间")
    @ApiModelProperty(value = "安装时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date installationDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    private String annex;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Long sort;
    /**
     * 删除，0未删除，1已删除
     */
    @TableLogic
    @ApiModelProperty(value = "删除，0未删除，1已删除")
    private Boolean deleted;
    /**
     * 创建人
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人")
    private Long createdUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "创建人", hidden = true)
    private String createdUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;
    /**
     * 更新人
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "更新人")
    private Long updatedUser;
    @TableField(exist = false)
    @ApiModelProperty(value = "更新人", hidden = true)
    private String updatedUserName;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;
}

