package com.tofly.water.entity.dto;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.codehaus.jackson.map.ser.std.ToStringSerializer;
import org.springframework.format.annotation.DateTimeFormat;
import lombok.Data;

import java.util.*;

import org.springframework.web.multipart.MultipartFile;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

import lombok.EqualsAndHashCode;

import javax.validation.constraints.*;

/**
 * 设备档案和外部主键关联(DeviceBusiness)表实体类
 *
 * @author HaiQiu
 * @since 2022-11-30 15:36:47
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "DeviceBusiness对象", description = "设备档案和外部主键关联")
public class DeviceBusinessDto implements Serializable {

    private static final long serialVersionUID = -57769040349126113L;

    /**
     * 主键ID
     */
    @Digits(integer = 20, fraction = 2, message = "主键ID长度不能超过20")
    @ApiModelProperty(value = "主键ID")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 业务主键ID
     */
    @Digits(integer = 20, fraction = 2, message = "业务主键ID长度不能超过20")
    @ApiModelProperty(value = "业务主键ID")
    private Long businessId;

    /**
     * 外部业务表名称
     */
    @Size(max = 166, message = "外部业务表名称长度不能超过166")
    @ApiModelProperty(value = "外部业务表名称")
    private String outsideTable;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}

