package com.tofly.water.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author HaiQiu
 * @since 2022/12/12
 */
@Data
public class MonitorDto {

    @ApiModelProperty(value = "关键字查询")
    private String searchStr;

    @ApiModelProperty(value = "泵站")
    private Long pumpId;

    @ApiModelProperty(value = "泵站ID集合")
    private List<Long> pumpIds;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "水厂ID")
    private Long waterId;

    @ApiModelProperty(value = "水厂ID集合")
    private List<Long> waterIds;

    @ApiModelProperty(value = "编码，多个逗号隔开")
    private String codes;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date start;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date end;

    @ApiModelProperty(value = "报警级别")
    private  String reportLevel;

}
