package com.tofly.water.entity.dto;

import com.tofly.scada.entity.dto.DeviceQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2022/11/23
 */
@Data
public class NewestDto extends DeviceQuery {

    /**
     * 泵站名称
     */
    @ApiModelProperty(value = "泵站名称")
    private String pumpName;

    /**
     * 泵站ID或泵组ID集合
     */
    @ApiModelProperty(value = "泵站ID或泵组ID集合")
    private List<Long> pumpOrGroupIds;

    /**
     * 运行状态:0全部，1正常，2报警，3离线
     */
    @ApiModelProperty(value = "运行状态:0全部，1正常，2报警，3离线")
    private Integer runStatus;

    /**
     * true 分页，false不分页（默认分页）
     */
    @ApiModelProperty(value = "true 分页，false不分页（默认分页）")
    private Boolean isPage;

    /**
     * 泵站数据分页-true 分页，false不分页（默认分页）
     */
    @ApiModelProperty(value = "泵站数据分页-true 分页，false不分页（默认分页）")
    private Boolean isPageOut;
}
