package com.tofly.water.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.scada.entity.dto.ScadaQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 监控真实数据查询dto
 * @author HaiQiu
 * @since 2022/11/22
 */
@Data
public class OverviewDto extends ScadaQuery {

    /**
     * 泵站名称
     */
    @ApiModelProperty(value = "泵站名称")
    private String pumpName;

    /**
     * 泵站ID或泵组ID集合
     */
    @ApiModelProperty(value = "泵站ID或泵组ID集合")
    private List<Long> pumpOrGroupIds;

    /**
     * 运行状态:0全部，1正常，2报警，3离线
     */
    @ApiModelProperty(value = "运行状态:0全部，1正常，2报警，3离线")
    private Integer runStatus;

    /**
     * true 分页，false不分页（默认分页）
     */
    @ApiModelProperty(value = "true 分页，false不分页（默认分页）")
    private Boolean isPage;

    /**
     * 泵站数据分页-true 分页，false不分页（默认分页）
     */
    @ApiModelProperty(value = "泵站数据分页-true 分页，false不分页（默认分页）")
    private Boolean isPageOut;

    /**
     * 年份-统计时间
     */
    @ApiModelProperty(value = "年份-统计时间,yyyy")
    private String year;

}
