package com.tofly.water.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author HaiQiu
 * @since 2023/1/9
 */
@Data
@ConfigurationProperties(prefix = "scada.run.log")
@Configuration
public class RunLogCodes {

    @ApiModelProperty(value = "开关状态")
    private String powerState;


    @ApiModelProperty(value = "瞬时流量（m³/h）")
    private String instantaneousFlow;

    @ApiModelProperty(value = "入水压力（Mpa）")
    private String waterInletPressure;

    @ApiModelProperty(value = "出水压力1（Mpa）")
    private String waterOutletPressure1;

    @ApiModelProperty(value = "出水压力2（Mpa）")
    private String waterOutletPressure2;

    @ApiModelProperty(value = "运行频率（Hz）")
    private String operatingFrequency;

    @ApiModelProperty(value = "运行电流（A）")
    private String operatingCurrent;

    @ApiModelProperty(value = "运行时长（h）")
    private String runTime;
}
