package com.tofly.water.entity.dto;

import com.tofly.scada.entity.dto.ScadaQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2022/12/14
 */
@Data
public class StatisticsRealDto extends ScadaQuery {

    @ApiModelProperty(value = "关键字查询")
    private String searchStr;

    @ApiModelProperty(value = "泵站ID")
    private Long pumpId;

    @ApiModelProperty(value = "泵站ID集合")
    private List<Long> pumpIds;

    @ApiModelProperty(value = "泵组ID集合")
    private List<Long> pumpGroupIds;

    @ApiModelProperty(value = "水厂ID")
    private Long waterId;

    @ApiModelProperty(value = "水厂ID集合")
    private List<Long> waterIds;

    @ApiModelProperty(value = "查询类型：1水厂，2泵站,默认水厂")
    private Integer type = 1;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "编码，多个逗号隔开")
    private String codeStr;

    @ApiModelProperty(value = "是否分页：默认分页")
    private Boolean page = true;

    /**
     * 特殊泵站统计类型：0季度统计，1年统计
     */
    @ApiModelProperty(value = "特殊泵站统计类型：0季度统计，1年统计")
    private Integer pumpStatisticsType;

    /**
     * 是否根据泵站名称分组,true分组，false不分组，默认不分组
     */
    @ApiModelProperty(value = "是否根据泵站名称分组,true分组，false不分组，默认不分组")
    private Boolean isGroup = false;

    /**
     * 是否根据泵站名称分组,true分组，false不分组，默认不分组
     */
    @ApiModelProperty(value = "是否不遵循查询泵站泵组默认空获取全部数据，true遵循，false不遵循，默认遵循")
    private Boolean isPump = true;
}
