package com.tofly.water.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.scada.entity.TfScadaReportList;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2022/12/14
 */
@Data
public class ReportPumpVo extends TfScadaReportList {
    /**
     * 泵站名称
     */
    @ApiModelProperty(value = "泵站名称")
    @Excel(name = "泵站名称")
    private String pName;

    /**
     * 泵组名称
     */
    @ApiModelProperty(value = "泵组名称")
    private String pgName;

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    private String dName;

    /**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称")
    @Excel(name = "参数名称")
    private String iaName;

    /**
     * 指标类型（1出口,2入口,3加药）
     */
    @ApiModelProperty(value = "指标类型（1出口,2入口,3加药）")
    private String iaModel;

    /**
     * 指标归属(字典码表关联 例如:01 瞬时流量)
     */
    @ApiModelProperty(value = "指标归属(字典码表关联 例如:01 瞬时流量)")
    private String iaType;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @Excel(name = "单位")
    private String unit;
}
