package com.tofly.water.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.water.entity.BasePumpGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author HaiQiu
 * @since 2023/1/9
 */
@Data
public class RunLogVo extends BasePumpGroup {

    @ApiModelProperty(value = "瞬时流量（m³/h）")
    @Excel(name = "瞬时流量")
    private String instantaneousFlow;

    @ApiModelProperty(value = "入水压力（Mpa）")
    @Excel(name = "入水压力")
    private String waterInletPressure;

    @ApiModelProperty(value = "出水压力1（Mpa）")
    @Excel(name = "出水压力1")
    private String waterOutletPressure1;

    @ApiModelProperty(value = "出水压力2（Mpa）")
    @Excel(name = "出水压力2")
    private String waterOutletPressure2;

    @ApiModelProperty(value = "运行频率（Hz）")
    @Excel(name = "运行频率")
    private String operatingFrequency;

    @ApiModelProperty(value = "运行电流（A）")
    @Excel(name = "运行电流")
    private String operatingCurrent;

    @ApiModelProperty(value = "运行时长（h）")
    @Excel(name = "运行时长")
    private String runTime;
}
