package com.tofly.water.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.haiqiu.tools.excel.annotation.Excel;
import com.tofly.scada.entity.vo.ScadaVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class WaterInfoVo {
    @ApiModelProperty("水厂id")
    public  Long waterId;
    @ApiModelProperty("水厂名称")
    public  String waterName;

    @ApiModelProperty("供水/污水处理能力(m³)")
    public BigDecimal designProcessingCapacity;

    @ApiModelProperty("今日水厂进水指标水量(m³)")
    public  BigDecimal waterSupplyInDay;


    @ApiModelProperty("今日水厂出水指标水量(m³)")
    public  BigDecimal waterSupplyOutDay;

    @ApiModelProperty("水厂对应的指标信息")
    public List<ScadaVo> scadaVoList;

}
