package com.tofly.water.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.water.entity.dto.StatisticsRealDto;
import com.tofly.water.entity.vo.StatisticsPumpRealVo;
import com.tofly.water.entity.vo.StatisticsPumpRunTimeVo;
import org.apache.ibatis.annotations.Param;
import com.tofly.water.entity.ScadaStatusDuration;

/**
 * 记录设备运行时长状态(ScadaStatusDuration)表数据库访问层
 *
 * @author HaiQiu
 * @since 2022-12-26 16:37:23
 */
public interface ScadaStatusDurationMapper extends BaseMapper<ScadaStatusDuration> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaStatusDuration> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ScadaStatusDuration> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ScadaStatusDuration> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<ScadaStatusDuration> entities);

    List<StatisticsPumpRunTimeVo> statisticsPumpReal(@Param("overviewDto") StatisticsRealDto overviewDto);

    Page<StatisticsPumpRunTimeVo> statisticsPumpRealPage(Page page, @Param("overviewDto") StatisticsRealDto overviewDto);

}

